<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\x61\x69\154\x79"; private const CONFIG_DIRECTORY = "\57\x72\157\157\164\57\56\x63\x6f\156\146\x69\x67\x2f\162\x63\x6c\157\156\145\57"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\150\157\155\x65\57\143\x6c\x70\57\56\x63\x6f\x6e\x66\151\147\57"; private const CLP_USER = "\x63\154\160"; public const CREDENTIALS_DIRECTORY = "\x2f\150\157\x6d\145\x2f\143\154\160\x2f\56\143\157\x6e\x66\x69\x67\57\162\x63\154\x6f\x6e\145\x2f\143\162\145\144\145\156\x74\x69\141\154\x73\x2f"; private const CONFIG_FILE = "\57\162\157\157\x74\57\x2e\143\157\x6e\146\x69\147\57\x72\143\x6c\157\x6e\x65\x2f\162\x63\x6c\x6f\156\145\x2e\143\x6f\x6e\146"; private const CRON_JOB_FILE = "\57\145\x74\143\x2f\143\162\x6f\x6e\56\144\x2f\x63\x6c\x70\x2d\162\143\x6c\x6f\156\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto b164e; fda77: $this->configFile = self::CONFIG_FILE; goto Aed95; b164e: if (!(true === is_null($this->configFile))) { goto A5b49; } goto fda77; b1b7f: return $this->configFile; goto E3a69; Aed95: A5b49: goto b1b7f; E3a69: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\x6c\141\x67" => $flag, "\x76\141\x6c\x75\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto Bf489; B1bc7: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto a77a1; Cac39: $rcloneCopyCommand = new RcloneCopyCommand(); goto a54ff; a54ff: $rcloneCopyCommand->setConfigFile($configFile); goto E3580; E3580: $rcloneCopyCommand->setSource($source); goto Ec70c; e1d32: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto B1bc7; a19ad: $configFile = $this->getConfigFile(); goto Cac39; Bf489: $flags = $this->getFlags(); goto a19ad; Ec70c: $rcloneCopyCommand->setDestination($destination); goto e1d32; a77a1: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto f0077; C636a: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto D2e59; c616f: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto e8b56; deef4: return $files; goto ae244; Dc703: $rcloneLsJsonCommand->setConfigFile($configFile); goto fea18; fea18: $rcloneLsJsonCommand->setRemotePath($remotePath); goto e4656; e8b56: B93c4: goto c97e6; f0077: $flags = $this->getFlags(); goto b299e; c97e6: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto C636a; e4656: if (!(true === $directoriesOnly)) { goto B93c4; } goto c616f; D05fd: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto Dc703; b299e: $configFile = $this->getConfigFile(); goto D05fd; D2e59: $files = $rcloneLsJsonCommand->getFiles(); goto deef4; ae244: } public function purge(string $remotePath) { goto B49fb; cde7d: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto Eb0dc; Ba9c9: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto cde7d; fe7b9: $rclonePurgeCommand->setRemotePath($remotePath); goto Ba9c9; edb19: $rclonePurgeCommand = new RclonePurgeCommand(); goto fe7b9; B49fb: $flags = $this->getFlags(); goto edb19; Eb0dc: } public function writeConfig(string $config) : void { goto Dab70; f50d1: $writeConfigFileCommand = new WriteFileCommand(); goto C81f0; Fab29: $this->commandExecutor->execute($createConfigDirectoryCommand); goto Ae656; Dab70: $configFile = $this->getConfigFile(); goto Fb076; Ae656: $this->commandExecutor->execute($writeConfigFileCommand); goto e916e; E239c: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto f50d1; C81f0: $writeConfigFileCommand->setFile($configFile); goto dd396; Fb076: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto E239c; dd396: $writeConfigFileCommand->setContent($config); goto Fab29; e916e: } public function writeCredentialsFile(string $file, string $content) : void { goto Dd7df; d4a72: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto dffe7; C294e: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto Ace78; Bdd77: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto c3e9c; Dd7df: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto C294e; Df036: $chownConfigDirectoryCommand->setRecursive(true); goto c9f55; dffe7: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto f61ec; Ee898: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Df036; c3e9c: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto f22a4; fb18e: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto e2945; dd3fc: $this->commandExecutor->execute($credentialsDirectoryCommand); goto Bdd77; f22a4: file_put_contents($file, $content); goto d1a5c; c9f55: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto d4a72; Ace78: $chownConfigDirectoryCommand = new ChownCommand(); goto Ee898; f61ec: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto fb18e; e2945: $chmodConfigDirectoryCommand->setFileChmod(770); goto dd3fc; d1a5c: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto F5d3b; baec4: $writeCronJobFileCommand = new WriteFileCommand(); goto Fc239; Fc239: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto d7705; d7705: $writeCronJobFileCommand->setContent($cronJobContent); goto Dcbf8; A2af3: efbe4: goto ef9f0; ef9f0: $cronJobContent .= sprintf("\x30\x20\x25\x73\40\52\x20\52\40\x2a\x20\143\154\x70\40\x2f\165\163\162\57\x62\151\156\57\142\141\x73\x68\x20\55\143\x20\x22\57\165\163\162\57\x62\x69\x6e\x2f\143\154\160\143\164\x6c\40\162\145\155\x6f\x74\145\55\142\141\143\x6b\x75\160\72\143\162\145\141\164\x65\x20\x2d\55\144\145\154\x61\x79\75\164\162\165\x65\42\40\46\x3e\40\57\x64\x65\x76\57\156\165\154\154", $executionTime); goto dea89; dea89: F26a3: goto baec4; Da2db: if (self::FREQUENCY_DAILY == $frequency) { goto efbe4; } goto Dc181; F5d3b: $cronJobContent = sprintf("\115\x41\111\114\x54\117\75\42\x22\45\x73", PHP_EOL); goto Da2db; D2069: goto F26a3; goto A2af3; Dc181: $cronJobContent .= sprintf("\x30\40\52\x2f\x25\163\40\x2a\x20\52\x20\x2a\40\x63\154\x70\40\57\165\x73\x72\57\142\x69\x6e\57\142\x61\163\150\40\x2d\x63\x20\42\57\165\x73\162\57\x62\151\x6e\x2f\143\154\x70\x63\x74\154\x20\x72\145\x6d\x6f\164\x65\55\142\141\143\153\x75\160\72\143\x72\145\141\164\x65\x20\x2d\55\144\145\x6c\141\171\x3d\x74\162\165\145\x22\40\46\x3e\40\x2f\x64\x65\166\57\x6e\x75\x6c\154", $frequency); goto D2069; Dcbf8: $this->commandExecutor->execute($writeCronJobFileCommand); goto F5fe1; F5fe1: } private function addFlagsToCommand(array $flags, $command) : void { goto A96d7; b4ee0: a5a42: goto F7f21; A6d02: foreach ($flags as $flagData) { $command->addFlag($flagData["\146\x6c\x61\x67"], $flagData["\x76\x61\154\165\145"]); b8376: } goto b4ee0; A96d7: if (!(false === empty($flags))) { goto B7e12; } goto A6d02; F7f21: B7e12: goto e9ed7; e9ed7: } public function deleteCronJob() : void { goto b9f82; b569f: $this->commandExecutor->execute($deleteCronJobFileCommand); goto D7537; b9f82: $deleteCronJobFileCommand = new DeleteFileCommand(); goto b37e6; b37e6: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto b569f; D7537: } public function deleteCredentials() : void { goto e9de1; B0b6b: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto bee92; e9de1: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto B0b6b; bee92: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto E82ea; E82ea: } }
