<?php
 namespace App\CloudPanel; use GuzzleHttp\Client as HttpClient; use App\Util\Retry; use App\System\CommandExecutor; use App\System\Command\SedCommand; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\System\Command\ServiceRestartCommand; use App\System\Command\SetTimezoneCommand; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\System\Service; class Instance { const HTTP_CLIENT_TIMEOUT = 5; const ARCHITECTURE_ARM = "\141\x61\x72\x63\x68\66\64"; const ARCHITECTURE_X86 = "\170\70\66\x5f\66\64"; const OPERATING_SYSTEM_DEBIAN = "\104\145\x62\x69\141\156"; const OPERATING_SYSTEM_UBUNTU = "\x55\x62\x75\156\x74\165"; const PHP_DIRECTORY = "\57\x65\x74\143\x2f\160\x68\x70\x2f"; const PROFTPD_SERVICE_NAME = "\160\162\157\146\164\x70\144"; const PROFTPD_CONFIG_FILE = "\57\145\x74\143\57\x70\162\x6f\x66\164\x70\144\x2f\160\162\x6f\146\x74\x70\144\56\x63\x6f\156\x66"; protected ?string $uid = null; protected ?string $architecture = null; protected ?string $hostname = null; protected ?string $ipv4PublicIp = null; protected ?string $ipv6PublicIp = null; protected ?string $region = null; protected ?string $operatingSystemName = null; protected ?string $operatingSystemVersion = null; protected array $services = []; protected array $phpVersions = []; protected CommandExecutor $commandExecutor; protected Environment $environment; protected ?HttpClient $httpClient = null; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function getArchitecture() : ?string { goto Ac6ca; f5dea: return $this->architecture; goto Bed57; Ac6ca: if (!(true === is_null($this->architecture))) { goto a80cf; } goto F4567; F4567: $this->architecture = php_uname("\155"); goto c286f; c286f: a80cf: goto f5dea; Bed57: } public function isArmArchitecture() : bool { goto Ef552; Ef552: $architecture = $this->getArchitecture(); goto fbf56; E5b33: return $isArmArchitecture; goto fe202; fbf56: $isArmArchitecture = self::ARCHITECTURE_ARM == $architecture; goto E5b33; fe202: } public function getUid() : string { return $this->uid; } public function setUid(string $uid) : void { $this->uid = $uid; } public function setHostname(string $hostname) : void { $this->hostname = $hostname; } public function getHostname() : string { return $this->hostname; } public function setRegion(string $region) : void { $this->region = $region; } public function getRegion() : ?string { return $this->region; } public function setIpv4PublicIp(string $ipv4PublicIp) : void { $this->ipv4PublicIp = $ipv4PublicIp; } public function getIpv4PublicIp() : ?string { return $this->ipv4PublicIp; } public function setIpv6PublicIp(string $ipv6PublicIp) : void { $this->ipv6PublicIp = $ipv6PublicIp; } public function getIpv6PublicIp() : string { return $this->ipv6PublicIp; } public function setEnvironment(Environment $environment) : void { $this->environment = $environment; } public function getEnvironment() : Environment { return $this->environment; } public function getServices() : array { goto Bca44; d4ba6: $mysqlService->setServiceName("\x6d\171\x73\x71\x6c"); goto F91df; F5730: $phpVersions = $this->getPhpVersions(); goto d3780; F91df: $redisServer = new Service(); goto c6e51; Dbe75: $nginxService->setServiceName("\156\147\151\x6e\x78"); goto e1e6c; D2bf0: $this->services[$mysqlService->getServiceName()] = $mysqlService; goto E13f4; De521: $varnishCache->setName("\x56\141\162\156\x69\163\x68\x20\103\141\x63\150\x65"); goto A5390; C44fe: $this->services[$varnishCache->getServiceName()] = $varnishCache; goto C5589; b655b: $varnishCache = new Service(); goto De521; C5589: B7f03: goto B158e; bfdb2: $this->services[$nginxService->getServiceName()] = $nginxService; goto D2bf0; Bca44: if (!(true === empty($this->services))) { goto B7f03; } goto A2d7b; Dde8a: $mysqlService->setName("\x4d\x79\123\121\114"); goto d4ba6; e1e6c: $mysqlService = new Service(); goto Dde8a; c2eb3: $nginxService->setName("\x4e\x47\111\x4e\x58"); goto Dbe75; Effeb: $redisServer->setServiceName("\162\x65\x64\151\163\55\x73\x65\162\166\145\x72"); goto bfdb2; A2d7b: $nginxService = new Service(); goto c2eb3; B158e: return $this->services; goto ee562; A4334: uasort($this->services, function ($a, $b) { return $a->getName() > $b->getName(); }); goto b655b; b2ce3: cba89: goto A4334; A5390: $varnishCache->setServiceName("\166\141\162\x6e\x69\163\150"); goto C44fe; Dd108: foreach ($phpVersions as $phpVersion) { goto c007f; c007f: $phpService = new Service(); goto cfb92; D5b5b: $phpService->setServiceName(sprintf("\160\x68\x70\x25\x73\x2d\x66\x70\155", $phpVersion)); goto dae7c; dae7c: $this->services[$phpService->getServiceName()] = $phpService; goto aa001; cfb92: $phpService->setName(sprintf("\x50\110\120\x2d\x46\x50\x4d\40\45\x73", $phpVersion)); goto D5b5b; aa001: Ac0d9: goto b2fa4; b2fa4: } goto Ac50d; c6e51: $redisServer->setName("\122\145\x64\x69\163\40\123\145\x72\x76\x65\x72"); goto Effeb; E13f4: $this->services[$redisServer->getServiceName()] = $redisServer; goto F5730; Ac50d: F46c3: goto b2ce3; d3780: if (!count($phpVersions)) { goto cba89; } goto Dd108; ee562: } public function restartService(Service $service) : void { goto bbdb1; Ca9cb: $this->commandExecutor->execute($serviceRestartCommand); goto fa3fc; B17cd: $serviceRestartCommand->setServiceName($serviceName); goto Ca9cb; bbdb1: $serviceName = $service->getServiceName(); goto Fe282; Fe282: $serviceRestartCommand = new ServiceRestartCommand(); goto B17cd; fa3fc: } public function getOperatingSystemName() : string { $this->operatingSystemName = false === file_exists("\57\x65\164\x63\57\154\x73\142\55\x72\x65\x6c\x65\141\x73\145") ? self::OPERATING_SYSTEM_DEBIAN : self::OPERATING_SYSTEM_UBUNTU; return $this->operatingSystemName; } public function operatingSystemVersion() : string { goto d21a8; d21a8: $operatingSystemName = $this->getOperatingSystemName(); goto Ce8a3; Ce8a3: switch ($operatingSystemName) { case self::OPERATING_SYSTEM_DEBIAN: $this->operatingSystemVersion = trim(file_get_contents("\x2f\x65\x74\x63\57\144\x65\x62\x69\141\156\x5f\x76\145\x72\163\151\157\156")); goto F4905; case self::OPERATING_SYSTEM_UBUNTU: goto B44eb; E54ce: $operatingSystemVersionId = $osReleaseInformation[2] ?? ''; goto B0d79; e46df: $this->operatingSystemVersion = $operatingSystemVersion; goto E88dd; B44eb: $osReleaseInformation = explode(PHP_EOL, trim(file_get_contents("\x2f\145\x74\x63\57\157\x73\x2d\162\145\154\145\141\163\145"))); goto E54ce; E88dd: goto F4905; goto f32b6; B0d79: $operatingSystemVersion = substr($operatingSystemVersionId, 12, -1); goto e46df; f32b6: } goto d197b; A9b3e: F4905: goto efc82; d197b: Cc8ea: goto A9b3e; efc82: return $this->operatingSystemVersion; goto addcc; addcc: } public function getPhpVersions() : array { goto be6db; be6db: if (!(true === empty($this->phpVersions))) { goto f974d; } goto b9719; b9719: foreach (new \DirectoryIterator(self::PHP_DIRECTORY) as $fileInfo) { goto c89e8; c89e8: if (!(false === $fileInfo->isDot())) { goto ccd61; } goto Ce793; c18ed: ccd61: goto Ec4a9; de602: ba09d: goto c18ed; c2ab5: $this->phpVersions[] = $phpVersion; goto de602; Ce793: $phpVersion = $fileInfo->getBasename(); goto B85e1; B85e1: if (!(true === is_float($phpVersion + 0))) { goto ba09d; } goto c2ab5; Ec4a9: Aa3fa: goto b71b3; b71b3: } goto dc330; e6167: f974d: goto e9346; A7b53: rsort($this->phpVersions); goto e6167; e9346: return $this->phpVersions; goto cc4f5; dc330: D1205: goto A7b53; cc4f5: } public function getProcessorCores() : int { goto D1a67; Ec63b: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto af15e; B594f: $this->commandExecutor->execute($processorCoresCommand); goto Ec63b; D1a67: $processorCoresCommand = new ProcessorCoresCommand(); goto B594f; af15e: return $numberOfProcessorCores; goto Ead26; Ead26: } public function getMemory($unit = "\x47\x42") : string { goto d0358; d0358: $totalMemoryInBytes = $this->getTotalMemoryInBytes(); goto badb8; Cba6a: return $memory; goto B251a; badb8: $memory = HumanFileSizeUtil::convert($totalMemoryInBytes, $unit, 0); goto Cba6a; B251a: } private function getTotalMemoryInBytes() : int { goto cbc46; Bc915: return $totalMemoryInBytes; goto B2e3b; d0220: $this->commandExecutor->execute($memoryInformationCommand); goto b7a2e; b7a2e: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto Bc915; cbc46: $memoryInformationCommand = new MemoryInformationCommand(); goto d0220; B2e3b: } public function setProftpdMasqueradeAddress($masqueradeAddress) : void { goto e8797; e8797: $sedCommand = new SedCommand(); goto B0a87; Fabf0: $this->commandExecutor->execute($serviceRestartCommand); goto C0a99; B0a87: $sedCommand->setFile(self::PROFTPD_CONFIG_FILE); goto ee134; ee134: $sedCommand->setPattern(sprintf("\x73\57\115\141\163\x71\165\145\162\141\144\145\x41\x64\x64\162\x65\x73\163\x2e\x2a\57\x4d\141\x73\x71\x75\145\x72\141\x64\x65\101\x64\144\x72\x65\163\x73\40\x25\x73\57\147", $masqueradeAddress)); goto E887d; F0593: $serviceRestartCommand->setServiceName(self::PROFTPD_SERVICE_NAME); goto Ad587; Ad587: $this->commandExecutor->execute($sedCommand); goto Fabf0; E887d: $serviceRestartCommand = new ServiceRestartCommand(); goto F0593; C0a99: } public function setTimezone(string $timezone) : void { goto A1f78; A1f78: $setTimezoneCommand = new SetTimezoneCommand(); goto d6d29; d6d29: $setTimezoneCommand->setTimezone($timezone); goto c8a09; c8a09: $this->commandExecutor->execute($setTimezoneCommand); goto Cbb57; Cbb57: } public function reboot($delay = 5) : void { shell_exec(sprintf("\x28\57\142\x69\x6e\57\x73\x6c\145\145\160\x20\x25\163\40\46\x26\x20\x2f\165\163\162\57\x62\151\156\57\x73\165\144\x6f\40\x72\145\x62\x6f\x6f\x74\51\40\76\x20\x2f\144\x65\x76\x2f\x6e\x75\x6c\154\x20\46", $delay)); } protected function getHttpClient() : HttpClient { goto f2b27; a8246: $this->httpClient = new HttpClient($config); goto D2bed; Ff2ef: return $this->httpClient; goto B1c4f; fe25e: $config = ["\x74\151\155\145\x6f\x75\x74" => self::HTTP_CLIENT_TIMEOUT, "\x76\145\162\x69\146\x79" => false]; goto a8246; D2bed: aed65: goto Ff2ef; f2b27: if (!(true === is_null($this->httpClient))) { goto aed65; } goto fe25e; B1c4f: } protected function retry(callable $fn, $retries = 2, $delay = 3) { return Retry::retry($fn, $retries, $delay); } }
