<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto Aab3f; e5e57: $this->validator = $validator; goto Cc8f5; Aab3f: $this->siteEntityManager = $siteEntityManager; goto bd3d1; Cc8f5: parent::__construct(); goto c0d2f; Eb09c: $this->databaseServerEntityManager = $databaseServerEntityManager; goto e5e57; bd3d1: $this->databaseEntityManager = $databaseEntityManager; goto c9f8a; c9f8a: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Eb09c; c0d2f: } protected function configure() : void { goto Ad77f; af415: $this->addOption("\144\x61\x74\141\x62\x61\163\x65\x55\x73\145\162\120\x61\163\x73\167\157\x72\x64", null, InputOption::VALUE_REQUIRED); goto B418a; D5198: $this->addOption("\144\141\x74\x61\142\141\163\145\125\x73\145\x72\116\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto af415; C0be4: $this->addOption("\x64\x61\164\x61\x62\141\x73\x65\116\141\155\145", null, InputOption::VALUE_REQUIRED); goto D5198; Ad77f: $this->setName("\x64\x62\72\x61\x64\x64"); goto d5f98; f8299: $this->addOption("\144\157\155\141\x69\156\x4e\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto C0be4; d5f98: $this->setDescription("\143\x6c\160\143\x74\x6c\40\x64\142\x3a\x61\144\x64\x20\55\x2d\x64\157\x6d\x61\x69\x6e\116\141\x6d\x65\x3d\x77\x77\167\56\144\x6f\155\141\151\x6e\x2e\143\x6f\155\x20\55\55\144\141\164\141\142\141\163\x65\116\x61\155\145\x3d\x6d\171\x2d\144\141\164\141\x62\x61\x73\x65\40\x2d\55\144\x61\x74\x61\x62\141\x73\x65\x55\163\145\x72\116\141\x6d\x65\75\152\157\150\156\x20\x2d\x2d\144\141\x74\x61\x62\x61\x73\x65\x55\163\145\x72\x50\141\x73\163\167\157\x72\144\75\x27\x21\163\x65\x63\x72\145\x74\x50\x61\x73\x73\167\157\162\x64\41\x27"); goto f8299; B418a: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto cac65; c6685: $databaseEntity->setName($databaseName); goto Cf059; b536d: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto c354d; f470c: $constraints = new ConstraintViolationList(); goto Beabf; F0972: return BaseCommand::FAILURE; goto Ec20c; E73ba: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto Dbce6; e0250: $siteEntity->addDatabase($databaseEntity); goto e6f0f; A637b: $databaseName = trim($input->getOption("\144\x61\x74\141\142\x61\163\145\116\141\x6d\145")); goto E83b2; e7c94: $databaseUserEntity->setUserName($databaseUserName); goto E73ba; ce98f: $databaseManager->createDatabase($databaseEntity); goto A73cb; Ce0d9: $output->writeln(sprintf("\x3c\x69\x6e\x66\157\76\104\141\164\x61\x62\141\163\x65\74\57\151\x6e\x66\157\76\40\74\x63\157\x6d\x6d\145\156\x74\x3e\x25\163\74\57\143\157\155\x6d\145\x6e\164\76\40\x3c\x69\156\x66\x6f\76\x68\x61\163\40\142\145\x65\x6e\40\x61\144\x64\x65\x64\x2e\74\57\x69\x6e\x66\x6f\x3e", $databaseName)); goto ab808; e857b: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto c6685; c354d: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto Ee152; } goto f470c; d54ea: throw new \Exception(sprintf("\104\157\155\x61\x69\156\116\x61\x6d\145\x20\x22\45\x73\x22\x20\144\157\145\x73\40\156\x6f\164\x20\x65\x78\x69\163\x74\56", $domainName)); goto d914f; Ebe50: a20e4: goto D6431; f3370: $databaseUserPassword = trim($input->getOption("\x64\141\x74\141\x62\x61\163\x65\125\163\145\162\120\141\163\x73\167\157\x72\144")); goto A40cf; Cf059: $databaseEntity->setSite($siteEntity); goto f87fb; Dbce6: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto d7a18; cac65: $this->validateInput($input); goto A0207; eb06b: Ee152: goto cc8ff; A40cf: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto ed1e8; f87fb: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto e7c94; Beabf: $constraints->addAll($databaseConstraints); goto Efa7c; A0207: $domainName = trim($input->getOption("\x64\157\155\x61\x69\x6e\x4e\x61\155\x65")); goto A637b; a577b: goto a20e4; goto eb06b; e6f0f: $databaseConstraints = $this->validator->validate($databaseEntity); goto b536d; d914f: Ae685: goto a703e; d447e: $databaseEntity = $this->databaseEntityManager->createEntity(); goto e857b; a703e: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b10a9; A73cb: $databaseManager->createUser($databaseUserEntity); goto Ab95d; D6431: A2c0f: goto F0972; b10a9: if (!(false === is_null($activeDatabaseServerEntity))) { goto A2c0f; } goto d447e; D3343: $databaseEntity->addUser($databaseUserEntity); goto e0250; cc8ff: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto ce98f; ed1e8: if (!(true === is_null($siteEntity))) { goto Ae685; } goto d54ea; Aa3f2: return $this->renderConstraints($constraints, $output); goto a577b; ab808: return BaseCommand::SUCCESS; goto Ebe50; d7a18: $databaseUserEntity->setDatabase($databaseEntity); goto D3343; E83b2: $databaseUserName = trim($input->getOption("\144\x61\164\x61\x62\x61\x73\x65\125\163\x65\x72\x4e\141\155\x65")); goto f3370; Efa7c: $constraints->addAll($databaseUserConstraints); goto Aa3f2; Ab95d: $this->siteEntityManager->updateEntity($siteEntity); goto Ce0d9; Ec20c: } catch (\Exception $e) { goto f01ef; f01ef: $errorMessage = $e->getMessage(); goto a2c93; Def9c: return BaseCommand::FAILURE; goto cc8fa; a2c93: $output->writeln(sprintf("\x3c\145\162\x72\x6f\162\76\x25\x73\74\57\145\x72\162\x6f\162\x3e", $errorMessage)); goto Def9c; cc8fa: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\141\155\x65", "\144\x61\164\141\x62\x61\x73\x65\116\x61\155\x65", $constraints); $this->changePropertyPath("\165\163\x65\x72\x4e\x61\x6d\x65", "\x64\x61\164\141\x62\x61\x73\145\125\x73\145\x72\116\x61\155\x65", $constraints); } }
