<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto f991d; Ef50e: parent::__construct(); goto c10aa; Acaa9: $this->commandExecutor = new CommandExecutor(); goto Bb00e; fd24a: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Acaa9; f991d: $this->siteEntityManager = $siteEntityManager; goto Ae540; Ae540: $this->databaseEntityManager = $databaseEntityManager; goto fd24a; Bb00e: $this->validator = $validator; goto Ef50e; c10aa: } protected function configure() : void { goto Ea93e; Ea93e: $this->setName("\x64\x62\x3a\142\x61\143\x6b\165\x70"); goto e5f1a; b2aef: $this->addOption("\162\145\x74\x65\x6e\164\151\x6f\x6e\120\145\162\x69\157\x64", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto f342c; F4911: $this->addOption("\x69\147\x6e\157\162\145\x44\x61\x74\x61\142\141\163\145\163", null, InputOption::VALUE_OPTIONAL); goto b2aef; e5f1a: $this->setDescription("\x63\154\x70\143\x74\154\40\144\x62\72\142\x61\143\x6b\x75\x70\40\x2d\x2d\x69\147\156\157\162\x65\104\x61\x74\x61\x62\141\x73\145\163\x3d\47\144\142\x31\x2c\144\142\x32\47\x20\55\x2d\162\145\164\x65\x6e\x74\151\x6f\x6e\x50\145\x72\151\157\x64\x3d\67"); goto F4911; f342c: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ab5a3; ab5a3: $this->validateInput($input); goto E780e; eebd2: A3a4a: goto F45fe; ae011: foreach ($siteEntities as $siteEntity) { goto da3fb; F1e90: if (!count($databaseEntities)) { goto bd249; } goto Cf392; Cf392: foreach ($databaseEntities as $databaseEntity) { goto d5d36; F0220: B1c16: goto c54ec; F7557: $this->createDatabaseDump($databaseEntity); goto F0220; Bc1d4: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto B1c16; } goto F7557; c54ec: D4db6: goto a46a4; d5d36: $databaseName = $databaseEntity->getName(); goto Bc1d4; a46a4: } goto c0b62; F3354: abd78: goto cf743; c0b62: d3853: goto B04eb; da3fb: $databaseEntities = $siteEntity->getDatabases(); goto F1e90; B04eb: bd249: goto F3354; cf743: } goto Bb2ad; F45fe: return BaseCommand::SUCCESS; goto B265b; e839e: $siteEntities = $this->siteEntityManager->findAll(); goto af5a6; af5a6: if (!count($siteEntities)) { goto A3a4a; } goto ae011; f2601: $this->retentionPeriod = (int) $input->getOption("\x72\145\x74\145\x6e\164\151\x6f\x6e\120\145\x72\x69\157\x64"); goto e839e; E780e: $ignoredDatabases = explode("\x2c", $input->getOption("\151\147\x6e\x6f\x72\145\104\141\x74\141\x62\141\163\x65\x73")); goto f2601; Bb2ad: Ace0b: goto eebd2; B265b: } catch (\Exception $e) { goto bcb77; E64ce: $output->writeln(sprintf("\x3c\x65\162\x72\x6f\x72\x3e\45\163\x3c\57\145\x72\162\157\x72\x3e", $errorMessage)); goto E825a; E825a: return BaseCommand::FAILURE; goto efcf0; bcb77: $errorMessage = $e->getMessage(); goto E64ce; efcf0: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto Bccc6; e493c: $databaseExporter->setFile($outputFile); goto D4bb4; dc576: $outputFile = sprintf("\45\x73\57\45\x73", rtrim($outputDirectory, "\x2f"), sprintf("\x25\x73\x5f\x25\x73\56\163\x71\154\x2e\147\x7a", $databaseName, $dateTime->getTimestamp())); goto Bd875; F4134: $this->resetPermissions($databaseEntity); goto B6d35; d14fb: $backupDirectory = sprintf("\x2f\x68\157\155\145\x2f\45\x73\x2f\x62\x61\x63\x6b\165\160\x73\57\144\x61\x74\x61\142\x61\163\x65\163\x2f", $siteUser); goto b6227; D4bb4: $databaseExporter->createOutputDirectory(); goto Ce910; A9698: $siteEntity = $databaseEntity->getSite(); goto d71fe; Bd875: $databaseExporter = new DatabaseExporter($databaseEntity); goto e493c; bdb6d: $databaseName = $databaseEntity->getName(); goto d14fb; d71fe: $siteUser = $siteEntity->getUser(); goto bdb6d; Bccc6: $dateTime = new \DateTime("\x6e\157\167", new \DateTimeZone("\125\124\x43")); goto A9698; B6d35: $this->cleanUpBackups($databaseEntity); goto A5be3; b6227: $outputDirectory = sprintf("\45\163\x2f\45\163\57\45\163\57", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\x59\x2d\x6d\x2d\144")); goto dc576; Ce910: $databaseExporter->export(); goto F4134; A5be3: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto fa3c1; a7d80: $backupDirectoryChownCommand->setUser($siteUser); goto Bf7ba; Bf7ba: $backupDirectoryChownCommand->setGroup($siteUser); goto Bd861; D343d: $backupDirectoryChmodCommand->setFile($backupDirectory); goto f31ed; a3843: $backupDirectoryChmodCommand->setFileChmod(760); goto f9705; D44f1: $siteUser = $siteEntity->getUser(); goto b6bb1; b6bb1: $backupDirectory = sprintf("\57\150\157\x6d\x65\57\x25\x73\x2f\x62\x61\143\x6b\x75\x70\163\57\x64\x61\164\x61\x62\x61\x73\145\x73\x2f", $siteUser); goto fe1a2; f31ed: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto a3843; e7cad: $backupDirectoryChownCommand->setFile($backupDirectory); goto E5afb; fa3c1: $siteEntity = $databaseEntity->getSite(); goto D44f1; f9705: $this->commandExecutor->execute($backupDirectoryChownCommand); goto F6890; Bd861: $backupDirectoryChmodCommand = new FindChmodCommand(); goto D343d; E5afb: $backupDirectoryChownCommand->setRecursive(true); goto a7d80; fe1a2: $backupDirectoryChownCommand = new ChownCommand(); goto e7cad; F6890: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto fa86e; fa86e: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto c8040; A24bb: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto bc274; c8040: $siteEntity = $databaseEntity->getSite(); goto bafdd; E1472: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto cb6dc; Ce6ca: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto E1472; da06c: $databaseBackupDirectory = sprintf("\x2f\x68\157\155\145\57\x25\163\57\x62\x61\143\x6b\165\160\x73\57\144\141\x74\x61\142\x61\163\145\x73\57", $siteUser); goto Ce6ca; cb6dc: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto A24bb; bafdd: $siteUser = $siteEntity->getUser(); goto da06c; bc274: } }
