<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto D0f47; A52ba: $this->databaseServerEntityManager = $databaseServerEntityManager; goto e5891; c92b3: $this->databaseUserEntityManager = $databaseUserEntityManager; goto A52ba; D0f47: $this->siteEntityManager = $siteEntityManager; goto eb67f; e5891: $this->validator = $validator; goto Df72c; Df72c: parent::__construct(); goto c5e19; eb67f: $this->databaseEntityManager = $databaseEntityManager; goto c92b3; c5e19: } protected function configure() : void { goto bfe3b; f0b96: $this->addOption("\144\x61\164\141\142\x61\163\145\x4e\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto e5cb9; b2357: $this->setDescription("\143\x6c\x70\x63\x74\x6c\x20\144\x62\72\144\x65\x6c\x65\164\x65\x20\x2d\55\144\141\164\x61\142\141\163\x65\x4e\x61\155\x65\75\155\171\55\144\141\x74\141\x62\141\163\145"); goto f0b96; e5cb9: $this->addOption("\146\157\x72\143\x65", "\x66", InputOption::VALUE_NONE); goto bfe84; bfe3b: $this->setName("\x64\142\72\x64\145\x6c\x65\x74\145"); goto b2357; bfe84: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto c356e; D8df6: if (!(true === is_null($databaseEntity))) { goto B4836; } goto F71ae; A41aa: return BaseCommand::SUCCESS; goto F9a80; e19da: $helper = $this->getHelper("\x71\165\x65\163\164\x69\x6f\x6e"); goto c4257; B5c23: $force = $input->getOption("\146\157\162\x63\145") === true; goto f31b4; f31b4: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto D8df6; Ed87d: $siteEntity->removeDatabase($databaseEntity); goto b4051; F9a80: b497f: goto a7281; B41d7: $output->writeln(sprintf("\74\x69\x6e\146\x6f\76\x44\141\164\x61\x62\x61\x73\x65\x3c\x2f\151\156\x66\157\76\x20\74\143\157\x6d\x6d\145\x6e\x74\76\45\x73\74\x2f\143\157\155\155\x65\x6e\164\x3e\40\74\151\156\146\x6f\x3e\x68\x61\163\40\x62\145\145\x6e\x20\144\145\154\145\164\x65\144\x2e\x3c\x2f\151\156\146\x6f\76", $databaseName)); goto C7814; a7281: a355c: goto e8ee4; Ef456: if (!(false === $force)) { goto a355c; } goto e19da; edca7: $databaseManager = new DatabaseManager($databaseServerEntity); goto d5e5c; Ee963: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto edca7; c4257: $question = new ConfirmationQuestion(sprintf("\x3c\x69\x6e\x66\157\76\103\x6f\x6e\x66\151\162\x6d\40\164\157\x20\x64\x65\154\145\164\145\x20\164\x68\145\40\144\x61\x74\141\142\x61\x73\x65\x3a\x20\45\163\x3c\57\151\x6e\x66\157\76\40\x3c\x63\157\x6d\155\145\x6e\x74\x3e\50\x79\145\163\57\x6e\157\51\72\x3c\57\143\x6f\155\155\x65\156\x74\76\x20", $databaseName), false, "\x2f\x5e\x28\x79\x65\163\x29\x2f\x69"); goto d70e3; b4051: $this->siteEntityManager->updateEntity($siteEntity); goto B41d7; C7814: return BaseCommand::SUCCESS; goto D2271; d5e5c: $databaseManager->deleteDatabase($databaseEntity, true); goto Ed87d; Df18f: B4836: goto Ef456; F71ae: throw new \Exception(sprintf("\104\x61\x74\141\x62\141\x73\x65\x20\x22\x25\163\x22\40\144\x6f\145\163\40\156\x6f\x74\x20\145\x78\x69\x73\164\x2e", $databaseName)); goto Df18f; c8456: $databaseName = trim($input->getOption("\144\141\x74\x61\142\x61\x73\145\x4e\x61\x6d\145")); goto B5c23; d70e3: $answer = $helper->ask($input, $output, $question); goto E746b; e8ee4: $siteEntity = $databaseEntity->getSite(); goto Ee963; E746b: if (!(false === $answer)) { goto b497f; } goto A41aa; c356e: $this->validateInput($input); goto c8456; D2271: } catch (\Exception $e) { goto Da09d; F9673: $output->writeln(sprintf("\74\145\x72\x72\157\x72\76\45\163\x3c\57\145\162\x72\157\x72\76", $errorMessage)); goto c21b6; Da09d: $errorMessage = $e->getMessage(); goto F9673; c21b6: return BaseCommand::FAILURE; goto Fd4bb; Fd4bb: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\x61\x6d\x65", "\x64\141\164\141\x62\x61\163\145\116\141\155\x65", $constraints); $this->changePropertyPath("\165\x73\145\162\116\x61\x6d\145", "\x64\141\164\x61\142\141\x73\145\125\163\x65\162\116\x61\155\x65", $constraints); } }
