<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto a2c8e; c8a8c: parent::__construct(); goto B514e; ad16f: $this->commandExecutor = new CommandExecutor(); goto Bdea5; a2c8e: $this->siteEntityManager = $siteEntityManager; goto ad16f; C643c: $this->validator = $validator; goto c8a8c; Bdea5: $this->logger = $logger; goto C643c; B514e: } protected function configure() : void { goto efca9; c31e3: $this->setDescription("\143\154\x70\143\x74\x6c\40\162\145\155\157\x74\x65\55\142\x61\143\x6b\x75\x70\x3a\143\x72\145\141\x74\x65"); goto cbec1; efca9: $this->setName("\x72\x65\155\x6f\164\x65\x2d\142\x61\x63\x6b\165\160\72\x63\x72\145\141\x74\145"); goto c31e3; cbec1: $this->addOption("\144\x65\x6c\x61\171", null, InputOption::VALUE_OPTIONAL, false); goto E64cd; E64cd: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto f4abc; D6c11: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto c7a3f; } goto C2dda; ad86a: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); a3bca: } goto ab186; f3c4f: E2941: goto d7a10; ee278: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto Df461; } goto Ffa46; df6e9: if (!count($siteEntities)) { goto E2941; } goto e8ded; de850: Df461: goto F0791; bccb0: $this->storageProvider = $this->getConfigValue("\x72\x65\155\x6f\164\x65\x5f\142\x61\143\x6b\165\x70\x5f\163\164\x6f\x72\x61\x67\x65\x5f\x70\162\157\x76\151\x64\145\x72"); goto ee278; E1246: $this->refreshDropboxAccessToken($delay); goto D1f59; Ffa46: $siteEntities = $this->siteEntityManager->findAll(); goto df6e9; C2dda: $delay = (bool) $input->getOption("\144\145\154\x61\x79"); goto E1246; e8ded: $this->backupDatabases(clone $input, clone $output); goto D6c11; D1f38: $isEnabled = (bool) $this->getConfigValue("\x72\x65\x6d\157\x74\x65\x5f\x62\x61\143\153\165\160\137\x65\156\141\142\x6c\x65\144"); goto bccb0; f4abc: $this->validateInput($input); goto D1f38; d7a10: $this->cleanBackups(); goto de850; ab186: Bf0e4: goto f3c4f; F0791: return BaseCommand::SUCCESS; goto d09b8; D1f59: c7a3f: goto ad86a; d09b8: } catch (\Exception $e) { goto D0d4a; D0d4a: $errorMessage = $e->getMessage(); goto a0dbd; a0dbd: $output->writeln(sprintf("\x3c\x65\x72\162\x6f\162\76\x25\163\74\57\x65\x72\162\x6f\x72\76", $errorMessage)); goto c2b3d; c2b3d: return BaseCommand::FAILURE; goto ca38e; ca38e: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto Fd5dd; Cdbf9: $command = $application->find("\144\x62\72\142\141\x63\x6b\165\160"); goto Cc60d; Fd5dd: $application = $this->getApplication(); goto Cdbf9; Cc60d: $exitCode = $command->run($input, $output); goto Da171; Da171: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto F59b8; B5d97: try { try { goto Ce029; a5431: $siteExcludes = $this->getSiteExcludes($siteEntity); goto Ce347; c4ecd: D4976: goto A90a8; d4787: $homeDirectory = sprintf("\57\x68\157\x6d\x65\57\45\x73\57", $siteUser); goto dfa19; be8a2: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto Ffdd4; c71e3: $rclone->addFlag("\55\x2d\x64\162\151\x76\145\55\151\x6d\160\x65\162\163\x6f\156\141\164\x65", $email); goto e0ac5; e0ac5: goto D4976; goto C69ca; Ffdd4: $email = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\x5f\x62\141\x63\153\x75\x70\x5f\145\x6d\x61\151\x6c"); goto c71e3; C69ca: } goto B09c9; e467f: $destinationFile = sprintf("\57\x68\x6f\155\145\57\x25\x73\57\x74\x6d\x70\57\x62\141\x63\x6b\x75\160\x2e\x74\x61\162", $siteUser); goto B302c; ab874: f48c6: goto D8672; B530c: $domainName = $siteEntity->getDomainName(); goto d4787; D8672: $siteUser = $siteEntity->getUser(); goto B530c; dfa19: $vhostFile = sprintf("\x2f\145\x74\143\57\156\x67\x69\x6e\x78\57\x73\x69\x74\x65\163\55\x65\156\x61\142\x6c\x65\x64\x2f\45\x73\56\x63\x6f\156\x66", $domainName); goto e467f; A90a8: $rclone->copy($destinationFile, $destination); goto cdcd4; f76d3: $excludes = array_merge($excludes, $siteExcludes); goto ab874; e6f42: $destination = $this->getDestination($siteEntity); goto Cdf78; Ce347: if (!(false === empty($siteExcludes))) { goto f48c6; } goto f76d3; Ffcd3: $tarCreator = new TarCreator(); goto Db5ba; fea16: $siteVhostFile = sprintf("\x2f\x68\157\155\x65\x2f\x25\163\57\x73\x69\164\x65\55\x76\150\x6f\x73\164", $siteUser); goto F3b1b; Ce029: $excludes = ["\56\163\x73\150", "\164\x6d\x70", "\154\x6f\147\x73"]; goto a5431; B302c: $siteSettingsFile = sprintf("\57\150\x6f\x6d\x65\x2f\x25\163\x2f\x73\x69\164\x65\55\163\x65\164\164\x69\156\147\x73\x2e\x6a\x73\157\x6e", $siteUser); goto fea16; B09c9: Fd45f: goto c4ecd; Cdf78: $rclone = new Rclone(); goto be8a2; Db5ba: $tarCreator->create($sources, $destinationFile, $excludes); goto e6f42; D9acd: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto ddb5a; ddb5a: $sources = [$homeDirectory, $vhostFile]; goto Ffcd3; F3b1b: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto D9acd; cdcd4: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto B51d9; Bbb0a: $this->commandExecutor->execute($deleteFileCommand, 60); goto a4402; efcf7: $deleteFileCommand->setFile($file); goto Bbb0a; a4402: f5162: goto Bd023; B51d9: $deleteFileCommand = new DeleteFileCommand(); goto efcf7; Bd023: } Ee333: } } catch (\Exception $e) { goto B2a41; Fa24c: $subject = sprintf("\122\145\x6d\157\x74\x65\x20\x42\x61\x63\153\x75\160\40\146\x61\151\x6c\145\144\72\40\45\163", $domainName); goto B315d; B315d: $this->addNotification($subject, $errorMessage); goto C6b36; B2a41: $errorMessage = $e->getMessage(); goto Fa24c; C6b36: } goto b4058; F59b8: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto da711; b4058: B19e3: goto f2cf6; da711: if (!(false === $isSiteExcluded)) { goto B19e3; } goto B5d97; f2cf6: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto C2a1b; c0aaa: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto F9b41; Cf6b9: f8aec: goto c4de8; F9b41: $writeFileCommand = new WriteFileCommand(); goto e1e14; c4de8: ec7d4: goto c0aaa; A543f: $writeFileCommand->setContent($fileContent); goto B5b3a; C2a1b: $siteType = $siteEntity->getType(); goto A9757; e1e14: $writeFileCommand->setFile($siteSettingsFile); goto A543f; B5b3a: $this->commandExecutor->execute($writeFileCommand, 15); goto d5b1f; A9757: $settings = ["\164\x79\160\145" => $siteType, "\x64\157\155\141\151\x6e\x4e\141\155\145" => $siteEntity->getDomainName(), "\x72\157\157\164\104\151\x72\145\x63\164\157\x72\x79" => $siteEntity->getRootDirectory(), "\163\x69\x74\145\125\x73\145\x72" => $siteEntity->getUser(), "\x70\141\147\145\x53\160\145\145\144" => $siteEntity->getPageSpeedSettings()]; goto adf89; adf89: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto A76a1; A76a1: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto Fb6b7; ec4d7: goto ec7d4; goto B6d7f; D10cc: $settings["\156\x6f\x64\145\x6a\x73\x53\x65\x74\x74\x69\156\x67\x73"] = $nodejsSettings; goto ec4d7; Fb6b7: $nodejsSettings = ["\x76\145\162\163\151\x6f\x6e" => $nodejsSettingsEntity->getNodejsVersion(), "\160\x6f\x72\164" => $nodejsSettingsEntity->getPort()]; goto D10cc; B6d7f: case SiteEntity::TYPE_PHP: goto ea524; c6c82: $settings["\x70\150\x70\x53\145\x74\x74\x69\156\147\163"] = $phpSettings; goto Accd6; Accd6: goto ec7d4; goto D7ee1; ea524: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto Be803; Be803: $phpSettings = ["\x76\145\162\163\x69\x6f\156" => $phpSettingsEntity->getPhpVersion(), "\x6d\145\x6d\x6f\162\x79\114\151\x6d\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\x6d\141\170\x45\x78\145\143\165\x74\151\157\x6e\x54\x69\155\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\x6d\141\170\x49\156\x70\165\164\x54\x69\155\145" => $phpSettingsEntity->getMaxInputTime(), "\x6d\x61\x78\111\156\x70\165\x74\x56\141\162\163" => $phpSettingsEntity->getMaxInputVars(), "\x70\157\x73\164\x4d\141\170\x53\x69\x7a\x65" => $phpSettingsEntity->getPostMaxSize(), "\x75\160\x6c\157\x61\x64\x4d\141\x78\106\x69\154\x65\x53\151\172\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\x64\144\x69\x74\x69\157\x6e\141\x6c\103\x6f\x6e\x66\x69\147\x75\162\x61\164\x69\157\156" => $phpSettingsEntity->getAdditionalConfiguration()]; goto c6c82; D7ee1: case SiteEntity::TYPE_PYTHON: goto A71f0; ff91d: goto ec7d4; goto Da1e6; a61b9: $pythonSettings = ["\x76\145\162\163\151\157\156" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\x72\x74" => $pythonSettingsEntity->getPort()]; goto E2ffa; A71f0: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto a61b9; E2ffa: $settings["\x70\171\164\150\157\156\x53\x65\164\164\x69\156\x67\163"] = $pythonSettings; goto ff91d; Da1e6: case SiteEntity::TYPE_REVERSE_PROXY: goto bb1e9; bb1e9: $reverseProxySettings = ["\x75\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto E2154; E2154: $settings["\x72\x65\166\145\162\163\145\x50\162\x6f\170\x79\123\145\x74\164\x69\156\x67\x73"] = $reverseProxySettings; goto e3ee5; e3ee5: goto ec7d4; goto Fc68d; Fc68d: } goto Cf6b9; d5b1f: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto D81ba; e6279: $writeFileCommand->setContent($vhost); goto ef55a; ef55a: $this->commandExecutor->execute($writeFileCommand, 15); goto cacc5; D81ba: $vhost = $siteEntity->getVhostTemplate(); goto F5a45; F5a45: $writeFileCommand = new WriteFileCommand(); goto af814; af814: $writeFileCommand->setFile($siteVhostFile); goto e6279; cacc5: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto f53bb; e2ab3: $homeDirectory = sprintf("\x2f\150\x6f\x6d\145\x2f\45\163", $siteUser); goto a3032; a3032: foreach ($excludes as $exclude) { goto F7c9b; f38f2: goto e01bd; goto Cb406; bb2da: Ec4af: goto c5603; Cb406: B22aa: goto bb2da; d7213: if (!($homeDirectory == $exclude)) { goto B22aa; } goto d5ca9; d5ca9: $isSiteExcluded = true; goto f38f2; F7c9b: $exclude = rtrim($exclude, "\x2f"); goto d7213; c5603: } goto F863c; a96de: $excludes = $this->getExcludes(); goto fa743; eba8e: c3b97: goto E5fde; F863c: e01bd: goto eba8e; fa743: if (!(false === empty($excludes))) { goto c3b97; } goto a71a6; f53bb: $isSiteExcluded = false; goto a96de; a71a6: $siteUser = $siteEntity->getUser(); goto e2ab3; E5fde: return $isSiteExcluded; goto fe856; fe856: } private function getExcludes() : array { goto Debe6; D19c5: cffb2: goto e9300; d68a5: $this->excludes = json_decode($excludes); goto D19c5; e9300: E1329: goto D2f36; Debe6: if (!(true === empty($this->excludes))) { goto E1329; } goto f14fb; f14fb: $excludes = $this->getConfigValue("\x72\x65\x6d\157\x74\145\x5f\142\x61\x63\x6b\x75\160\x5f\x65\170\x63\x6c\x75\x64\145\163"); goto abbec; D2f36: return $this->excludes; goto C3cab; abbec: if (!(false === empty($excludes))) { goto cffb2; } goto d68a5; C3cab: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto deb1f; a94de: d7f4b: goto d7be6; fc95e: $siteUser = $siteEntity->getUser(); goto A695d; Eee4b: $excludes = $this->getExcludes(); goto C4a10; A695d: $homeDirectory = sprintf("\x2f\x68\157\155\145\57\45\x73\x2f", $siteUser); goto c1f74; C4a10: if (!(false === empty($excludes))) { goto d7f4b; } goto fc95e; d7be6: return $siteExcludes; goto Bc8a2; a10b4: f9f71: goto a94de; c1f74: foreach ($excludes as $exclude) { goto F278e; c8df6: Ad207: goto d8bc1; D7262: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\57"); goto B3e08; F3512: if (!(false === empty($exclude))) { goto A5608; } goto D7262; F278e: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto Ad207; } goto B3822; B3e08: A5608: goto c8df6; B3822: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto F3512; d8bc1: Cb845: goto D9157; D9157: } goto a10b4; deb1f: $siteExcludes = []; goto Eee4b; Bc8a2: } private function getServerDateTime() : \DateTime { goto E00c5; e50b9: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\103")); goto C74cd; dfe7b: $this->serverDateTime = new \DateTime("\156\157\x77"); goto e50b9; E00c5: if (!(true === is_null($this->serverDateTime))) { goto C79bd; } goto b6f1b; a1c6e: Bf624: goto C9e50; f4810: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto a1c6e; b6f1b: $timezone = $this->getConfigValue("\164\x69\x6d\145\172\157\x6e\x65"); goto dfe7b; C74cd: if (!(false === empty($timezone))) { goto Bf624; } goto f4810; Bb84d: return $this->serverDateTime; goto Dd4d9; C9e50: C79bd: goto Bb84d; Dd4d9: } private function getDestination(SiteEntity $siteEntity) : string { goto cf2b4; d3ab3: $storageDirectory = $this->getConfigValue("\162\145\x6d\x6f\x74\145\x5f\x62\141\143\x6b\x75\160\x5f\x73\x74\157\162\141\x67\145\x5f\x64\x69\x72\x65\x63\164\157\x72\171"); goto d9d5d; E0b67: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Bf5e2; } goto D51c4; D97fb: E2f4a: goto A8f88; A8f88: bf097: goto Dc3d2; Abbde: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\x72\x65\155\157\164\x65\x5f\142\x61\143\x6b\165\160\x5f\142\x75\143\x6b\x65\x74"); goto bf097; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\145\x6d\x6f\x74\145\137\142\x61\143\153\x75\x70\137\x73\160\x61\x63\x65"); goto bf097; } goto D97fb; B359d: Bf5e2: goto F92d7; D51c4: $destination = ltrim($destination, "\x2f"); goto B359d; Af962: $destination = sprintf("\x25\163\x2f\45\x73\x2f\45\x73\x2f\x25\163\57\x68\x6f\155\145\x2f\x25\163\x2f", $destination, rtrim(ltrim($storageDirectory, "\57"), "\57"), $serverDateTime->format("\131\55\155\55\x64"), $serverDateTime->format("\x48\x2e\151"), $siteUser); goto E0b67; Dc3d2: $siteUser = $siteEntity->getUser(); goto d3ab3; cf2b4: $destination = ''; goto Abbde; d9d5d: $serverDateTime = $this->getServerDateTime(); goto Af962; F92d7: return $destination; goto E7576; E7576: } private function cleanBackups() : void { goto Fbf67; B490e: try { goto a4276; a4276: $dateTime = new \DateTime(); goto a8cb8; b975a: e58ba: goto D02fc; A069b: if (!(false === empty($directories))) { goto aee77; } goto F7c80; Fafce: aee77: goto Afd8c; b176c: Dbab9: goto Fafce; f2856: $deleteDateTime->setTime(0, 0, 0, 0); goto bbea0; d4d07: $rclone = new Rclone(); goto b858f; bf454: $deleteDateTime->setTimezone(new \DateTimeZone("\x55\124\x43")); goto f2856; Ea72e: $remotePath = sprintf("\x25\163\57\45\x73\57", $remotePath, rtrim(ltrim($storageDirectory, "\x2f"), "\57")); goto D1d0a; b858f: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\155\x6f\164\145\x5f\142\x61\143\153\165\x70\x5f\x62\165\143\x6b\x65\x74"); goto da396; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\x65\x6d\157\164\x65\137\142\x61\143\x6b\165\x70\137\x73\x70\x61\x63\x65"); goto da396; case StorageProvider::GOOGLE_DRIVE: goto Aafae; Aafae: $email = $this->getConfigValue("\162\145\x6d\157\x74\x65\137\142\x61\x63\153\165\160\x5f\x65\155\x61\x69\154"); goto ce570; Ef7b0: goto da396; goto Ced7c; ce570: $rclone->addFlag("\x2d\55\x64\162\151\x76\x65\x2d\x69\x6d\160\145\162\x73\x6f\156\x61\164\x65", $email); goto Ef7b0; Ced7c: } goto b975a; D02fc: da396: goto Ea72e; bbea0: $remotePath = ''; goto d4d07; ad15e: b1371: goto Aee9c; e40c8: $deleteDateTime->modify(sprintf("\x2d\x25\x73\x20\144\141\x79\x73", $retentionPeriod)); goto bf454; C4376: $remotePath = ltrim($remotePath, "\57"); goto ad15e; a8cb8: $deleteDateTime = clone $dateTime; goto e40c8; F7c80: foreach ($directories as $directory) { goto Eea5c; B56db: B3aef: goto Fb5cc; c8fd3: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto c3dff; } goto fc6a3; Fa993: Bcb68: goto c8fd3; Af4f7: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Bcb68; } goto Fb904; d946c: b6374: goto d92ab; Fb904: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto Fa993; E74d9: c3dff: goto C37dd; Eea5c: $directoryName = $directory["\x4e\141\155\145"] ?? null; goto Ff86f; D4c60: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto cf610; Ff86f: if (!(false === is_null($directoryName))) { goto dd517; } goto D4c60; fc6a3: $purgeRemotePath = sprintf("\x2f\x25\x73", ltrim($purgeRemotePath, "\57")); goto E74d9; bd42a: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto a4492; } goto fe0b2; C6ba2: a4492: goto B56db; Fb5cc: dd517: goto d946c; fe0b2: $purgeRemotePath = sprintf("\x25\x73\57\x25\163\57", rtrim(ltrim($remotePath, "\57"), "\57"), $directoryName); goto Af4f7; cf610: if (!(true === $isValidDate)) { goto B3aef; } goto bd42a; C37dd: $rclone->purge($purgeRemotePath); goto C6ba2; d92ab: } goto b176c; Aee9c: $directories = (array) $rclone->lsJson($remotePath, true); goto A069b; D1d0a: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto b1371; } goto C4376; Afd8c: } catch (\Exception $e) { goto ea6c5; A379c: $this->addNotification($subject, $errorMessage); goto C10f0; caa1c: $subject = sprintf("\x52\x65\155\x6f\x74\x65\40\102\141\x63\153\x75\160\40\x63\154\145\141\x6e\165\160\x20\x66\141\x69\x6c\x65\144\56"); goto A379c; ea6c5: $errorMessage = $e->getMessage(); goto caa1c; C10f0: } goto a49c3; b40ee: if (!($retentionPeriod && false === empty($storageDirectory))) { goto bfd15; } goto B490e; E3d96: $storageDirectory = $this->getConfigValue("\162\145\x6d\157\164\145\137\142\141\143\x6b\165\160\137\163\164\x6f\162\x61\147\x65\137\144\x69\162\x65\x63\164\x6f\x72\171"); goto b40ee; Fbf67: $retentionPeriod = (int) $this->getConfigValue("\x72\x65\155\x6f\x74\145\x5f\142\x61\x63\153\x75\160\137\x72\x65\164\x65\x6e\164\151\157\156\x5f\x70\x65\x72\151\x6f\144"); goto E3d96; a49c3: bfd15: goto D8fbc; D8fbc: } private function refreshDropboxAccessToken(bool $delay) { try { goto Aa7a8; Fd30f: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto E2e61; b991e: goto b3501; goto dbdec; Aa7a8: if (!(true === $delay)) { goto b826f; } goto F49ef; Ab8b5: if (false === empty($token)) { goto b1a6f; } goto Cae27; E2e61: $rcloneConfig = $rcloneConfigBuilder->build(); goto A1240; dbdec: b1a6f: goto b457d; c1280: $token = $dropboxClient->getAccessToken($refreshToken); goto Ab8b5; bd6b1: $rclone->writeConfig($rcloneConfig); goto B433d; B433d: b3501: goto F56d4; A1240: $rclone = new Rclone(); goto bd6b1; F49ef: sleep(rand(5, 60)); goto bcab0; bcab0: b826f: goto B7022; A61d7: $dropboxClient = new DropboxClient(); goto c1280; Bc823: $rcloneConfigTemplate->setToken($token); goto Fd30f; B7022: $refreshToken = $this->getConfigValue("\x72\145\155\x6f\164\145\137\142\x61\x63\x6b\165\160\x5f\x72\x65\146\x72\145\163\150\x5f\164\x6f\153\145\x6e"); goto A61d7; Cae27: throw new \Exception("\101\143\143\x65\x73\x73\40\x54\157\153\x65\156\x20\143\x61\156\156\157\164\x20\142\145\40\x65\x6d\160\164\x79\x2e"); goto b991e; b457d: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto Bc823; F56d4: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\x65\146\162\145\x73\150\151\x6e\147\x20\x44\162\x6f\160\142\157\170\40\101\143\x63\x65\163\x73\x20\124\x6f\153\145\156\x20\x46\141\x69\154\x65\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto c63ab; e942c: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto Be87c; Be87c: NotificationQueue::addNotification($notification); goto b0a88; c63ab: $notification = new Notification(); goto b3016; c3f94: $notification->setMessage($errorMessage); goto e942c; b3016: $notification->setSubject($subject); goto c3f94; b0a88: } }
