<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\157\x64\x65\152\x73"; protected function configure() : void { goto E3f15; f67cd: $this->addOption("\x6e\x6f\x64\145\x6a\163\x56\x65\x72\163\x69\157\156", null, InputOption::VALUE_REQUIRED); goto f057e; f057e: $this->addOption("\x61\x70\160\x50\x6f\x72\x74", null, InputOption::VALUE_REQUIRED); goto A5b6b; A5b6b: $this->addOption("\x73\151\x74\x65\125\x73\x65\162", null, InputOption::VALUE_REQUIRED); goto Faf0a; A9bb8: $this->setComment("\x41\x64\144\151\156\147\x20\x61\40\x4e\x6f\x64\145\56\152\x73\40\x53\151\x74\145"); goto F2af2; E3f15: $this->setName("\163\151\x74\x65\x3a\x61\x64\x64\x3a\x6e\157\144\145\x6a\163"); goto C86b3; Faf0a: $this->addOption("\163\151\x74\145\x55\163\145\162\120\x61\x73\x73\x77\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto d843b; F2af2: $this->addOption("\144\x6f\x6d\141\x69\x6e\x4e\141\155\x65", null, InputOption::VALUE_REQUIRED); goto f67cd; C86b3: $this->setDescription("\x63\x6c\160\143\164\154\40\163\151\164\145\x3a\141\144\x64\72\156\157\144\x65\152\163\40\55\55\x64\x6f\x6d\x61\151\156\116\141\155\x65\x3d\167\x77\x77\56\144\x6f\x6d\141\x69\x6e\x2e\x63\157\155\40\55\55\x6e\x6f\x64\x65\x6a\163\x56\x65\162\x73\151\157\156\x3d\62\x32\40\55\x2d\x61\x70\160\x50\157\162\x74\75\x33\x30\x30\x30\x20\55\55\163\151\164\145\x55\x73\x65\162\x3d\x6a\x6f\x68\156\x20\x2d\x2d\163\x69\164\145\x55\x73\x65\x72\x50\141\163\163\x77\157\162\x64\75\x27\41\163\x65\x63\162\145\164\x50\x61\163\163\167\x6f\x72\144\x21\47"); goto A9bb8; d843b: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto C6252; eb7de: $subdomain = false === empty($subdomain) ? $subdomain : null; goto a6a35; Fe1ec: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto e66cb; Ef6f9: $nodejsSiteCreator->createNginxVhost(); goto e7bfc; b3f2b: ddaf2: goto D2566; d6daf: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto feb37; d2828: $nodejsSite->setSubdomain($subdomain); goto Ce2d7; a7932: return SiteCommand::SUCCESS; goto d460e; Eaffe: $nodejsVersion = (int) $input->getOption("\156\157\x64\145\x6a\x73\126\x65\x72\x73\x69\157\156"); goto b0fe3; Cc1d8: $rootDirectory = $domainName; goto Eaffe; D6c8f: $subjectAlternativeNames[] = sprintf("\x77\167\167\x2e\45\163", $domainName); goto d2899; db688: $constraints->addAll($siteConstraints); goto C169b; F7355: $domainName = mb_strtolower(trim($input->getOption("\144\157\155\x61\x69\x6e\x4e\141\155\145"))); goto cd20e; B50da: $nodejsSite->setUser($siteEntity->getUser()); goto c5b6d; A859c: if (!(true === is_null($subdomain) || "\167\x77\x77" == $subdomain)) { goto fd59e; } goto D7b72; E7a71: $nodejsSiteCreator->resetPermissions(); goto A3938; feb37: $vhostTemplate->build(); goto Bb8f0; C7e36: Cc3c9: goto C033d; e9f51: $certificateEntity->setDefaultCertificate(true); goto af18f; b7c0c: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto Ec9c7; C003e: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto A80c2; a1983: A6fc4: goto b7c0c; B156c: $subjectAlternativeNames[] = $registrableDomain; goto bae5b; d61fd: throw new \Exception(sprintf("\x56\x68\x6f\x73\164\x20\x54\145\x6d\x70\x6c\x61\x74\x65\40\42\45\x73\x22\40\x64\157\145\x73\x20\x6e\x6f\164\40\x65\170\x69\x73\164\x2e", $vhostTemplate)); goto ee409; B0c70: if (!(false === is_null($subdomain) && "\x77\167\x77" == $subdomain)) { goto E3fd9; } goto B156c; eba0d: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto B8e07; dc840: if (false === is_null($vhostTemplateEntity)) { goto A6fc4; } goto d61fd; C033d: $certificateEntity = $this->certificateEntityManager->createEntity(); goto ad2b4; F90ab: $nodejsSiteCreator->createUser(); goto e3f5d; C7bf8: $nodejsSite->setDomainName($domainName); goto c0f02; b6f1e: $rsaKeyGenerator = new RsaKeyGenerator(); goto b2d47; E2009: $siteUser = trim($input->getOption("\x73\151\164\x65\x55\163\x65\162")); goto Aed0c; bae5b: E3fd9: goto Fe1ec; A501f: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto c9f6d; Af78a: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto e2fe7; a542b: $siteEntity->setVhostTemplate($vhostTemplate); goto dd4a0; De7f2: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto ca4d2; A12f7: $certificateEntity->setCsr($csr); goto Eb165; F5a53: $vhostTemplate = sprintf("\45\163\45\x73", $redirectionVhostTemplate, $vhostTemplate); goto ca796; B5437: return $this->renderConstraints($constraints, $output); goto Fa9c2; e3f0a: $nodejsSiteCreator->installNodejs(); goto c2900; b2d47: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto D0ee6; c0c79: if (!(true === is_null($subdomain))) { goto E983f; } goto D6c8f; e7bfc: $nodejsSiteCreator->reloadNginxService(); goto E7a71; c5b6d: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto C7bf8; c63c8: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto ca399; ca796: a24ba: goto F4699; F5811: $constraints = new ConstraintViolationList(); goto db688; d9571: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto F5055; Ce2d7: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto ca629; b6835: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto e9f51; c3b24: $nodejsSiteCreator->createNvmDirectory(); goto e3f0a; c0f02: $nodejsSite->setRegistrableDomain($registrableDomain); goto d2828; cc48e: $nodejsSite = new NodejsSite(); goto B50da; af18f: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto A12f7; B67e3: $nodejsSettingsEntity->setPort($appPort); goto F8bfd; a4d28: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto F90ab; C6252: $this->validateInput($input); goto F7355; ea6ce: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\x2e\x2f\56\x2e\57\x72\145\x73\x6f\x75\162\x63\x65\x73\57\x6e\147\151\156\170\x2f\x76\x68\x6f\x73\x74\x5f\164\145\155\160\154\141\164\145\57\162\x65\x64\151\x72\145\143\x74"); goto f28f3; Aed0c: $siteUserPassword = trim($input->getOption("\163\x69\164\x65\x55\x73\145\x72\120\x61\163\163\x77\x6f\162\144")); goto C003e; a82ab: $certificateEntity->setCertificate($selfSignedCertificate); goto Facd8; a3afc: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto a4d28; A3938: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto c63c8; c2900: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto Ef6f9; Ce28e: eaf49: goto bff95; d026a: $siteEntity->setUser($siteUser); goto E31c2; C8bc6: $csr = $csrGenerator->generate(); goto b6835; e2fe7: $this->siteEntityManager->updateEntity($siteEntity); goto A45c6; Eb165: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto a82ab; D0ee6: $subjectAlternativeNames = []; goto c0c79; A80c2: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto a83eb; E25f4: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto C1a6e; a6a35: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto dc840; c9f6d: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto Cc3c9; } goto F5811; ca399: $vhostTemplate->resetProcessors(); goto d9571; Ce5ed: $nodejsSite->setCertificate($certificateEntity); goto a3afc; ee409: goto eaf49; goto a1983; Aefd1: $nodejsSiteCreator->createLogrotateFile(); goto c3b24; C169b: $constraints->addAll($nodejsSettingsConstraints); goto B5437; F5055: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto d6daf; C1a6e: if (!(false === empty($redirectionVhostTemplate))) { goto a24ba; } goto F5a53; a83eb: $subdomain = $resolvedDomainName->subDomain()->toString(); goto eb7de; D2566: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\x2f\56\56\x2f\x72\145\163\157\165\x72\x63\x65\x73\x2f\156\x67\x69\x6e\x78\x2f\x76\x68\157\163\164\x5f\x74\x65\x6d\x70\x6c\141\164\145\57\x72\x65\144\151\x72\145\143\x74\x2d\x68\x74\164\x70\63"); goto ee58c; ee58c: Da42b: goto E25f4; ca629: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto Ce5ed; Facd8: $siteEntity->setCertificate($certificateEntity); goto cc48e; F4699: fd59e: goto a542b; f28f3: goto Da42b; goto b3f2b; Ca043: $siteEntity->setRootDirectory($rootDirectory); goto d026a; E31c2: $siteEntity->setUserPassword($siteUserPassword); goto A859c; d2899: E983f: goto B0c70; ca4d2: $siteEntity->setDomainName($domainName); goto Ca043; A45c6: $output->writeln(sprintf("\x3c\151\x6e\146\x6f\76\123\x69\164\145\x3c\57\x69\x6e\146\157\76\x20\x3c\143\x6f\x6d\x6d\x65\156\164\76\x25\x73\74\x2f\x63\x6f\x6d\x6d\x65\x6e\164\x3e\x20\74\x69\x6e\146\x6f\x3e\150\141\x73\x20\x62\x65\145\156\40\141\x64\144\x65\144\x2e\x3c\x2f\151\x6e\146\x6f\76", $domainName)); goto a7932; D7b72: if (true === isset($_ENV["\101\x50\120\137\x48\124\x54\x50\x33"]) && "\x74\x72\x75\x65" === $_ENV["\x41\x50\x50\x5f\110\124\124\x50\x33"]) { goto ddaf2; } goto ea6ce; F6bcf: $siteConstraints = $this->validator->validate($siteEntity); goto A501f; Fa9c2: goto A3ae3; goto C7e36; e66cb: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto C8bc6; F8bfd: $nodejsSettingsEntity->setSite($siteEntity); goto F6bcf; e3f5d: $nodejsSiteCreator->createRootDirectory(); goto Aefd1; dd4a0: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto eba0d; ad2b4: $certificateEntity->setSite($siteEntity); goto b6f1e; Ec9c7: $siteEntity = $this->siteEntityManager->createEntity(); goto De7f2; Bb8f0: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto Af78a; d460e: A3ae3: goto Ce28e; cd20e: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto Cc1d8; b0fe3: $appPort = (int) $input->getOption("\141\160\160\120\x6f\162\x74"); goto E2009; B8e07: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto B67e3; bff95: } catch (\Exception $e) { goto A4694; E3cf3: return SiteCommand::FAILURE; goto A9a0a; A4694: $errorMessage = $e->getMessage(); goto fd0dd; fd0dd: $output->writeln(sprintf("\74\145\162\x72\x6f\x72\x3e\45\x73\x3c\57\x65\162\162\157\162\x3e", $errorMessage)); goto E3cf3; A9a0a: } } }
