<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Site\ReverseProxySite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\ReverseProxyTemplate as ReverseProxyVhostTemplate; use App\Site\Creator\ReverseProxySite as ReverseProxySiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddReverseProxyCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x52\x65\166\x65\x72\x73\x65\x50\x72\157\x78\x79"; protected function configure() : void { goto c9098; f6b16: $this->addOption("\144\157\x6d\141\x69\x6e\x4e\141\155\145", null, InputOption::VALUE_REQUIRED); goto B35e2; D8df0: $this->addOption("\163\x69\164\145\125\163\145\x72", null, InputOption::VALUE_REQUIRED); goto f0d20; B0986: $this->setComment("\x41\144\x64\x69\x6e\147\x20\x61\x20\x52\x65\166\145\x72\x73\x65\x20\120\162\157\x78\x79"); goto f6b16; ad243: $this->setDescription("\143\154\x70\x63\x74\154\40\163\x69\x74\x65\72\141\144\x64\72\162\145\x76\x65\x72\x73\145\55\x70\162\x6f\170\x79\40\x2d\x2d\x64\157\x6d\x61\151\x6e\x4e\141\155\x65\75\x77\x77\x77\56\144\157\155\x61\151\156\x2e\143\157\155\40\55\55\162\x65\x76\x65\162\163\145\120\x72\x6f\x78\x79\125\162\x6c\x3d\x27\x68\x74\x74\x70\72\x2f\57\61\62\67\x2e\60\56\60\56\61\72\x38\x30\60\x30\x27\40\x2d\x2d\x73\151\164\145\125\163\145\162\x3d\152\x6f\x68\x6e\40\x2d\55\163\x69\x74\x65\125\x73\145\162\120\141\x73\x73\x77\157\162\x64\75\x27\41\x73\145\143\x72\x65\164\120\x61\163\x73\x77\x6f\162\144\x21\47"); goto B0986; B35e2: $this->addOption("\x72\x65\x76\x65\x72\x73\x65\x50\162\x6f\170\171\125\162\x6c", null, InputOption::VALUE_REQUIRED); goto D8df0; f0d20: $this->addOption("\x73\151\164\x65\x55\163\145\x72\120\x61\163\x73\x77\x6f\162\144", null, InputOption::VALUE_REQUIRED); goto A826d; c9098: $this->setName("\x73\151\164\145\x3a\141\144\x64\72\x72\145\166\x65\x72\x73\x65\55\x70\162\157\x78\x79"); goto ad243; A826d: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto F8869; B4cb4: $reverseProxySite->setReverseProxyUrl($reverseProxyUrl); goto C481b; b7187: if (!(true === is_null($subdomain))) { goto Aa3be; } goto e5982; a8d51: $csr = $csrGenerator->generate(); goto Dd4ea; c117a: $vhostTemplate->build(); goto Bfc6e; A6f42: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto b34f1; F9ec8: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto a8d51; Cd227: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto c117a; a3ce2: Aa3be: goto Bc72f; B0c44: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\x2f\56\56\x2f\162\x65\x73\x6f\x75\162\143\145\163\57\x6e\147\151\156\170\57\166\x68\x6f\x73\164\137\164\145\x6d\160\154\x61\164\x65\x2f\x72\145\x64\x69\x72\145\143\164"); goto f55d4; a3234: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Dafef; a5830: $reverseProxyUrl = trim($input->getOption("\x72\x65\166\145\162\163\145\x50\x72\157\x78\171\x55\x72\x6c")); goto C714e; F8869: $this->validateInput($input); goto Dc3da; Edd3d: $reversProxySiteCreator->createNginxVhost(); goto ac252; b9c09: $this->siteEntityManager->updateEntity($siteEntity); goto e7b05; e97b9: $reversProxySiteCreator->createRootDirectory(); goto da5bd; Fcc0f: if (true === isset($_ENV["\101\x50\x50\137\x48\124\x54\x50\x33"]) && "\x74\x72\165\145" === $_ENV["\x41\x50\120\137\110\124\x54\x50\63"]) { goto c37e6; } goto B0c44; D5d6a: goto f57a9; goto bf94d; C2757: return SiteCommand::SUCCESS; goto cdae6; D4d65: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto ee9ff; e535c: $reverseProxySite = new ReverseProxySite(); goto Dd51d; fc2af: $certificateEntity = $this->certificateEntityManager->createEntity(); goto B18e6; baba5: if (false === is_null($vhostTemplateEntity)) { goto B46c7; } goto C22a4; Dd4ea: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Ead0c; fc10a: $reversProxySiteCreator->resetPermissions(); goto D4638; Ba20c: if (0 == count($siteConstraints)) { goto d5c32; } goto f6a99; Ead0c: $certificateEntity->setDefaultCertificate(true); goto Afdd8; B5cac: if (!(false === empty($redirectionVhostTemplate))) { goto F8a4d; } goto C6ac6; D9747: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto B5cac; b0d27: $siteEntity->setType(SiteEntity::TYPE_REVERSE_PROXY); goto Cd045; C6ac6: $vhostTemplate = sprintf("\45\x73\45\163", $redirectionVhostTemplate, $vhostTemplate); goto d714a; d12f5: $siteEntity->setUserPassword($siteUserPassword); goto ffa84; Dc3da: $domainName = mb_strtolower(trim($input->getOption("\144\x6f\x6d\141\151\x6e\x4e\x61\155\145"))); goto Aefcc; cdae6: ddc71: goto a2ea0; c47c2: $subjectAlternativeNames[] = $registrableDomain; goto d32e9; Bfc6e: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto C7817; a9531: return $this->renderConstraints($constraints, $output); goto debfc; ee9ff: $siteEntity = $this->siteEntityManager->createEntity(); goto b0d27; dbe9a: c37e6: goto b3dfe; ac9a1: $siteUserPassword = trim($input->getOption("\163\151\x74\x65\x55\x73\145\162\120\x61\163\163\167\157\162\x64")); goto cf95c; D4f68: F09a0: goto Ecee3; D317a: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto f7ce6; b34f1: $subjectAlternativeNames = []; goto b7187; Cd045: $siteEntity->setDomainName($domainName); goto D73d2; C714e: $siteUser = trim($input->getOption("\163\x69\x74\145\125\163\x65\x72")); goto ac9a1; f55d4: goto D3103; goto dbe9a; C7817: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto b9c09; cf95c: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto a3234; e7b05: $output->writeln(sprintf("\74\x69\x6e\146\157\76\123\151\x74\145\x3c\57\x69\156\146\157\x3e\x20\x3c\143\157\x6d\155\x65\x6e\164\x3e\x25\163\x3c\57\143\157\155\155\145\x6e\x74\x3e\40\74\151\156\x66\157\76\x68\x61\163\x20\x62\145\145\156\x20\141\144\144\x65\144\x2e\74\x2f\151\x6e\x66\157\76", $domainName)); goto C2757; Dd51d: $reverseProxySite->setUser($siteEntity->getUser()); goto Ad936; a2ea0: f57a9: goto d7055; dd2dc: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto ad349; ecada: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto baba5; ffa5f: $certificateEntity->setCsr($csr); goto e91d1; ae457: $reversProxySiteCreator->createUser(); goto e97b9; D6f1a: $reverseProxySite->setSubdomain($subdomain); goto ca7d2; E5c82: $siteEntity->setCertificate($certificateEntity); goto e535c; f6a99: $constraints = new ConstraintViolationList(); goto Daf72; d32e9: E849f: goto Ce087; d714a: F8a4d: goto D4f68; C22a4: throw new \Exception(sprintf("\x56\x68\157\163\x74\40\124\145\155\x70\154\x61\x74\x65\40\x22\45\163\42\40\144\x6f\x65\163\x20\x6e\157\164\x20\145\x78\x69\x73\164\56", $vhostTemplate)); goto D5d6a; ffa84: $siteEntity->setRootDirectory($rootDirectory); goto C7de7; ed062: $reversProxySiteCreator = new ReverseProxySiteCreator($reverseProxySite); goto ae457; D4638: $vhostTemplate = new ReverseProxyVhostTemplate($reverseProxySite); goto dd2dc; ca7d2: $reverseProxySite->setRootDirectory($siteEntity->getRootDirectory()); goto fa3a7; bf94d: B46c7: goto D4d65; b45d2: $siteConstraints = $this->validator->validate($siteEntity); goto Ba20c; Afdd8: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto ffa5f; ad349: $vhostTemplate->resetProcessors(); goto D317a; Ce087: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto F9ec8; f7ce6: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto Cd227; b3dfe: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\57\x2e\x2e\x2f\x72\x65\163\157\165\x72\143\145\163\57\x6e\147\151\x6e\x78\57\166\150\157\x73\164\137\x74\145\x6d\160\154\141\x74\145\x2f\162\x65\x64\151\x72\145\x63\164\55\150\164\x74\x70\x33"); goto F5b63; C7de7: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto f0693; C481b: $reverseProxySite->setVhostTemplate($siteEntity->getVhostTemplate()); goto ed062; Aefcc: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto Fe4b5; B18e6: $certificateEntity->setSite($siteEntity); goto b2279; e5982: $subjectAlternativeNames[] = sprintf("\167\x77\167\x2e\x25\x73", $domainName); goto a3ce2; d12da: $reverseProxySite->setRegistrableDomain($registrableDomain); goto D6f1a; Bc72f: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto E849f; } goto c47c2; f4eaa: $certificateEntity->setCertificate($selfSignedCertificate); goto E5c82; Daf72: $constraints->addAll($siteConstraints); goto a9531; d0d4c: $reverseProxySite->setDomainName($domainName); goto d12da; Beb4c: $subdomain = false === empty($subdomain) ? $subdomain : null; goto ecada; da5bd: $reversProxySiteCreator->createLogrotateFile(); goto a9738; Ad936: $reverseProxySite->setUserPassword($siteEntity->getUserPassword()); goto d0d4c; Ecee3: $siteEntity->setVhostTemplate($vhostTemplate); goto b45d2; Cd980: d5c32: goto fc2af; f0693: if (!(true === is_null($subdomain) || "\x77\x77\x77" == $subdomain)) { goto F09a0; } goto Fcc0f; fa3a7: $reverseProxySite->setCertificate($certificateEntity); goto B4cb4; Fe4b5: $rootDirectory = $domainName; goto a5830; e91d1: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto f4eaa; F5b63: D3103: goto D9747; debfc: goto ddc71; goto Cd980; b2279: $rsaKeyGenerator = new RsaKeyGenerator(); goto A6f42; Dafef: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Beb4c; ac252: $reversProxySiteCreator->reloadNginxService(); goto fc10a; D73d2: $siteEntity->setUser($siteUser); goto d12f5; a9738: $reversProxySiteCreator->createPrivateKeyAndCertificate(); goto Edd3d; d7055: } catch (\Exception $e) { goto Aecd3; acf82: $output->writeln(sprintf("\x3c\145\162\162\157\162\76\x25\163\74\x2f\x65\162\x72\157\x72\x3e", $errorMessage)); goto D4cf2; D4cf2: return SiteCommand::FAILURE; goto F2a45; Aecd3: $errorMessage = $e->getMessage(); goto acf82; F2a45: } } }
