<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Site\StaticSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\StaticTemplate as StaticVhostTemplate; use App\Site\Creator\StaticSite as StaticSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddStaticCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x53\164\x61\x74\151\143"; protected function configure() : void { goto c9281; Fcb93: $this->setDescription("\143\154\160\143\164\x6c\40\163\151\x74\145\x3a\x61\x64\x64\72\x73\164\x61\164\151\x63\40\55\55\144\157\x6d\141\151\x6e\116\141\155\x65\75\x77\x77\167\56\x64\157\x6d\141\x69\156\x2e\x63\x6f\x6d\x20\x2d\55\x73\151\x74\145\125\x73\145\x72\x3d\x6a\157\150\156\40\x2d\55\x73\151\x74\x65\x55\x73\x65\162\x50\x61\x73\163\167\x6f\162\144\75\47\x21\x73\x65\x63\x72\x65\x74\120\141\x73\163\x77\157\162\144\x21\x27"); goto f4008; c9281: $this->setName("\163\x69\x74\x65\72\141\x64\x64\x3a\163\164\x61\x74\x69\143"); goto Fcb93; Ee64b: $this->addOption("\163\151\164\x65\x55\163\145\x72", null, InputOption::VALUE_REQUIRED); goto b08e2; E7be3: $this->addOption("\x64\x6f\x6d\x61\151\156\x4e\141\x6d\x65", null, InputOption::VALUE_REQUIRED); goto Ee64b; f4008: $this->setComment("\x41\144\144\x69\156\147\x20\x61\x20\x53\164\141\x74\x69\143\40\x48\x54\x4d\114\40\x53\x69\x74\145"); goto E7be3; b08e2: $this->addOption("\163\151\164\x65\125\163\x65\x72\120\x61\163\163\x77\x6f\x72\x64", null, InputOption::VALUE_REQUIRED); goto d7c07; d7c07: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto a7e3c; bbb7c: $staticSiteCreator->reloadNginxService(); goto a55ee; c9f16: $staticSite = new StaticSite(); goto A5758; aef11: $output->writeln(sprintf("\74\x69\156\x66\x6f\76\x53\151\164\145\74\x2f\151\x6e\146\157\x3e\40\x3c\x63\x6f\x6d\x6d\x65\x6e\164\76\x25\163\x3c\x2f\x63\x6f\155\155\145\x6e\164\76\40\74\151\x6e\x66\x6f\76\x68\141\x73\x20\142\145\x65\156\x20\x61\x64\x64\x65\x64\56\74\x2f\151\156\146\x6f\x3e", $domainName)); goto b960c; Dbf6d: $staticSite->setUserPassword($siteEntity->getUserPassword()); goto c07ab; A9ec6: goto Dd763; goto A5fe6; Ee71b: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto C2c0b; Ae8bc: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto b5f32; E543e: if (false === is_null($vhostTemplateEntity)) { goto E1e59; } goto C81da; Fe4f4: return $this->renderConstraints($constraints, $output); goto B562f; ff07b: $staticSiteCreator->createIndexHtml(); goto f2504; eda5d: Dd763: goto d63bd; D6853: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto Dbb10; Fc4bf: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto Fb99d; } goto c5af3; F8368: E1e59: goto D6853; Bf01b: $siteEntity->setUser($siteUser); goto c758f; B699a: $siteEntity->setDomainName($domainName); goto f8934; A9a65: $subjectAlternativeNames = []; goto F1b53; b6182: $certificateEntity->setSite($siteEntity); goto Cdfeb; eb685: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Bc1d7; Cebb8: $vhostTemplate->resetProcessors(); goto E25ef; C2679: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto Ab593; d7f1e: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto e10bb; A02b1: $siteEntity->setType(SiteEntity::TYPE_STATIC); goto B699a; c5af3: $subjectAlternativeNames[] = $registrableDomain; goto f6240; D79da: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto eb685; ce522: $csr = $csrGenerator->generate(); goto C466e; Ca965: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto D79da; Bc1d7: $subdomain = false === empty($subdomain) ? $subdomain : null; goto F261e; c1684: $staticSiteCreator->createNginxVhost(); goto bbb7c; e10bb: $this->siteEntityManager->updateEntity($siteEntity); goto aef11; Ee32a: $certificateEntity->setDefaultCertificate(true); goto Ae8bc; a7e3c: $this->validateInput($input); goto e9dfb; c758f: $siteEntity->setUserPassword($siteUserPassword); goto dc3dd; b980a: $staticSiteCreator = new StaticSiteCreator($staticSite); goto B2905; c07ab: $staticSite->setDomainName($domainName); goto Ff26e; f6240: Fb99d: goto dd1cd; dd770: $staticSite->setSubdomain($subdomain); goto b3441; F261e: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto E543e; d63bd: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto B2fca; Ca930: goto e26d2; goto F8368; B562f: goto Ff91a; goto B550f; a8b97: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\x2f\56\56\57\162\145\163\157\165\162\x63\145\163\57\x6e\x67\x69\156\170\x2f\166\150\157\x73\x74\137\x74\x65\x6d\x70\x6c\141\x74\145\57\x72\x65\x64\x69\162\x65\143\x74\55\x68\x74\x74\x70\63"); goto eda5d; bd426: $constraints->addAll($siteConstraints); goto Fe4f4; B2905: $staticSiteCreator->createUser(); goto B5df0; Ccadb: e7ad3: goto a2dac; acba4: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\56\57\56\x2e\x2f\162\x65\163\x6f\x75\162\143\145\163\x2f\x6e\147\151\x6e\170\57\x76\150\x6f\x73\x74\137\x74\x65\x6d\x70\x6c\141\x74\145\x2f\162\x65\x64\x69\162\x65\x63\x74"); goto A9ec6; F59c8: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto Cebb8; dd1cd: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto fa659; f2504: $staticSiteCreator->createPrivateKeyAndCertificate(); goto c1684; cc359: $siteUserPassword = trim($input->getOption("\x73\151\164\x65\x55\x73\x65\162\x50\141\x73\x73\167\x6f\x72\144")); goto Ca965; a55ee: $staticSiteCreator->resetPermissions(); goto Ef156; aeb19: if (true === isset($_ENV["\x41\x50\120\137\110\x54\x54\x50\x33"]) && "\164\x72\x75\x65" === $_ENV["\101\x50\120\x5f\110\x54\124\120\63"]) { goto fc3c8; } goto acba4; b5f32: $certificateEntity->setCsr($csr); goto Aeddf; b3441: $staticSite->setRootDirectory($siteEntity->getRootDirectory()); goto c4c25; dc3dd: if (!(true === is_null($subdomain) || "\167\x77\x77" == $subdomain)) { goto e7ad3; } goto aeb19; ead9e: $staticSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto b980a; b391e: $staticSiteCreator->createLogrotateFile(); goto ff07b; C81da: throw new \Exception(sprintf("\x56\150\x6f\163\164\x20\x54\x65\155\160\154\141\x74\145\x20\x22\x25\163\42\40\144\157\x65\163\40\x6e\157\x74\x20\145\x78\151\163\164\56", $vhostTemplate)); goto Ca930; b7bfc: $siteEntity->setCertificate($certificateEntity); goto c9f16; e20a9: $vhostTemplate = sprintf("\x25\x73\45\163", $redirectionVhostTemplate, $vhostTemplate); goto fe799; A1af2: if (0 == count($siteConstraints)) { goto Ec1e7; } goto d1626; B5df0: $staticSiteCreator->createRootDirectory(); goto b391e; b960c: return SiteCommand::SUCCESS; goto d5dda; Cdfeb: $rsaKeyGenerator = new RsaKeyGenerator(); goto c7c33; c7c33: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto A9a65; c4c25: $staticSite->setCertificate($certificateEntity); goto ead9e; f64cf: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto d7f1e; fe799: Dee71: goto Ccadb; C2c0b: $rootDirectory = $domainName; goto ee469; A5fe6: fc3c8: goto a8b97; C466e: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Ee32a; e2bd7: F3c83: goto Fc4bf; Ff26e: $staticSite->setRegistrableDomain($registrableDomain); goto dd770; ee469: $siteUser = trim($input->getOption("\163\151\x74\x65\125\163\x65\x72")); goto cc359; B550f: Ec1e7: goto Ceb44; a2dac: $siteEntity->setVhostTemplate($vhostTemplate); goto C2e5c; E25ef: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto b5c5c; fe598: e26d2: goto F8791; e9dfb: $domainName = mb_strtolower(trim($input->getOption("\144\x6f\155\x61\151\156\x4e\x61\x6d\145"))); goto Ee71b; C2e5c: $siteConstraints = $this->validator->validate($siteEntity); goto A1af2; f8934: $siteEntity->setRootDirectory($rootDirectory); goto Bf01b; Ab593: $vhostTemplate->build(); goto f64cf; Ceb44: $certificateEntity = $this->certificateEntityManager->createEntity(); goto b6182; be93a: $certificateEntity->setCertificate($selfSignedCertificate); goto b7bfc; d1626: $constraints = new ConstraintViolationList(); goto bd426; B2fca: if (!(false === empty($redirectionVhostTemplate))) { goto Dee71; } goto e20a9; Dbb10: $siteEntity = $this->siteEntityManager->createEntity(); goto A02b1; A5758: $staticSite->setUser($siteEntity->getUser()); goto Dbf6d; Aeddf: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto be93a; D60af: $subjectAlternativeNames[] = sprintf("\x77\167\167\x2e\45\163", $domainName); goto e2bd7; d5dda: Ff91a: goto fe598; fa659: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto ce522; Ef156: $vhostTemplate = new StaticVhostTemplate($staticSite); goto F59c8; b5c5c: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto C2679; F1b53: if (!(true === is_null($subdomain))) { goto F3c83; } goto D60af; F8791: } catch (\Exception $e) { goto d2904; a2819: return SiteCommand::FAILURE; goto aefe6; b016f: $output->writeln(sprintf("\x3c\145\x72\162\157\x72\x3e\45\x73\74\57\145\162\x72\157\x72\x3e", $errorMessage)); goto a2819; d2904: $errorMessage = $e->getMessage(); goto b016f; aefe6: } } }
