<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto ac07f; Fd7d2: $this->validator = $validator; goto A3a5d; ff94b: $this->certificateEntityManager = $certificateEntityManager; goto fd56b; ac07f: $this->domainNameParser = $domainNameParser; goto Adc84; fd56b: $this->databaseServerEntityManager = $databaseServerEntityManager; goto B1c24; Adc84: $this->siteEntityManager = $siteEntityManager; goto ff94b; B1c24: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto Fd7d2; A3a5d: parent::__construct(); goto B7619; B7619: } protected function configure() : void { $this->setName("\163\x69\x74\145\x3a\164\155\x70"); } protected function getSite(string $domainName) : ?Site { goto Db599; d5f07: throw new \Exception(sprintf("\x53\x69\x74\x65\40\42\45\x73\42\x20\144\x6f\x65\x73\x20\x6e\x6f\164\40\145\170\151\x73\x74\56", $domainName)); goto Bf535; Dda79: $siteEntity = $this->getSiteEntity($domainName); goto F0b41; fbf68: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto A1ef5; D73d4: $site->setBlockedIps($siteEntity->getBlockedIps()); goto a0712; C6cfd: $site->setBasicAuth($siteEntity->getBasicAuth()); goto be9d2; F2ddd: $siteType = $siteEntity->getType(); goto E451d; e1199: $site->setDomainName($siteEntity->getDomainName()); goto Faa07; A3c79: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto C2c53; C2c53: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto fbf68; dc470: a90c0: goto F2ddd; f1a9b: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Ee729; B6c37: $site->setDatabases($siteDatabases); goto C6cfd; Faa07: $site->setRegistrableDomain($registrableDomain); goto bdec6; E83ab: $site->setRootDirectory($siteEntity->getRootDirectory()); goto B6c37; B6478: $siteDatabases = $this->getSiteDatabases($siteEntity); goto bc68b; bc68b: $site->setUser($siteEntity->getUser()); goto e1199; b0429: if (!(false === is_null($site))) { goto D9146; } goto c001a; ebcac: $subdomain = false === empty($subdomain) ? $subdomain : null; goto B6478; f2d2b: D9146: goto f3471; Db599: $site = null; goto Dda79; Bf535: goto Dfbd2; goto dc470; A3628: F088a: goto b0429; a0712: $site->setCertificate($siteEntity->getCertificate()); goto d3319; f3471: Dfbd2: goto Aa6e5; be9d2: $site->setBlockedBots($siteEntity->getBlockedBots()); goto D73d4; D478c: $site->setCronJobs($siteEntity->getCronJobs()); goto ff653; E451d: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto E21b8; e202f: goto F088a; goto B5f3b; E21b8: $site = new NodejsSite(); goto b1a31; b1a31: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto e202f; B5f3b: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto F088a; case SiteEntity::TYPE_PHP: goto aa660; Fb6fb: $site->setVarnishCache($siteEntity->getVarnishCache()); goto D88db; D88db: goto F088a; goto e428c; B4684: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Fb6fb; aa660: $site = new PhpSite(); goto B4684; e428c: case SiteEntity::TYPE_PYTHON: goto b6a30; b6a30: $site = new PythonSite(); goto Ec173; Eaa6f: goto F088a; goto B2e08; Ec173: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Eaa6f; B2e08: case SiteEntity::TYPE_REVERSE_PROXY: goto F6d54; F6d54: $site = new ReverseProxySite(); goto Aef7f; Aef7f: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto f7097; f7097: goto F088a; goto a1380; a1380: } goto B9fc2; C49a2: $site->setSshUsers($siteEntity->getSshUsers()); goto A3c79; F0b41: if (false === is_null($siteEntity)) { goto a90c0; } goto d5f07; Aa6e5: return $site; goto e1a2e; ff653: $site->setFtpUsers($siteEntity->getFtpUsers()); goto C49a2; c001a: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto f1a9b; d3319: $site->setCertificates($siteEntity->getCertificates()); goto D478c; bdec6: $site->setSubdomain($subdomain); goto E83ab; Ee729: $subdomain = $resolvedDomainName->subDomain()->toString(); goto ebcac; A1ef5: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto f2d2b; B9fc2: B5216: goto A3628; e1a2e: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto eb4f6; d111a: $databaseEntities = $siteEntity->getDatabases(); goto F7833; Ce416: return $siteDatabases; goto Abaf7; F7833: foreach ($databaseEntities as $databaseEntity) { goto D3b11; Da242: fcc0f: goto c9d78; Beecc: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto cda3d; } goto E8941; E8941: $siteDatabases->add($databaseEntity); goto A013c; A013c: cda3d: goto Da242; D3b11: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Beecc; c9d78: } goto a28bb; Cdb59: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d111a; a28bb: C385a: goto Ce416; eb4f6: $siteDatabases = new ArrayCollection(); goto Cdb59; Abaf7: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto a4e2f; Aabed: return $siteDeleter; goto f39c0; a4e2f: $siteDeleter = null; goto d844c; c73e4: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto c39dc; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto c39dc; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto c39dc; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto c39dc; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto c39dc; } goto d97d6; c609c: c39dc: goto Aabed; d97d6: C32c8: goto c609c; d844c: $siteType = $site->getType(); goto c73e4; f39c0: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto aef1c; d9533: d58b2: goto E5fda; aef1c: $siteUpdater = null; goto ea378; e222c: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto d58b2; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto d58b2; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto d58b2; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto d58b2; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto d58b2; } goto B6cce; E5fda: return $siteUpdater; goto a395d; B6cce: b6679: goto d9533; ea378: $siteType = $site->getType(); goto e222c; a395d: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x75\x73\x65\x72", "\163\x69\164\145\125\163\145\162", $constraints); $this->changePropertyPath("\165\x73\x65\x72\x50\141\163\163\167\157\x72\x64", "\163\x69\164\x65\125\x73\145\162\120\141\163\x73\167\157\x72\144", $constraints); } }
