<?php
 namespace App\Controller\Admin; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\Form\Form; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Connection as DatabaseConnection; use App\Entity\Manager\ConfigManager; use App\Entity\Certificate as CertificateEntity; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Security\Admin\CustomDomain as AdminCustomDomain; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\Certificate; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\Util\Openssl; class SettingsController extends Controller { private ConfigManager $configManager; private DatabaseServerEntityManager $databaseServerEntityManager; public function __construct(ConfigManager $configManager, DatabaseServerEntityManager $databaseServerEntityManager, TranslatorInterface $translator, Logger $logger) { goto e4e07; e007e: parent::__construct($translator, $logger); goto d2a1e; cf137: $this->databaseServerEntityManager = $databaseServerEntityManager; goto e007e; e4e07: $this->configManager = $configManager; goto cf137; d2a1e: } public function settings(Request $request) : Response { goto a46b1; Cc4d1: $response = $this->handleCustomDomainForm($request, $customDomainForm); goto ec0ae; Bc2dc: cba18: goto F8504; b0e5b: if (!(true === $customDomainForm->isSubmitted())) { goto F6a1f; } goto Cc4d1; c85d2: $customDomainData = ["\x64\x6f\x6d\141\x69\x6e\x4e\141\155\x65" => false === is_null($customDomainName) ? $customDomainName : '']; goto e08cd; ec0ae: if (!(false === is_null($response))) { goto Fa2d5; } goto b20a0; F8504: $response = $this->render("\101\144\x6d\151\156\57\123\145\164\164\x69\x6e\147\163\57\x69\x6e\144\x65\x78\x2e\x68\164\x6d\x6c\x2e\x74\167\151\147", ["\143\x75\163\164\157\x6d\104\157\155\x61\x69\156\106\157\x72\155" => $customDomainForm->createView(), "\x66\x6f\162\155\x45\x72\x72\157\x72\x73" => $this->formErrors]); goto e15ae; e15ae: return $response; goto Ecb32; e08cd: $customDomainForm = $this->createCustomDomainForm($customDomainData); goto a2ad2; ae3b5: $customDomainForm->handleRequest($request); goto b0e5b; f3470: Fa2d5: goto Ad1c5; b20a0: return $response; goto f3470; Ad1c5: F6a1f: goto Bc2dc; a2ad2: if (!(true === $request->isMethod("\120\117\123\124"))) { goto cba18; } goto ae3b5; a46b1: $customDomainName = $this->configManager->get("\x63\165\163\164\157\155\x5f\144\157\155\141\151\x6e"); goto c85d2; Ecb32: } private function createCustomDomainForm(array $data) : Form { goto F71c7; F71c7: $form = $this->createForm("\101\x70\160\x5c\x46\157\x72\x6d\134\x41\x64\155\151\x6e\103\x75\163\164\x6f\x6d\104\x6f\155\x61\x69\x6e\x53\x65\164\x74\x69\156\147\163\x54\x79\x70\x65", $data, ["\x61\143\164\x69\157\156" => $this->generateUrl("\143\x6c\x70\137\141\x64\155\151\156\x5f\x73\x65\164\x74\151\156\147\x73"), "\155\145\164\x68\157\x64" => "\120\x4f\123\x54", "\141\164\164\x72" => []]); goto e9d12; e9d12: $form->add("\x73\x75\142\155\x69\164", SubmitType::class, ["\x61\164\164\162" => ["\x63\x6c\141\x73\x73" => "\x62\x74\x6e\40\142\x74\156\x2d\142\154\165\x65\x20\x62\x74\156\x2d\154\147"], "\x6c\x61\x62\145\x6c" => "\123\141\166\145"]); goto c0c41; c0c41: return $form; goto Dece8; Dece8: } private function handleCustomDomainForm(Request $request, Form $form) { goto F9d9c; F9d9c: if (true === $form->isValid()) { goto b7f23; } goto A1949; D3ae8: D9869: goto b2729; C27f4: goto D9869; goto f26dc; A1949: $this->formErrors = $this->getErrorMessages($form); goto C27f4; Fa32a: try { goto e3928; Acc1d: $adminCustomDomain = new AdminCustomDomain(); goto D0afd; b463d: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto D16b7; e3928: $user = $this->getUser(); goto d21e0; d0548: $this->configManager->set("\143\165\x73\164\157\155\x5f\x64\x6f\155\x61\x69\156", $domainName); goto Bd04b; e8f83: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto D7a31; Ed8d6: $adminCustomDomain->writeMotdFile($domainName); goto F2090; B84a0: F6043: goto a4e0d; e79fa: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_DISABLE, $user, [], $request); goto e9025; Da381: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto b9eef; a4e0d: $this->formErrors = $this->getErrorMessages($form); goto f38a0; Be5ac: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto E3f3b; Acf78: $adminCustomDomain->reloadNginx(); goto Da381; B73cf: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_ENABLE, $user, $eventData, $request); goto C8e3f; af4f3: $adminCustomDomain->deleteLetsEncryptChallengeFiles(); goto Ba6b3; D9fae: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\141\x64\x6d\x69\x6e\x5f\x73\x65\164\x74\151\156\147\163")); goto de37b; c3b08: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto fc3e9; c814a: $this->configManager->delete("\143\x75\163\x74\x6f\155\137\144\x6f\x6d\141\151\156"); goto e79fa; e5e56: $commonName = array_shift($distinguishedNameDomains); goto c3b08; b9eef: if (true === empty($validationErrors)) { goto c29a1; } goto Acc1d; C6866: $vhostTemplate = file_get_contents($vhostTemplateFile); goto a26be; B7b12: Fa996: goto Dfeac; A6358: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\163\x3a\40\45\x73", $domain, $validationErrorMessage))); A6125: } goto B84a0; E6841: $letsEncryptClient->registerAccount(); goto E6f05; d31ce: c29a1: goto Be5ac; C8e3f: $session->getFlashBag()->set("\163\x75\143\143\x65\163\163", $this->translator->trans("\103\154\157\165\x64\120\x61\x6e\x65\154\x20\x43\165\163\x74\x6f\155\40\x44\157\155\x61\x69\x6e\x20\150\141\x73\x20\x62\x65\x65\x6e\x20\x73\141\166\x65\x64\56")); goto D9fae; Ead7f: $domains = [$domainName]; goto ee4c8; de37b: return $response; goto D4287; E81c5: goto Fa996; goto ffd95; c9fe5: $domainName = $form->get("\144\x6f\x6d\x61\x69\x6e\x4e\141\x6d\145")->getData(); goto e49c2; F2090: $adminCustomDomain->reloadNginx(); goto d0548; D66d5: $adminCustomDomain = new AdminCustomDomain(); goto B5791; E3f3b: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto dacfb; a92d1: return $response; goto E81c5; d8f9d: $csr = $csrGenerator->generate(); goto A27cb; ceac1: $vhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\x2f\56\x2e\57\56\x2e\57\x72\x65\163\157\165\x72\x63\145\163\57\x6e\147\x69\156\170\57\166\150\157\163\164\x5f\164\x65\x6d\x70\x6c\141\x74\145\57\143\165\x73\164\x6f\155\x2d\x64\157\155\x61\151\156"); goto C6866; ffd95: Eef80: goto Ead7f; d21e0: $session = $request->getSession(); goto c9fe5; e9025: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\x43\154\157\x75\144\120\141\x6e\145\x6c\x20\x43\165\163\164\157\x6d\x20\x44\157\155\x61\x69\156\40\x68\x61\x73\40\x62\x65\x65\156\x20\163\x61\166\145\x64\x2e")); goto A9444; D0afd: $adminCustomDomain->delete(); goto A6358; B597a: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto fcb43; Ba6b3: $adminCustomDomain->createLetsEncryptChallengeFiles($certificateOrder); goto e8f83; ee4c8: $letsEncryptPrivateKey = $this->configManager->get("\x6c\x65\x5f\160\162\151\x76\x61\164\145\x5f\153\x65\x79"); goto b463d; Bd04b: $eventData = ["\x64\x6f\155\141\x69\x6e\116\141\155\x65" => $domainName]; goto B73cf; a26be: $distinguishedNameDomains = $domains; goto e5e56; e9a69: $certificate = new Certificate(); goto c411e; F9561: $certificate->setCertificate($selfSignedCertificate); goto af4f3; D4287: B7c0a: goto B7b12; A9444: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\141\144\x6d\151\156\137\x73\x65\164\x74\x69\156\147\x73")); goto a92d1; B5791: $adminCustomDomain->delete(); goto c814a; D16b7: $letsEncryptClient = new LetsEncryptClient($privateKey); goto E6841; A27cb: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto e9a69; c411e: $certificate->setPrivateKey($privateKey->getPEM()); goto F9561; fc3e9: $rsaKeyGenerator = new RsaKeyGenerator(); goto B597a; e49c2: $adminCustomDomain = new AdminCustomDomain(); goto b8548; dacfb: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto Ed8d6; fcb43: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto d8f9d; D7a31: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto Acf78; f38a0: goto B7c0a; goto d31ce; E6f05: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto ceac1; b8548: if (false === empty($domainName)) { goto Eef80; } goto D66d5; Dfeac: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x41\156\x20\145\162\x72\x6f\x72\x20\x68\141\x73\x20\157\143\143\165\x72\162\x65\144\54\40\x65\x72\x72\x6f\x72\40\155\145\163\163\141\x67\x65\x3a\x20\45\145\x72\162\x6f\x72\x4d\145\163\163\x61\147\x65\45", ["\45\x65\162\162\157\162\x4d\x65\163\163\141\x67\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($adminCustomDomain))) { goto e841f; } $adminCustomDomain->deleteLetsEncryptChallengeFiles(); e841f: } goto D3ae8; f26dc: b7f23: goto Fa32a; b2729: } public function databaseServers(Request $request) : Response { goto F4e2a; b73eb: $response = $this->render("\101\x64\155\151\x6e\57\123\145\x74\x74\151\156\147\163\x2f\104\141\164\141\x62\141\163\145\x2d\123\145\x72\x76\145\x72\163\x2f\x69\156\144\x65\x78\56\x68\164\x6d\x6c\56\164\x77\151\x67", ["\x64\x61\164\141\x62\x61\163\x65\123\x65\x72\166\x65\x72\163" => $databaseServers]); goto db81e; db81e: return $response; goto b3c21; F4e2a: $databaseServers = $this->databaseServerEntityManager->findAll([], ["\x68\157\x73\x74" => "\101\123\x43"]); goto b73eb; b3c21: } public function addDatabaseServer(Request $request) : Response { goto Fd9bb; Bd3c6: if (!(false === is_null($response))) { goto c17bd; } goto db7f6; D5913: $response = $this->render("\x41\x64\155\x69\x6e\57\123\145\x74\164\x69\x6e\147\x73\57\104\141\x74\141\142\141\163\x65\55\x53\x65\x72\x76\145\162\163\x2f\141\x64\x64\x2e\x68\x74\155\x6c\x2e\x74\167\151\147", ["\x66\157\x72\x6d" => $form->createView(), "\146\x6f\x72\x6d\105\162\162\x6f\x72\x73" => $this->formErrors]); goto f34a4; Efd16: c17bd: goto B0c3d; E3186: if (!(true === $form->isSubmitted())) { goto C4bd7; } goto bb191; b8eb6: $form = $this->createDatabaseServerForm($databaseServerEntity); goto dd50c; B0c3d: C4bd7: goto Fefc4; dd50c: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto Fea90; } goto De1ae; f34a4: return $response; goto Ff025; De1ae: $form->handleRequest($request); goto E3186; bb191: $response = $this->handleDatabaseServerForm($request, $form); goto Bd3c6; Fd9bb: $databaseServerEntity = $this->databaseServerEntityManager->createEntity(); goto b8eb6; Fefc4: Fea90: goto D5913; db7f6: return $response; goto Efd16; Ff025: } private function createDatabaseServerForm(DatabaseServerEntity $databaseServerEntity) : Form { goto e4989; c30b5: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\141\164\x74\162" => ["\143\154\x61\x73\x73" => "\142\164\x6e\40\142\164\156\55\x62\x6c\x75\145\40\142\164\x6e\55\154\x67"], "\154\x61\x62\x65\x6c" => "\x41\x64\144\40\x44\141\x74\x61\142\141\163\145\40\x53\145\162\x76\x65\162"]); goto f8214; f8214: return $form; goto Fa133; e4989: $form = $this->createForm("\101\x70\160\x5c\x46\157\x72\155\134\101\144\155\151\x6e\x44\141\164\141\142\x61\x73\145\123\x65\x72\x76\x65\x72\124\x79\160\145", $databaseServerEntity, ["\x61\x63\164\151\x6f\156" => $this->generateUrl("\143\x6c\x70\137\x61\144\155\151\x6e\x5f\x64\141\164\x61\142\x61\x73\x65\137\x73\145\162\166\x65\x72\x5f\x61\144\x64"), "\155\x65\x74\x68\157\144" => "\120\x4f\x53\124", "\x61\164\x74\x72" => []]); goto c30b5; Fa133: } private function handleDatabaseServerForm(Request $request, Form $form) { goto db1db; db1db: if (true === $form->isValid()) { goto fa41e; } goto eace1; Ebb12: Bbfe9: goto Ffd92; C51ed: goto Bbfe9; goto a4517; f89f6: try { goto b01fc; Cabdb: $engine = $databaseConnection->getEngine(); goto fc35b; D6a1c: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto Cabdb; Ce308: $encryptedPassword = Crypto::encrypt($password); goto cb58b; B9011: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\104\x61\164\x61\142\141\163\145\x20\x53\145\x72\166\x65\162\x20\x68\x61\163\40\x62\x65\145\x6e\40\141\x64\x64\x65\x64\56")); goto B808f; cb58b: $databaseServerEntity->setPassword($encryptedPassword); goto D6a1c; ce4bf: $databaseServerEntity->setIsDefault(false); goto ea53c; F68dd: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto B9011; F43ee: $databaseServerEntity->setVersion($version); goto ce4bf; ec03b: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_ADD, $user, $eventData, $request); goto F68dd; F435b: $password = $databaseServerEntity->getPassword(); goto Ce308; f0df6: return $response; goto cf766; C7539: $databaseServerEntity = $form->getData(); goto F435b; fc35b: $version = $databaseConnection->getVersion(); goto ee4a4; d4293: $session = $request->getSession(); goto C7539; ee4a4: $databaseServerEntity->setEngine($engine); goto F43ee; ea53c: $eventData = ["\150\x6f\x73\164" => $databaseServerEntity->getHost(), "\x75\x73\145\x72\x4e\x61\155\145" => $databaseServerEntity->getUserName(), "\x70\x6f\162\x74" => $databaseServerEntity->getPort(), "\145\156\147\x69\156\x65" => $engine, "\166\x65\162\x73\151\157\x6e" => $version]; goto ec03b; B808f: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x61\x64\155\151\156\137\x64\x61\x74\141\142\x61\163\x65\137\x73\145\x72\x76\x65\162\163")); goto f0df6; b01fc: $user = $this->getUser(); goto d4293; cf766: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\156\40\x65\162\162\157\162\x20\150\x61\163\40\x6f\143\143\x75\x72\x72\x65\x64\54\40\145\162\x72\157\x72\40\x6d\x65\163\163\x61\x67\145\x3a\x20\x25\145\162\162\x6f\x72\115\145\x73\163\x61\147\145\x25", ["\45\x65\162\x72\x6f\162\115\x65\163\163\x61\x67\145\45" => $e->getMessage()])); } goto Ebb12; a4517: fa41e: goto f89f6; eace1: $this->formErrors = $this->getErrorMessages($form); goto C51ed; Ffd92: } public function editDatabaseServer(Request $request) : Response { goto Fcafb; ce2f5: if (true === is_null($databaseServerEntity)) { goto a5ee2; } goto B6304; C66cc: a5ee2: goto C3f36; Da8ff: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto ce2f5; a0330: c17c8: goto D5ba7; bfd84: if (!(false === is_null($response))) { goto dbe96; } goto C471e; B2b24: dbe96: goto D05c9; Dc5e9: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto c17c8; } goto aa76e; C3f36: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x61\x64\155\x69\156\x5f\144\x61\x74\x61\x62\141\x73\x65\x5f\163\145\x72\166\x65\x72\163")); goto Ab5d2; Ab5d2: return $response; goto d6e76; fccc1: $form = $this->createDatabaseServerEditForm($databaseServerEntity); goto Dc5e9; D5ba7: $response = $this->render("\101\x64\x6d\151\x6e\x2f\123\145\x74\164\151\156\147\163\57\104\141\164\141\142\141\163\145\55\x53\x65\162\166\x65\162\163\x2f\145\144\151\164\x2e\x68\164\155\154\56\164\x77\151\147", ["\x64\141\x74\x61\142\141\163\145\x53\145\x72\x76\x65\x72" => $databaseServerEntity, "\x66\157\x72\x6d" => $form->createView(), "\x66\x6f\162\155\105\162\162\157\162\163" => $this->formErrors]); goto A1550; F3b51: goto E6c2d; goto C66cc; B6304: $databaseServerEntity->setPassword(''); goto fccc1; C471e: return $response; goto B2b24; D05c9: F5075: goto a0330; Fcafb: $id = (int) $request->get("\x69\144"); goto Da8ff; D2c84: if (!(true === $form->isSubmitted())) { goto F5075; } goto B6631; d6e76: E6c2d: goto A988c; B6631: $response = $this->handleDatabaseServerEditForm($request, $form); goto bfd84; A1550: return $response; goto F3b51; aa76e: $form->handleRequest($request); goto D2c84; A988c: } private function createDatabaseServerEditForm(DatabaseServerEntity $databaseServerEntity) : Form { goto b5380; ed31a: return $form; goto C2cff; b5380: $form = $this->createForm("\x41\160\x70\134\x46\x6f\162\155\x5c\x41\144\x6d\x69\x6e\104\141\x74\x61\142\141\x73\x65\123\x65\162\166\x65\162\x45\x64\151\x74\124\x79\x70\145", $databaseServerEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\141\x64\x6d\x69\x6e\137\x64\x61\164\x61\142\x61\x73\145\x5f\x73\x65\162\x76\145\162\137\x65\144\151\164", ["\x69\144" => $databaseServerEntity->getId()]), "\x6d\x65\x74\150\x6f\x64" => "\x50\x4f\123\124", "\x61\164\164\x72" => []]); goto cc81b; cc81b: $form->add("\x73\165\142\155\x69\164", SubmitType::class, ["\x61\164\x74\162" => ["\143\x6c\x61\x73\x73" => "\142\x74\x6e\x20\x62\164\156\55\x62\x6c\x75\x65\40\x62\164\156\55\x6c\147"], "\x6c\x61\142\x65\x6c" => "\123\x61\x76\x65"]); goto ed31a; C2cff: } private function handleDatabaseServerEditForm(Request $request, Form $form) { goto bcc83; F9072: a8cd7: goto a607c; f806a: goto D8cd5; goto F9072; a607c: try { goto Bd66a; c2bd8: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x61\x64\155\x69\156\x5f\x64\141\164\141\142\x61\163\145\x5f\x73\145\162\166\x65\162\163")); goto c5c1c; f91a7: $engine = $databaseConnection->getEngine(); goto C3ed8; c5c1c: return $response; goto C692e; Ef25e: $databaseServerEntity->setVersion($version); goto d4ded; F9e47: $encryptedPassword = Crypto::encrypt($password); goto c6d9b; Bd66a: $user = $this->getUser(); goto aed36; A5853: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto f91a7; E7cbd: $session->getFlashBag()->set("\163\165\143\143\145\163\163", $this->translator->trans("\x44\x61\x74\x61\x62\x61\x73\145\x20\x53\x65\162\166\145\x72\x20\x68\x61\163\x20\142\x65\145\156\40\x75\160\x64\x61\x74\x65\x64\56")); goto c2bd8; c6d9b: $databaseServerEntity->setPassword($encryptedPassword); goto A5853; f3f62: $databaseServerEntity->setEngine($engine); goto Ef25e; d3282: $password = $databaseServerEntity->getPassword(); goto F9e47; a401e: $databaseServerEntity = $form->getData(); goto d3282; E6985: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_EDIT, $user, $eventData, $request); goto E16a3; d4ded: $databaseServerEntity->setIsDefault(false); goto D1c9c; E16a3: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto E7cbd; aed36: $session = $request->getSession(); goto a401e; D1c9c: $eventData = ["\x68\157\163\164" => $databaseServerEntity->getHost(), "\x75\x73\145\x72\x4e\141\155\145" => $databaseServerEntity->getUserName(), "\160\157\162\164" => $databaseServerEntity->getPort(), "\145\x6e\147\151\156\x65" => $engine, "\x76\x65\162\163\x69\x6f\156" => $version]; goto E6985; C3ed8: $version = $databaseConnection->getVersion(); goto f3f62; C692e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\x72\x20\x68\x61\163\x20\x6f\x63\x63\x75\x72\162\145\144\x2c\40\145\162\162\157\162\40\155\145\163\163\x61\147\145\x3a\x20\x25\x65\162\162\x6f\x72\115\x65\x73\163\141\x67\x65\45", ["\x25\x65\162\162\157\x72\x4d\145\x73\163\141\147\145\45" => $e->getMessage()])); } goto c7424; bcc83: if (true === $form->isValid()) { goto a8cd7; } goto A1012; c7424: D8cd5: goto Ddb54; A1012: $this->formErrors = $this->getErrorMessages($form); goto f806a; Ddb54: } public function setDatabaseServerActive(Request $request) : Response { goto cd28e; Ad0df: d0d46: goto D56da; cd28e: $id = (int) $request->get("\x69\x64"); goto c7de1; B2dfd: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d59bc; D56da: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x61\x64\x6d\151\156\137\x64\x61\164\x61\x62\x61\163\145\137\163\145\162\x76\145\x72\163")); goto f6190; Dc918: if (!(false === is_null($databaseServerEntity))) { goto d0d46; } goto B2dfd; a24d3: try { goto Bd54c; a819b: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto A03ec; a8946: $databaseServerEntity->setIsActive(true); goto A20c0; A03ec: $this->databaseServerEntityManager->updateEntity($activeDatabaseServerEntity); goto E9f53; A20c0: $activeDatabaseServerEntity->setIsActive(false); goto a819b; D5fbb: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_CHANGE, $user, $eventData, $request); goto D8bcc; E9f53: $eventData = ["\x6f\x6c\144\x48\x6f\163\164" => $activeDatabaseServerEntity->getHost(), "\157\x6c\144\x55\163\145\x72\116\x61\x6d\145" => $activeDatabaseServerEntity->getUserName(), "\x6e\x65\x77\110\x6f\163\164" => $databaseServerEntity->getHost(), "\x6e\x65\167\x55\x73\145\162\x4e\141\155\x65" => $databaseServerEntity->getUserName()]; goto D5fbb; E3047: $session = $request->getSession(); goto a8946; D8bcc: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\x73", $this->translator->trans("\104\141\164\141\x62\x61\163\145\40\123\145\x72\166\x65\x72\40\150\141\163\40\x62\x65\145\x6e\x20\143\150\x61\156\147\x65\144\x2e")); goto E24e1; Bd54c: $user = $this->getUser(); goto E3047; E24e1: } catch (\Exception $e) { $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x44\x61\x74\141\x62\x61\163\x65\x20\123\145\162\x76\145\x72\40\x63\162\x65\144\145\x6e\164\x69\x61\154\x73\x20\141\x72\x65\40\156\157\x74\x20\166\x61\x6c\151\144\56")); } goto b4a33; d59bc: if (!($databaseServerEntity->getId() != $activeDatabaseServerEntity->getId())) { goto cf247; } goto a24d3; f6190: return $response; goto aae6c; b4a33: cf247: goto Ad0df; c7de1: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto Dc918; aae6c: } public function deleteDatabaseServer(Request $request) : Response { goto C83de; C83de: $id = (int) $request->get("\x69\144"); goto ac356; f0d4f: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\141\144\x6d\x69\156\x5f\x64\x61\x74\x61\x62\141\x73\145\x5f\163\x65\x72\166\x65\162\x73")); goto d8aab; F1cfa: Cd469: goto f0d4f; d4cd9: try { goto E1c35; B2eae: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\x73", $this->translator->trans("\104\x61\164\x61\x62\x61\163\145\x20\123\145\x72\166\x65\x72\40\150\141\163\x20\x62\145\x65\x6e\x20\x64\145\x6c\x65\164\145\144\56")); goto F126b; Dd6d7: $this->databaseServerEntityManager->deleteEntity($databaseServerEntity); goto F4033; d5b71: $session = $request->getSession(); goto Dd6d7; E1c35: $user = $this->getUser(); goto d5b71; F4033: $eventData = ["\x68\x6f\163\x74" => $databaseServerEntity->getHost(), "\x75\x73\145\x72\x4e\x61\155\145" => $databaseServerEntity->getUserName()]; goto E5fc7; E5fc7: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_DELETE, $user, $eventData, $request); goto B2eae; F126b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\x65\162\162\157\162\x20\150\141\163\x20\x6f\143\143\165\x72\x72\145\144\54\40\x65\162\162\157\162\x20\x6d\145\163\x73\x61\x67\x65\x3a\x20\45\145\162\x72\157\162\115\145\x73\x73\x61\x67\x65\x25", ["\x25\145\162\x72\157\162\115\145\x73\x73\141\147\x65\x25" => $e->getMessage()])); } goto F1cfa; ac356: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto b7ab7; b7ab7: if (!(false === is_null($databaseServerEntity) && false === $databaseServerEntity->isDefault() && false === $databaseServerEntity->isActive())) { goto Cd469; } goto d4cd9; d8aab: return $response; goto ab373; ab373: } }
