<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto Af03a; c3343: $this->timezoneEntityManager = $timezoneEntityManager; goto B1dd9; B1dd9: parent::__construct($translator, $logger); goto D70a3; Af03a: $this->userEntityManager = $userEntityManager; goto Fee15; Fee15: $this->siteEntityManager = $siteEntityManager; goto c3343; D70a3: } public function index(Request $request) : Response { goto faa27; f61bc: $users = $this->userEntityManager->findAll([], ["\165\163\x65\162\116\x61\x6d\x65" => "\141\163\x63"]); goto D7c02; B9dae: return $response; goto c2d70; B190b: $response = $this->render("\101\144\x6d\x69\x6e\x2f\125\x73\145\x72\57\151\x6e\144\145\x78\56\x68\x74\x6d\x6c\56\x74\x77\x69\x67", ["\165\163\145\162\163" => $users]); goto B9dae; D7c02: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto B190b; faa27: $currentUser = $this->getUser(); goto f61bc; c2d70: } public function new(Request $request) : Response { goto C26f9; f6584: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto df48b; } goto f3cd0; C26f9: $userEntity = $this->userEntityManager->createEntity(); goto Baf9b; E9cd8: return $response; goto A9c32; c2378: $response = $this->render("\101\x64\x6d\151\156\57\125\x73\145\162\57\156\145\167\56\x68\x74\155\x6c\x2e\164\x77\x69\147", ["\x75\163\145\162" => $userEntity, "\x73\151\x74\145\x73" => $sites, "\x66\157\162\155" => $form->createView(), "\146\157\162\155\105\x72\x72\x6f\x72\x73" => $this->formErrors]); goto E9cd8; be0b3: $userEntity->setTimezone($defaultTimezone); goto ea191; a0453: e999b: goto E1b6a; bc161: d2cc4: goto a0453; Bec42: if (!(false === is_null($response))) { goto d2cc4; } goto Eaae5; Baf9b: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto ac471; ac471: $sites = $this->siteEntityManager->findAll([], ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => "\x41\x53\x43"]); goto be0b3; Eaae5: return $response; goto bc161; f3cd0: $form->handleRequest($request); goto F3841; F3841: if (!(true === $form->isSubmitted())) { goto e999b; } goto E6dc0; E1b6a: df48b: goto c2378; ea191: $form = $this->createUserForm($userEntity); goto f6584; E6dc0: $response = $this->handleUserForm($request, $form); goto Bec42; A9c32: } private function createUserForm(UserEntity $userEntity) : Form { goto Cd3af; Cd3af: $form = $this->createForm("\x41\x70\160\134\x46\x6f\x72\155\x5c\101\x64\155\x69\156\125\163\x65\x72\x54\171\160\145", $userEntity, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\160\137\x61\x64\155\x69\x6e\137\165\163\145\x72\137\156\x65\167"), "\155\145\164\x68\157\144" => "\120\117\123\124", "\141\x74\164\162" => []]); goto C07ad; Ab67e: return $form; goto fb251; C07ad: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\141\x73\163" => "\x62\x74\x6e\x20\x62\164\156\x2d\142\154\165\x65\x20\x62\x74\x6e\x2d\154\147"], "\x6c\141\x62\145\x6c" => "\x41\144\x64\x20\x55\x73\x65\162"]); goto Ab67e; fb251: } private function handleUserForm(Request $request, Form $form) { goto a023d; Ccd4a: f69f8: goto Ec250; a023d: if (true === $form->isValid()) { goto dd5bc; } goto a176f; a176f: $this->formErrors = $this->getErrorMessages($form); goto Ffb4f; Ffb4f: goto f69f8; goto e41e7; e41e7: dd5bc: goto dfb52; dfb52: try { goto af8dc; af8dc: $currentUser = $this->getUser(); goto A66c0; eac20: $this->userEntityManager->updateUser($userEntity); goto E815b; Be6ef: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto F40ac; } goto b04bd; E815b: $eventData = ["\165\163\145\x72\116\x61\x6d\145" => $userEntity->getUserName(), "\146\151\x72\x73\x74\116\x61\155\145" => $userEntity->getFirstName(), "\154\141\163\x74\x4e\141\x6d\x65" => $userEntity->getLastName(), "\145\x6d\x61\151\154" => $userEntity->getEMail(), "\x72\x6f\x6c\x65" => $userEntity->getRole(), "\x73\151\x74\145\x73" => implode("\x2c\x20", $domainNames)]; goto adf49; A66c0: $session = $request->getSession(); goto E9af7; b00b4: $domainNames = []; goto Be6ef; E812c: sort($domainNames); goto eac20; adf49: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto Bea92; ec710: e4a7d: goto D6527; b04bd: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); D83b6: } goto ec710; D3f48: $sites = $userEntity->getSites(); goto b00b4; f83d9: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x61\x64\x6d\x69\156\137\x75\163\x65\162\163")); goto fb3bd; Bea92: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\x73", $this->translator->trans("\125\163\x65\x72\40\150\141\163\x20\x62\x65\x65\x6e\40\141\144\144\x65\144\56")); goto f83d9; E9af7: $userEntity = $form->getData(); goto D3f48; fb3bd: return $response; goto f1618; D6527: F40ac: goto E812c; f1618: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\x41\156\40\x65\162\x72\157\x72\40\150\x61\163\x20\157\143\x63\165\x72\162\145\144\54\x20\x65\x72\162\x6f\x72\40\155\145\x73\163\x61\x67\x65\x3a\40\45\145\162\x72\157\x72\115\145\x73\163\x61\147\145\x25", ["\45\145\162\x72\157\x72\x4d\145\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto Ccd4a; Ec250: } public function edit(Request $request) : Response { goto c2da5; Beed8: f324a: goto Fd5b1; b61e1: A1a33: goto C1f7b; E097e: $response = $this->handleUserEditForm($request, $form); goto De9ea; Ec389: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x61\144\155\x69\156\137\x75\163\x65\x72\x73")); goto ab0a5; Fd5b1: d53fc: goto F5aa6; D18a3: return $response; goto Beed8; B23a9: return $response; goto F3a7c; E586b: fbc8e: goto B23a9; Bd0b8: $form->handleRequest($request); goto d7953; C1f7b: $sites = $this->siteEntityManager->findAll([], ["\144\157\x6d\141\x69\156\x4e\141\155\x65" => "\101\x53\x43"]); goto Bfb3a; Aa0b1: $userEntity = $this->userEntityManager->findOneById($id); goto Fd4c3; A2ef6: $response = $this->render("\x41\144\155\x69\x6e\57\x55\163\x65\162\57\145\x64\151\164\56\150\x74\x6d\154\56\164\x77\x69\147", ["\x75\163\x65\162" => $userEntity, "\x73\151\x74\x65\x73" => $sites, "\x66\157\x72\x6d" => $form->createView(), "\146\157\x72\x6d\105\162\x72\x6f\x72\163" => $this->formErrors]); goto E586b; De9ea: if (!(false === is_null($response))) { goto f324a; } goto D18a3; c2da5: $id = (int) $request->get("\151\x64"); goto Aa0b1; c57ca: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Ad8da; } goto Bd0b8; Bfb3a: $form = $this->createUserEditForm($userEntity); goto c57ca; F5aa6: Ad8da: goto A2ef6; d7953: if (!(true === $form->isSubmitted())) { goto d53fc; } goto E097e; Fd4c3: if (false === is_null($userEntity)) { goto A1a33; } goto Ec389; ab0a5: goto fbc8e; goto b61e1; F3a7c: } private function createUserEditForm(UserEntity $userEntity) : Form { goto cd027; f0415: $form->add("\x73\x75\142\155\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\154\x61\163\163" => "\142\164\x6e\x20\142\164\x6e\x2d\x62\154\165\145\x20\142\164\x6e\x2d\154\147"], "\x6c\141\x62\145\x6c" => "\x53\x61\166\x65"]); goto A4c7d; cd027: $form = $this->createForm("\101\160\160\134\106\157\162\x6d\134\101\x64\155\151\156\125\163\x65\162\105\x64\151\164\x54\x79\x70\x65", $userEntity, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\x61\x64\155\151\x6e\x5f\x75\x73\145\x72\137\x65\144\x69\164", ["\x69\x64" => $userEntity->getId()]), "\155\145\164\x68\157\x64" => "\120\117\123\x54", "\x61\x74\164\x72" => []]); goto f0415; A4c7d: return $form; goto C1036; C1036: } private function handleUserEditForm(Request $request, Form $form) { goto E1821; B2496: goto Db303; goto c1e28; b7132: Db303: goto A238e; c1e28: f9cd9: goto b2ef1; E1821: if (true === $form->isValid()) { goto f9cd9; } goto D4e9d; D4e9d: $this->formErrors = $this->getErrorMessages($form); goto B2496; b2ef1: try { goto b5148; C91b2: goto A3ac2; goto bc0b8; f58ed: return $response; goto ca6b3; Ebc53: $this->userEntityManager->updateUser($userEntity, true, true); goto a5bad; bc0b8: a0436: goto Ebc53; E1d8c: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto b6b98; Bc85f: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); Ce4d0: } goto Ddadf; Ede54: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto af9ad; } goto Bc85f; efc24: $this->userEntityManager->updateUser($userEntity); goto C91b2; e0074: if (false === empty($plainPassword)) { goto a0436; } goto efc24; b6b98: $session->getFlashBag()->set("\163\x75\143\143\145\x73\163", $this->translator->trans("\x55\x73\145\162\40\150\141\x73\x20\x62\145\x65\156\x20\165\x70\144\x61\164\x65\144\x2e")); goto dba6e; C0cf5: $userEntity = $form->getData(); goto F3303; b58d8: $session = $request->getSession(); goto C0cf5; C9c13: $sites = $userEntity->getSites(); goto b1f05; Ea5ee: af9ad: goto F1efd; b5148: $currentUser = $this->getUser(); goto b58d8; dba6e: $response = $this->redirect($this->generateUrl("\143\154\x70\137\141\144\155\151\x6e\137\x75\x73\x65\x72\x5f\x65\144\x69\x74", ["\x69\144" => $userEntity->getId()])); goto f58ed; b1f05: $domainNames = []; goto Ede54; F1efd: sort($domainNames); goto e0074; Ddadf: eb6b1: goto Ea5ee; F3303: $plainPassword = $userEntity->getPlainPassword(); goto C9c13; b9a5d: $eventData = ["\165\163\x65\x72\116\x61\155\x65" => $userEntity->getUserName(), "\146\151\162\163\x74\x4e\x61\155\145" => $userEntity->getFirstName(), "\x6c\x61\163\x74\x4e\x61\x6d\145" => $userEntity->getLastName(), "\x65\x6d\141\151\x6c" => $userEntity->getEMail(), "\x72\x6f\154\x65" => $userEntity->getRole(), "\x73\x74\x61\164\165\163" => (int) $userEntity->getStatus(), "\163\x69\164\x65\x73" => implode("\54\x20", $domainNames)]; goto E1d8c; a5bad: A3ac2: goto b9a5d; ca6b3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\x6f\x72\x20\x68\x61\163\40\157\x63\x63\165\x72\x72\x65\x64\x2c\x20\145\x72\162\157\x72\x20\x6d\145\x73\x73\141\x67\x65\x3a\40\45\145\162\x72\157\162\x4d\x65\x73\x73\x61\x67\145\x25", ["\45\145\162\x72\x6f\162\x4d\x65\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto b7132; A238e: } public function delete(Request $request) : Response { goto fe012; F4177: if (!(true === isset($id) && $id != $currentUser->getId())) { goto B3bc4; } goto d3c3c; b18dd: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\125\x73\x65\162\x20\x68\141\x73\40\142\145\145\156\40\x64\145\154\145\x74\x65\144\56")); goto Ee5f8; fe012: $currentUser = $this->getUser(); goto ae229; C931e: B3bc4: goto Fd8aa; E9bf9: $this->checkCsrfToken($request, "\x64\145\154\x65\x74\145\x2d\x75\163\x65\x72"); goto F4177; Fd8aa: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\141\x64\x6d\151\x6e\137\165\163\x65\162\163")); goto ab9ad; Ce514: if (!(false === is_null($userEntity))) { goto Bd6ab; } goto A4e7c; a05fc: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto b5e29; ae229: $id = (int) $request->get("\x69\x64"); goto E9bf9; b5e29: $this->userEntityManager->deleteUser($userEntity); goto b18dd; Ee5f8: Bd6ab: goto C931e; ba85c: $eventData = ["\165\x73\145\x72\x4e\x61\155\145" => $userEntity->getUserName(), "\x66\x69\162\163\x74\116\x61\x6d\145" => $userEntity->getFirstName(), "\x6c\141\x73\x74\116\141\x6d\x65" => $userEntity->getLastName(), "\x65\x6d\141\x69\154" => $userEntity->getEMail(), "\162\x6f\x6c\145" => $userEntity->getRole()]; goto a05fc; d3c3c: $userEntity = $this->userEntityManager->findOneById($id); goto Ce514; A4e7c: $session = $request->getSession(); goto ba85c; ab9ad: return $response; goto a08dd; a08dd: } }
