<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto A7ed9; A7ed9: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto cfd21; Ddd86: parent::__construct($translator, $logger); goto bbcb3; cfd21: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto d6f11; d6f11: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto A1c76; A1c76: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto Ddd86; bbcb3: } public function index(Request $request) : Response { goto F88cd; Ebdf7: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto D827b; dbbba: ac8c5: goto c530d; D63e5: $numberOfProcessorCores = 0; goto Dfdf2; aba1f: $memoryChart->setInformation($totalMemory); goto d5aa2; Cb57a: $cpuChart->setData($cpuData); goto f2325; c7ed2: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto ff098; A7806: $diskChart->setData($diskData); goto A90fc; Fdd45: $diskChart = new Chart("\104\x69\x73\153\40\125\163\141\x67\145"); goto A7806; a2998: $loadAverageData = [["\156\141\155\145" => $this->translator->trans("\61\x20\115\x69\156\x75\x74\145"), "\x63\157\154\x6f\x72" => "\x23\67\x37\64\x61\141\64", "\144\141\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\x61\155\145" => $this->translator->trans("\65\x20\x4d\x69\156\x75\164\x65\163"), "\x63\x6f\x6c\157\x72" => "\x23\x65\x62\65\70\x36\143", "\x64\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\x61\x6d\145" => $this->translator->trans("\x31\x35\40\x4d\x69\x6e\165\x74\x65\x73"), "\x63\x6f\x6c\157\162" => "\x23\60\60\x37\x38\144\64", "\144\141\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto Df9ab; e8b0f: $loadAverageChart->setInformation($loadAverageChartInformation); goto b7555; a4829: $dateTime = new \DateTime(); goto Ebdf7; ecd34: $diskData = [["\x6e\141\155\145" => sprintf("\x2f\x20\x28\45\x73\51", $rootDiskSize), "\x63\157\154\157\162" => "\43\67\x33\142\146\64\143", "\144\141\164\141" => $diskData["\x72\157\157\164"] ?: []]]; goto c7c2d; Ed657: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto ae724; b8c33: $cpuChart = new Chart("\103\120\x55\40\125\163\x61\147\145"); goto a79dc; eb35c: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto a2998; c8a20: $timeRange = $request->get("\164\151\x6d\x65\x52\141\156\x67\x65"); goto C035c; a79dc: $cpuChart->setInformation($cpuInformation); goto Cb57a; b7555: $loadAverageChart->setData($loadAverageData); goto E3e9d; Dfdf2: try { goto ca392; C5329: $commandExecutor->execute($memoryInformationCommand); goto D76b7; D76b7: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto dbc62; F56fb: $commandExecutor->execute($processorCoresCommand); goto B2712; B2712: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto Dcb2a; f5d04: $memoryInformationCommand = new MemoryInformationCommand(); goto C5329; dbc62: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\102", 0); goto A871d; ca392: $commandExecutor = new CommandExecutor(); goto f5d04; A871d: $processorCoresCommand = new ProcessorCoresCommand(); goto F56fb; Dcb2a: } catch (\Exception $e) { $this->logger->exception($e); } goto c7ed2; f48cb: return $response; goto D0514; B1109: $environment = $instance->getEnvironment(); goto Dba7a; Dde0c: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto Ed657; c530d: $diskData = [["\156\x61\155\x65" => sprintf("\57\x20\x28\45\163\51", $rootDiskSize), "\x63\x6f\x6c\x6f\162" => "\x23\x37\x33\142\146\x34\143", "\x64\x61\x74\141" => $diskData["\x72\157\157\164"] ?: []], ["\x6e\x61\155\145" => sprintf("\57\150\x6f\155\145\40\50\45\163\51", $homeDiskSize), "\x63\157\x6c\x6f\162" => "\43\146\x33\x62\146\x30\60", "\x64\141\164\141" => $diskData["\x68\x6f\155\145"] ?: []]]; goto f4b05; bd95f: $instance = $request->attributes->get("\x69\156\x73\x74\141\156\x63\145"); goto B1109; c3402: aa954: goto Dde0c; a464c: $loadAverageChart = new LoadAverageChart("\114\x6f\141\x64\x20\101\166\x65\x72\141\x67\145"); goto e8b0f; D827b: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto f586d; e8d34: goto aa954; goto B28ce; f586d: $minuteInterval = 5; goto dbe19; dbe19: $startTime = (clone $endTime)->modify("\55\63\60\x20\155\151\156\x75\164\x65\163"); goto e8d34; B28ce: case self::TIME_RANGE_LAST_HOUR: goto a6bf5; e7b9d: goto aa954; goto a790e; a6bf5: $minuteInterval = 10; goto D80ad; D80ad: $startTime = (clone $endTime)->modify("\55\x31\40\x68\157\x75\162"); goto e7b9d; a790e: case self::TIME_RANGE_LAST_THREE_HOURS: goto e19f0; c07c9: goto aa954; goto d25a0; e19f0: $minuteInterval = 30; goto e85bd; e85bd: $startTime = (clone $dateTime)->modify("\x2d\x33\40\150\x6f\x75\162\163"); goto c07c9; d25a0: case self::TIME_RANGE_LAST_SIX_HOURS: goto Aa78c; Aa78c: $minuteInterval = 60; goto Db5cf; F39a1: goto aa954; goto f0130; Db5cf: $startTime = (clone $dateTime)->modify("\x2d\66\x20\150\157\x75\x72\163"); goto F39a1; f0130: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto Fccb3; Fccb3: $minuteInterval = 120; goto e0385; F33c3: goto aa954; goto c4edf; e0385: $startTime = (clone $dateTime)->modify("\55\x31\62\x20\x68\157\165\x72\x73"); goto F33c3; c4edf: } goto b7893; ae724: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto d1420; Dba7a: $cloud = $environment->getCloudProvider(); goto c8a20; Be598: if ($homeDiskSize != $rootDiskSize) { goto ac8c5; } goto ecd34; d1420: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Be598; f55d3: $totalMemory = ''; goto D63e5; d5aa2: $memoryChart->setData($memoryData); goto d8645; fc2d8: $memoryChart = new Chart("\x4d\x65\x6d\x6f\x72\x79\x20\125\x73\x61\147\x65"); goto aba1f; d8d03: $response = $this->render("\106\162\157\x6e\164\145\156\x64\x2f\104\x61\x73\x68\x62\157\141\162\x64\x2f\x69\x6e\144\145\x78\x2e\x68\x74\155\154\x2e\x74\x77\x69\x67", ["\143\154\x6f\x75\x64" => $cloud, "\151\x6e\163\x74\x61\156\x63\145" => $instance, "\165\x73\145\162" => $user, "\x74\x69\x6d\x65\x52\141\156\x67\145" => $timeRange, "\x63\160\165\103\150\141\x72\x74" => $cpuChart, "\x6d\145\x6d\x6f\162\x79\103\150\x61\x72\164" => $memoryChart, "\144\151\163\153\103\150\x61\x72\164" => $diskChart, "\x6c\157\141\x64\x41\166\x65\162\141\x67\145\103\150\141\162\x74" => $loadAverageChart]); goto f48cb; ff431: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto a35f6; E3e9d: $loadAverageChart->setCategories($categories); goto d8d03; F88cd: $user = $this->getUser(); goto bd95f; f2325: $cpuChart->setCategories($categories); goto fc2d8; f4b05: Fbca4: goto eb35c; Df9ab: $cpuInformation = sprintf("\45\163\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\103\120\125")); goto b8c33; C035c: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto f55d3; da2cc: $loadAverageChartInformation = sprintf("\45\163\40\x25\x73", $numberOfProcessorCores, $this->translator->trans("\x43\120\125")); goto a464c; c7c2d: goto Fbca4; goto dbbba; A90fc: $diskChart->setCategories($categories); goto da2cc; d8645: $memoryChart->setCategories($categories); goto Fdd45; b7893: B4d01: goto c3402; ff098: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\x47\102", 0); goto ff431; a35f6: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\102", 0); goto a4829; D0514: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Aaeba; bb3ca: $startDataDate->modify(sprintf("\x2b\45\x30\65\144\40\155\151\156\x75\164\145\163", $minuteInterval)); goto adbb1; ebe53: $endDataDate = clone $startTime; goto fb126; fb126: F0764: goto e3601; Aaeba: $categories = []; goto d5b69; E1154: $categories[] = $categoryDateTime->format("\x48\x3a\151"); goto bb3ca; d5b69: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\x35\144\x20\155\x69\156\x75\164\x65\163", $minuteInterval)); goto ebe53; D0d90: goto F0764; goto Ebb5f; B6581: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto E1154; Ebb5f: e507c: goto Ef2c5; adbb1: $endDataDate->modify(sprintf("\53\45\x30\x35\x64\x20\155\x69\156\165\164\x65\x73", $minuteInterval)); goto D0d90; Bc8cd: $categoryDateTime = clone $endDataDate; goto B6581; Ef2c5: return $categories; goto D9e20; e3601: if (!($endDataDate <= $endTime)) { goto e507c; } goto Bc8cd; D9e20: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto A9a42; A037c: Df28e: goto E0b90; E0b90: return $cpuData; goto Abe78; c3328: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\x30\65\144\x20\x6d\151\x6e\x75\x74\x65\x73", $minuteInterval)); goto Ace7e; b491d: goto bf8fb; goto A037c; a7b19: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto c0084; A9a42: $cpuData = []; goto c3328; Ace7e: $endDataDate = clone $startTime; goto B89a9; C75f0: if (!($endDataDate <= $endTime)) { goto Df28e; } goto a7b19; c0084: $cpuData[] = $averageCpuValue; goto B1f80; B1f80: $startDataDate->modify(sprintf("\53\45\60\65\144\40\x6d\x69\156\x75\164\145\x73", $minuteInterval)); goto F09d2; F09d2: $endDataDate->modify(sprintf("\x2b\x25\x30\x35\144\40\155\151\x6e\165\x74\x65\163", $minuteInterval)); goto b491d; B89a9: bf8fb: goto C75f0; Abe78: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto fca7e; ef4a3: $memoryData[] = (int) $averageMemoryValue; goto Ed343; D0bee: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\x35\144\40\155\151\156\165\x74\x65\163", $minuteInterval)); goto e4986; e4986: $endDataDate = clone $startTime; goto cd9f2; cd9f2: fed79: goto d3d3d; fca7e: $memoryData = []; goto D0bee; A3afb: goto fed79; goto A4224; Ed343: $startDataDate->modify(sprintf("\53\x25\60\x35\x64\x20\x6d\x69\x6e\x75\164\x65\x73", $minuteInterval)); goto Ef9b0; Ef9b0: $endDataDate->modify(sprintf("\53\45\x30\65\x64\40\x6d\x69\156\165\x74\x65\x73", $minuteInterval)); goto A3afb; d3d3d: if (!($endDataDate <= $endTime)) { goto cdc55; } goto C8a4e; fd6bc: return $memoryData; goto F8f12; A4224: cdc55: goto fd6bc; C8a4e: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto ef4a3; F8f12: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto e96cb; c85c4: if (!($endDataDate <= $endTime)) { goto da4d8; } goto B3a40; B3a40: foreach (["\57", "\x2f\150\x6f\155\145"] as $disk) { goto D0eb5; a7ab0: Eefdd: goto d7f8b; C2216: $diskData["\x68\157\155\145"][] = (int) $averageDiskSizeValue; goto A84e2; d7f8b: C6838: goto A8f04; e2822: if ("\x2f" == $disk) { goto dee22; } goto C2216; A84e2: goto Eefdd; goto fed2c; D0eb5: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto e2822; D5efe: $diskData["\162\x6f\x6f\164"][] = (int) $averageDiskSizeValue; goto a7ab0; fed2c: dee22: goto D5efe; A8f04: } goto A85d7; F739e: return $diskData; goto Ae4eb; F3fee: $endDataDate->modify(sprintf("\x2b\x25\60\65\x64\x20\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto d4c3d; Cb480: da4d8: goto F739e; d4c3d: goto a44d5; goto Cb480; A85d7: f1272: goto F25e9; e96cb: $diskData = []; goto cca1e; F25e9: $startDataDate->modify(sprintf("\53\x25\60\x35\x64\40\155\x69\156\165\x74\145\x73", $minuteInterval)); goto F3fee; cdf3f: $endDataDate = clone $startTime; goto c13dd; cca1e: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\x35\144\x20\x6d\x69\156\x75\x74\x65\163", $minuteInterval)); goto cdf3f; c13dd: a44d5: goto c85c4; Ae4eb: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Beb15; de5e8: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto Eeaec; Eeaec: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto B96a7; B96a7: $loadAverageData[$period][] = round($loadAverageValue, 2); goto B840c; B840c: b244c: goto Ba5ec; Ba5ec: } goto cba7c; dc59e: $endDataDate->modify(sprintf("\53\x25\x30\x35\x64\40\155\151\x6e\x75\164\145\163", $minuteInterval)); goto f93ac; Ceb2c: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\65\144\x20\x6d\151\x6e\x75\164\x65\x73", $minuteInterval)); goto Fd54e; f93ac: goto e33d3; goto E0f9c; b35c9: e33d3: goto B554c; Daadd: $startDataDate->modify(sprintf("\53\x25\x30\x35\144\40\x6d\151\156\165\x74\x65\x73", $minuteInterval)); goto dc59e; Beb15: $loadAverageData = []; goto Ceb2c; B554c: if (!($endDataDate <= $endTime)) { goto E7fa2; } goto de5e8; Ed491: return $loadAverageData; goto Ccda8; cba7c: Ff083: goto Daadd; E0f9c: E7fa2: goto Ed491; Fd54e: $endDataDate = clone $startTime; goto b35c9; Ccda8: } }
