<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto f2422; Af88a: $this->siteEntityManager = $siteEntityManager; goto b8d0e; C728b: $this->certificateEntityManager = $certificateEntityManager; goto c3a59; Ab9d1: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto E3afc; f2422: $this->configManager = $configManager; goto Af88a; Aa2bd: $this->domainNameParser = $domainNameParser; goto A392a; B30d8: $this->blockedBotEntityManager = $blockedBotEntityManager; goto C728b; Ac9d7: $this->databaseUserEntityManager = $databaseUserEntityManager; goto C5193; f1dd7: $this->blockedIpEntityManager = $blockedIpEntityManager; goto B30d8; C5193: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ab9d1; d68bd: $this->sshUserEntityManager = $sshUserEntityManager; goto Aa2bd; E3afc: $this->ftpUserEntityManager = $ftpUserEntityManager; goto d68bd; A392a: parent::__construct($translator, $logger); goto bf115; b8d0e: $this->basicAuthEntityManager = $basicAuthEntityManager; goto f1dd7; D4996: $this->databaseEntityManager = $databaseEntityManager; goto Ac9d7; c3a59: $this->cronJobEntityManager = $cronJobEntityManager; goto D4996; bf115: } public function index(Request $request) : Response { goto D93c3; cb3c6: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\157\x6d\x61\x69\x6e\116\141\x6d\x65" => "\141\x73\143"]); goto Cd2f0; Cd2f0: $response = $this->render("\x46\162\x6f\156\164\145\x6e\144\x2f\123\x69\164\x65\x2f\151\156\x64\x65\170\x2e\x68\164\x6d\x6c\56\164\167\x69\147", ["\165\x73\x65\162" => $user, "\x73\151\164\145\x73" => $sites]); goto b48f7; b48f7: return $response; goto cf4ba; D93c3: $user = $this->getUser(); goto cb3c6; cf4ba: } public function fileManager(Request $request) : Response { goto e2336; e2336: $site = $this->getSite($request); goto A612a; A612a: if (false === is_null($site)) { goto f5523; } goto A5bdd; A936c: $siteUser = $site->getUser(); goto a55ec; D7092: $response = $this->render("\106\162\x6f\156\164\145\156\144\57\123\x69\164\145\x2f\146\151\154\x65\x2d\155\x61\156\141\147\x65\162\56\x68\164\155\x6c\56\x74\167\151\147", ["\163\151\164\145" => $site, "\x66\151\x6c\x65\115\x61\x6e\x61\147\x65\162\x55\162\154" => $fileManagerUrl, "\x66\x6f\162\x6d\x45\x72\162\157\x72\x73" => $this->formErrors]); goto fa764; Fcc92: $cookieExpirationDate->modify(sprintf("\53\x25\163\40\150\x6f\x75\x72\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto B99f2; A69ee: f5523: goto A936c; f8a52: $locale = $request->getLocale(); goto A51e7; E9408: $session->set("\143\x6c\x70\x2d\146\151\154\145\x2d\155\x61\x6e\141\147\x65\162", $data); goto b9bc8; a55ec: $session = $request->getSession(); goto f8a52; fa764: d32cd: goto C09d5; A51e7: $cookieExpirationDate = new \DateTime("\156\157\x77"); goto Fcc92; b9bc8: $fileManagerUrl = sprintf("\45\163\57\x66\x69\x6c\x65\x2d\x6d\141\156\x61\x67\x65\162\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto D7092; C09d5: return $response; goto d3909; D42d2: goto d32cd; goto A69ee; B99f2: $data = ["\165\163\x65\x72" => $siteUser, "\154\x6f\x63\x61\x6c\145" => $locale]; goto E9408; A5bdd: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\145\163")); goto D42d2; d3909: } public function view(Request $request) : Response { goto E3427; e2182: return $response; goto b3838; D7cb1: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\137\163\x65\x74\x74\x69\156\147\x73", ["\144\x6f\155\141\151\156\116\141\x6d\145" => $domainName])); goto e2182; E3427: $domainName = $request->get("\144\157\155\x61\x69\x6e\116\141\155\145"); goto D7cb1; b3838: } public function logs(Request $request) : Response { goto Cfa38; c4547: b7d51: goto a9071; a9071: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D6ac4; D6ac4: $form = $this->createLogsForm($siteEntity); goto b0d74; Cfa38: $site = $this->getSite($request); goto a7b5b; b0d74: $response = $this->render("\106\162\x6f\x6e\164\x65\156\144\57\123\x69\x74\145\x2f\x6c\157\147\x73\x2e\x68\164\x6d\154\56\x74\x77\151\x67", ["\163\151\x74\x65" => $site, "\x66\157\x72\x6d\105\162\162\x6f\x72\163" => $this->formErrors, "\146\157\x72\x6d" => $form->createView()]); goto bbb75; Ed8ea: goto C4b4d; goto c4547; a7b5b: if (false === is_null($site)) { goto b7d51; } goto C61d9; bbb75: C4b4d: goto Dd85f; Dd85f: return $response; goto ff231; C61d9: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\145\x73")); goto Ed8ea; ff231: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto C13cc; C13cc: $form = $this->createForm("\101\x70\x70\x5c\x46\x6f\x72\155\134\123\x69\x74\x65\x4c\157\147\x73\x54\171\x70\x65", [], ["\x61\143\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x5f\154\x6f\x67\x73", ["\144\x6f\155\x61\151\156\x4e\141\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\164\150\157\144" => "\x50\x4f\x53\x54", "\141\164\x74\162" => []]); goto d8897; d8897: $form->add("\165\x70\x64\x61\164\x65", ButtonType::class, ["\141\164\x74\x72" => ["\143\x6c\x61\x73\163" => "\x62\x74\156\40\142\x74\156\x2d\154\147\40\x62\x74\x6e\x2d\142\154\165\x65\40\142\164\156\x2d\165\160\144\x61\x74\145"], "\x6c\x61\x62\145\x6c" => "\125\160\x64\141\164\145"]); goto e7bd8; e7bd8: return $form; goto F59e4; F59e4: } public function logFileContent(Request $request, Twig $twig) : Response { goto e8561; Ee288: $service = trim($request->get("\163\x65\162\166\151\x63\x65")); goto Cbb2f; e8d3e: if (!(false === is_null($site))) { goto fd696; } goto Ee288; c26cb: E5299: goto F7ff2; f50b2: return $response; goto dfab1; a0499: $response = $this->json($data); goto f50b2; ccb94: try { goto f8f19; b894e: $logLines = $logfileReader->getLines($numberOfLines); goto D94c6; e9f69: if ("\141\x63\143\145\163\x73\56\154\157\147" == substr($logfileName, 0, 10)) { goto d001a; } goto B6e0b; dc4cb: $logfileReader = new LogfileReader($logfile); goto b894e; b9969: E0965: goto d3f43; d2edf: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto a8a42; Af817: $userTimezone = $user->getTimezone(); goto e9f69; D94c6: $logMessagesHtml = ''; goto B2234; f64fe: $logMessages = $nginxErrorLogParser->parse(); goto e9a4f; C6f92: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto Ace56; B6e0b: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto f64fe; a7f56: if (!("\160\x68\x70" == $service)) { goto f5f11; } goto d2edf; C3a27: $logMessagesHtml = $twig->render("\x46\162\157\x6e\164\x65\156\x64\x2f\123\x69\x74\145\x2f\114\157\x67\163\x2f\160\150\160\x2d\x66\x70\155\55\x65\162\162\x6f\162\x2d\x6c\157\147\x2d\x6d\x65\163\163\x61\x67\145\163\x2e\x68\x74\155\x6c\x2e\x74\x77\x69\x67", ["\154\x6f\x67\x4d\x65\x73\x73\141\147\145\x73" => $logMessages]); goto Fdec4; f0dee: $logfile = sprintf("\x2f\150\x6f\x6d\x65\x2f\45\163\57\x6c\157\x67\x73\x2f\45\x73\x2f\45\x73", $site->getUser(), $service, $logfileName); goto dc4cb; Edee1: if (!("\156\147\151\156\170" == $service)) { goto c0453; } goto Af817; B2234: $user = $this->getUser(); goto Edee1; Ace56: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto Cfbf6; E83ed: d001a: goto C6f92; Cfbf6: $logMessages = $nginxAccessLogParser->parse(); goto Be964; Fdec4: f5f11: goto fea77; a8a42: $logMessages = $phpFpmErrorLogParser->parse(); goto C3a27; d3f43: c0453: goto a7f56; f265c: goto E0965; goto E83ed; fea77: $data["\x6c\x6f\x67\x4d\145\x73\x73\x61\147\145\163\x48\164\155\154"] = $logMessagesHtml; goto Bb99c; Be964: $logMessagesHtml = $twig->render("\106\x72\x6f\156\164\x65\156\x64\57\123\x69\164\145\x2f\x4c\157\147\163\57\x6e\x67\151\x6e\x78\55\x61\x63\x63\x65\163\x73\x2d\154\157\147\x2d\x6d\145\163\163\x61\147\x65\x73\56\x68\164\155\x6c\56\x74\x77\x69\x67", ["\x6c\157\147\x4d\x65\163\163\141\x67\x65\163" => $logMessages]); goto b9969; e9a4f: $logMessagesHtml = $twig->render("\106\162\157\156\x74\x65\x6e\144\57\123\x69\x74\145\x2f\x4c\x6f\x67\163\57\156\147\151\156\170\x2d\x65\x72\x72\x6f\162\55\154\157\x67\55\x6d\x65\163\163\x61\x67\145\163\x2e\150\x74\x6d\154\x2e\164\x77\x69\x67", ["\x6c\157\x67\x4d\x65\163\x73\141\x67\x65\163" => $logMessages]); goto f265c; f8f19: $service = basename($service); goto f0dee; Bb99c: } catch (\Exception $e) { $this->logger->exception($e); } goto c26cb; a1525: $numberOfLines = (int) $request->get("\156\x75\155\142\145\x72\x4f\146\x4c\151\156\145\163"); goto Cff17; Cbb2f: $logfileName = trim($request->get("\154\x6f\147\x46\151\x6c\145")); goto a1525; Cff17: if (!(false === empty($service) && false === empty($logfileName))) { goto E5299; } goto ccb94; e8561: $data = []; goto f3a48; F7ff2: fd696: goto a0499; f3a48: $site = $this->getSite($request); goto e8d3e; dfab1: } public function loadLogfilesForService(Request $request) : Response { goto e28f7; C7bf4: bf1c3: goto fb728; E24ba: B5f83: goto C7bf4; f75fc: if (!(false === empty($service))) { goto B5f83; } goto a8915; e8859: $service = trim($request->get("\163\x65\162\166\x69\x63\145")); goto f75fc; baf26: return $response; goto c7428; a8915: try { goto Eaceb; d8a4f: $logsFinder = new LogsFinder($logfilesDirectory); goto aab76; d1fd8: $data["\154\157\147\146\x69\154\x65\163"] = $logfiles; goto a88b7; A68c1: if (!(false === empty($logfiles))) { goto Fd947; } goto d1fd8; D66b8: $logfilesDirectory = sprintf("\57\x68\157\x6d\145\x2f\45\x73\57\154\x6f\x67\163\x2f\45\x73\57", $site->getUser(), $service); goto d8a4f; Eaceb: $service = basename($service); goto D66b8; aab76: $logfiles = $logsFinder->getLogfiles(); goto A68c1; a88b7: Fd947: goto f84f0; f84f0: } catch (\Exception $e) { $this->logger->exception($e); } goto E24ba; F2083: if (!(false === is_null($site))) { goto bf1c3; } goto e8859; F87e4: $site = $this->getSite($request); goto F2083; e28f7: $data = []; goto F87e4; fb728: $response = $this->json($data); goto baf26; c7428: } public function cronJobs(Request $request) : Response { goto beadf; ac36e: return $response; goto F2294; d1f61: E2f6b: goto da100; da100: $response = $this->render("\106\x72\x6f\156\x74\145\156\144\57\123\151\164\x65\57\143\162\x6f\156\x2d\152\x6f\142\x73\56\150\164\155\154\56\x74\x77\x69\x67", ["\x73\151\x74\145" => $site, "\146\157\162\155\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto fd0dc; ec505: goto f4e83; goto d1f61; b24d1: if (false === is_null($site)) { goto E2f6b; } goto F0788; beadf: $site = $this->getSite($request); goto b24d1; F0788: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\x65\x73")); goto ec505; fd0dc: f4e83: goto ac36e; F2294: } public function newCronJob(Request $request) : Response { goto cf28a; eeccc: $response = $this->handleCronJobForm($request, $form, $site); goto f70d9; a943a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto d6ec0; aa6b4: goto Abfad; goto cc493; f70d9: if (!(false === is_null($response))) { goto D1699; } goto a6812; a6812: return $response; goto b549a; D3a3c: $form = $this->createCronJobForm($cronJobEntity); goto E262f; c9230: Abfad: goto b03db; cb833: Ed2a8: goto E18bf; e051a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\x65\x73")); goto aa6b4; A49a9: $response = $this->render("\106\x72\x6f\156\164\x65\156\x64\57\123\151\164\x65\57\156\x65\x77\55\x63\x72\x6f\156\55\152\x6f\142\56\150\x74\155\154\56\164\167\x69\147", ["\x73\151\164\145" => $site, "\x66\157\x72\x6d" => $form->createView(), "\146\157\x72\x6d\105\x72\x72\157\x72\x73" => $this->formErrors]); goto c9230; E18bf: A372e: goto A49a9; d6ec0: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto db0be; cc493: b8a6c: goto a943a; db0be: $cronJobEntity->setSite($siteEntity); goto D3a3c; b549a: D1699: goto cb833; bfdf1: $form->handleRequest($request); goto E17cc; cf28a: $site = $this->getSite($request); goto C8bb4; b03db: return $response; goto De137; E17cc: if (!(true === $form->isSubmitted())) { goto Ed2a8; } goto eeccc; C8bb4: if (false === is_null($site)) { goto b8a6c; } goto e051a; E262f: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto A372e; } goto bfdf1; De137: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto A9c14; ddbdf: $form = $this->createForm("\101\160\x70\134\106\157\x72\155\134\123\151\x74\x65\103\162\x6f\156\112\x6f\x62\124\171\160\x65", $cronJobEntity, ["\141\x63\164\x69\157\156" => $this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\x5f\x63\x72\x6f\156\x5f\x6a\157\142\137\156\145\167", ["\144\157\x6d\x61\x69\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\117\123\x54", "\141\x74\x74\162" => []]); goto d0e02; A9c14: $siteEntity = $cronJobEntity->getSite(); goto ddbdf; d0e02: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\143\x6c\x61\163\163" => "\142\x74\x6e\40\142\x74\156\x2d\x62\x6c\165\x65\x20\x62\x74\x6e\x2d\x6c\147"], "\x6c\141\142\x65\x6c" => "\x41\144\144\x20\x43\162\157\x6e\x20\x4a\x6f\x62"]); goto dcf0b; dcf0b: return $form; goto Adffd; Adffd: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto C6896; cecbe: Aaf44: goto c13bc; Ecc7f: $this->formErrors = $this->getErrorMessages($form); goto D76f4; D76f4: goto d4df4; goto cecbe; C6896: if (true === $form->isValid()) { goto Aaf44; } goto Ecc7f; c13bc: try { goto C6786; E457b: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\145\163")); goto E577b; C6786: $session = $request->getSession(); goto d7b6d; A65b5: $siteUpdater->updateUserCrontab(); goto e5e80; a726e: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto Ff78a; C5732: $siteEntity->addCronJob($cronJobEntity); goto Ac959; Cc3ba: $this->siteEntityManager->updateEntity($siteEntity); goto D892b; E577b: goto C4b83; goto a6120; D892b: $siteUpdater = $this->getSiteUpdater($site); goto A65b5; E2cec: return $response; goto d1abf; a6120: B8e24: goto ec11b; a241a: C4b83: goto E2cec; b2ff1: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\137\143\x72\157\156\x5f\x6a\157\x62\x73", ["\144\x6f\x6d\x61\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto a241a; b1871: $cronJobEntity = $form->getData(); goto C5732; d7b6d: $domainName = $site->getDomainName(); goto Be566; e5e80: $eventData = ["\x73\x69\164\x65" => $domainName, "\143\x72\x6f\x6e\x74\x61\142\x45\x78\160\x72\x65\x73\x73\151\157\x6e" => $cronJobEntity->getCrontabExpression()]; goto a726e; Ff78a: $session->getFlashBag()->set("\163\165\x63\143\x65\x73\163", $this->translator->trans("\103\162\x6f\156\40\112\157\x62\40\x68\x61\163\40\x62\x65\145\156\40\x61\144\144\145\x64\x2e")); goto b2ff1; Ac959: $site->setCronJobs($siteEntity->getCronJobs()); goto Cc3ba; ec11b: $user = $this->getUser(); goto b1871; Be566: $siteEntity = $this->getSiteEntity($domainName); goto Ba838; Ba838: if (false === is_null($siteEntity)) { goto B8e24; } goto E457b; d1abf: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\x72\x6f\x72\x20\150\141\163\x20\x6f\x63\143\165\162\x72\145\x64\x2c\x20\145\x72\162\157\x72\40\x6d\x65\163\x73\x61\147\x65\72\40\45\x65\x72\x72\x6f\x72\115\145\163\x73\141\147\x65\45", ["\x25\x65\x72\x72\x6f\x72\x4d\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto dc691; dc691: d4df4: goto bc138; bc138: } public function deleteCronJob(Request $request) : Response { goto C9f6f; d30dc: try { goto B2d86; A25e4: $siteEntity = $this->getSiteEntity($domainName); goto be566; D9ac4: $site->setCronJobs($siteEntity->getCronJobs()); goto A6e72; fb6df: $evenData = ["\x73\x69\x74\145" => $domainName, "\x63\x6f\x6d\x6d\141\156\144" => $cronJobEntity->getCommand()]; goto d9522; Bc04f: $cronJobSiteEntity = $cronJobEntity->getSite(); goto Ef59d; e42ce: return $response; goto D69bb; A6cef: $siteUpdater->updateUserCrontab(); goto fb6df; bca24: $domainName = $site->getDomainName(); goto A25e4; B2d86: $session = $request->getSession(); goto D8982; D8982: $id = (int) $request->get("\x69\x64"); goto bca24; be566: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto ea979; bd2b4: $user = $this->getUser(); goto A613c; Ef59d: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto Ad86b; } goto bd2b4; E9472: $session->getFlashBag()->set("\163\165\x63\143\145\163\163", $this->translator->trans("\103\x72\157\x6e\x20\x4a\157\142\40\x68\141\x73\40\142\x65\x65\x6e\x20\144\x65\x6c\145\x74\x65\x64\x2e")); goto b6438; f358d: $siteUpdater = $this->getSiteUpdater($site); goto A6cef; fdbe8: b7ec9: goto fd12a; A613c: $siteEntity->removeCronJob($cronJobEntity); goto D9ac4; d9522: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto E9472; b6438: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\x65\x5f\x63\x72\x6f\x6e\x5f\x6a\157\142\x73", ["\x64\x6f\155\141\151\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto e42ce; D69bb: Ad86b: goto fdbe8; ea979: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto b7ec9; } goto Bc04f; A6e72: $this->siteEntityManager->updateEntity($siteEntity); goto f358d; fd12a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\x41\x6e\40\145\x72\162\x6f\162\40\150\141\163\x20\157\143\x63\165\162\x72\x65\144\54\40\145\162\x72\157\x72\40\155\145\x73\x73\x61\x67\145\x3a\40\x25\x65\162\x72\x6f\x72\x4d\x65\163\x73\x61\147\x65\45", ["\x25\145\x72\x72\x6f\x72\115\145\163\163\x61\147\145\x25" => $e->getMessage()])); } goto c040c; Cbfcf: $this->checkCsrfToken($request, "\143\x72\x6f\x6e\152\157\142\55\144\x65\154\145\x74\x65"); goto F7f09; c040c: Bdb46: goto bc901; C9f6f: $site = $this->getSite($request); goto Cbfcf; F7f09: if (!(false === is_null($site))) { goto Bdb46; } goto d30dc; B9777: return $response; goto ad940; bc901: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\x65\163")); goto B9777; ad940: } public function editCronJob(Request $request) : Response { goto A6048; ecb13: fbe97: goto c42d9; B573e: goto c07da; goto Ff4cf; ea36f: c5c90: goto ecb13; c42d9: $response = $this->render("\x46\162\x6f\156\x74\145\156\144\x2f\x53\x69\x74\145\57\x65\144\151\x74\x2d\143\162\157\156\55\x6a\157\142\x2e\x68\x74\x6d\x6c\56\164\x77\x69\x67", ["\x73\151\x74\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\x66\157\x72\155\x45\162\x72\157\x72\x73" => $this->formErrors]); goto B1bd8; B502f: if (!(false === is_null($response))) { goto Dc6cc; } goto f5d1f; e97f8: return $response; goto D504c; f5d1f: return $response; goto B44cd; d0c14: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto a0d57; Ff4cf: Fbace: goto A1134; A6048: $id = (int) $request->get("\151\144"); goto Ec744; E4a08: $form->handleRequest($request); goto Af4c2; B44cd: Dc6cc: goto ea36f; Ffa09: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto fbe97; } goto E4a08; Ec744: $site = $this->getSite($request); goto d0c14; Af4c2: if (!(true === $form->isSubmitted())) { goto c5c90; } goto B9f84; f2c9b: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\145\163")); goto B573e; a0d57: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Fbace; } goto f2c9b; A1134: $form = $this->createCronJobEditForm($cronJobEntity); goto Ffa09; B1bd8: c07da: goto e97f8; B9f84: $response = $this->handleCronJobEditForm($request, $form, $site); goto B502f; D504c: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto F66bc; F66bc: $siteEntity = $cronJobEntity->getSite(); goto F52c9; F52c9: $form = $this->createForm("\x41\x70\160\x5c\x46\157\x72\155\x5c\x53\x69\x74\145\103\162\157\x6e\112\157\142\x45\x64\151\x74\124\171\160\145", $cronJobEntity, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\x69\164\x65\x5f\143\x72\157\x6e\137\x6a\157\142\x5f\145\144\x69\x74", ["\x64\157\x6d\141\151\156\116\x61\155\145" => $siteEntity->getDomainName(), "\151\144" => $cronJobEntity->getId()]), "\x6d\x65\164\x68\157\x64" => "\120\117\x53\124", "\x61\x74\x74\162" => []]); goto D7be5; f9def: return $form; goto fdf11; D7be5: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\154\141\163\163" => "\142\164\156\40\142\164\156\55\142\154\165\145\40\142\x74\156\55\x6c\147"], "\154\141\x62\x65\x6c" => "\123\141\166\x65"]); goto f9def; fdf11: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto f3fdc; ba398: goto F51de; goto fafc8; f3fdc: if (true === $form->isValid()) { goto Dac05; } goto e8a04; fafc8: Dac05: goto e4d70; e4d70: try { goto e81ad; B7c4f: $eventData = ["\x73\x69\164\x65" => $domainName, "\143\162\x6f\x6e\164\x61\142\105\x78\160\162\x65\x73\163\151\157\156" => $cronJobEntity->getCrontabExpression()]; goto F578c; B7e63: $cronJobEntity = $form->getData(); goto Ebbdd; Def65: $siteUpdater->updateUserCrontab(); goto B7c4f; d457f: F755d: goto fdbda; d96d9: $siteEntity = $this->getSiteEntity($domainName); goto a69e5; Cdb00: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\145\x73")); goto F3c28; Df6f7: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\x5f\143\162\x6f\156\137\x6a\x6f\x62\x73", ["\144\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto d457f; Ebbdd: $siteEntity->addCronJob($cronJobEntity); goto a2ecd; E85fa: $user = $this->getUser(); goto B7e63; c9e70: D8943: goto E85fa; F32d5: $this->siteEntityManager->updateEntity($siteEntity); goto de93d; a69e5: if (false === is_null($siteEntity)) { goto D8943; } goto Cdb00; de93d: $siteUpdater = $this->getSiteUpdater($site); goto Def65; a2ecd: $site->setCronJobs($siteEntity->getCronJobs()); goto F32d5; F3c28: goto F755d; goto c9e70; F0c00: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\x73", $this->translator->trans("\x43\162\157\156\40\x4a\x6f\142\x20\x68\141\x73\40\x62\x65\x65\x6e\40\x73\141\x76\x65\144\x2e")); goto Df6f7; fdbda: return $response; goto f73c3; c1ff5: $domainName = $site->getDomainName(); goto d96d9; e81ad: $session = $request->getSession(); goto c1ff5; F578c: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto F0c00; f73c3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\162\40\x68\x61\x73\40\x6f\x63\x63\x75\162\x72\x65\144\x2c\x20\145\x72\162\x6f\162\x20\155\x65\x73\x73\141\x67\x65\x3a\40\45\x65\x72\x72\x6f\162\115\x65\163\x73\x61\x67\x65\45", ["\45\145\162\162\x6f\x72\115\x65\163\163\141\147\145\45" => $e->getMessage()])); } goto e0ea5; e0ea5: F51de: goto F3bf4; e8a04: $this->formErrors = $this->getErrorMessages($form); goto ba398; F3bf4: } public function users(Request $request) : Response { goto F5b1d; a543c: if (false === is_null($site)) { goto eacc5; } goto Cb3e6; Cb3e6: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\x73")); goto ad988; F5b1d: $site = $this->getSite($request); goto a543c; d41aa: e470a: goto D3dce; D3dce: return $response; goto F58e6; F9cd3: $response = $this->render("\106\x72\x6f\x6e\x74\x65\x6e\144\57\123\x69\164\x65\57\x75\163\x65\162\163\x2e\150\x74\155\x6c\56\164\167\151\x67", ["\163\x69\x74\x65" => $site, "\x66\157\x72\155\x45\x72\x72\x6f\x72\163" => $this->formErrors]); goto d41aa; ad988: goto e470a; goto f30b0; f30b0: eacc5: goto F9cd3; F58e6: } public function newFtpUser(Request $request) : Response { goto b8d7c; Cdd7e: ace31: goto A5b3a; b8505: $form->handleRequest($request); goto Cd8f0; Cd8f0: if (!(true === $form->isSubmitted())) { goto D4d97; } goto F96ef; Cdfd6: D4d97: goto Cdd7e; A223b: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\145\163")); goto b5ba3; c6946: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E580f; F96ef: $response = $this->handleFtpUserForm($request, $form, $site); goto caaa9; C0db8: if (false === is_null($site)) { goto Bc120; } goto A223b; b8d7c: $site = $this->getSite($request); goto C0db8; F65ff: f9b9a: goto C3e4e; E580f: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto Ef4b9; Fadc9: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto ace31; } goto b8505; B1883: Bc120: goto c6946; e7583: $form = $this->createFtpUserForm($ftpUserEntity); goto Fadc9; A5b3a: $response = $this->render("\106\x72\157\x6e\x74\x65\156\144\x2f\123\x69\164\145\57\156\x65\x77\x2d\x66\164\160\x2d\x75\163\x65\162\56\150\x74\x6d\154\56\164\x77\x69\x67", ["\163\151\x74\145" => $site, "\x66\157\162\x6d" => $form->createView(), "\x66\x6f\x72\x6d\x45\162\x72\157\162\163" => $this->formErrors]); goto F65ff; C3e4e: return $response; goto F42d2; Ef4b9: $ftpUserEntity->setSite($siteEntity); goto e7583; C7f00: return $response; goto F472a; caaa9: if (!(false === is_null($response))) { goto F3f0f; } goto C7f00; b5ba3: goto f9b9a; goto B1883; F472a: F3f0f: goto Cdfd6; F42d2: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto d7ce5; d7ce5: $siteEntity = $ftpUserEntity->getSite(); goto b68e5; b68e5: $form = $this->createForm("\101\x70\x70\x5c\106\157\162\x6d\134\x53\x69\164\145\x46\164\160\x55\163\145\x72\x54\171\x70\145", $ftpUserEntity, ["\x61\x63\x74\x69\157\156" => $this->generateUrl("\143\x6c\160\137\x73\x69\164\145\x5f\x66\164\160\137\x75\x73\x65\x72\x5f\156\x65\x77", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\145\164\x68\157\x64" => "\x50\x4f\x53\124", "\141\164\x74\162" => []]); goto C6e58; A6059: return $form; goto eca48; C6e58: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\x61\164\x74\162" => ["\143\154\x61\163\163" => "\x62\x74\156\x20\x62\x74\156\x2d\x62\154\165\145\40\x62\164\x6e\55\x6c\x67"], "\154\141\x62\x65\x6c" => "\x41\144\x64\40\125\163\145\162"]); goto A6059; eca48: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto F26ad; F16ce: goto a6fcf; goto A4de8; cf822: try { goto ef638; fb62f: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\163", $this->translator->trans("\x55\x73\145\x72\x20\150\141\163\40\x62\145\x65\x6e\40\141\x64\x64\145\144\x2e")); goto A2d84; fee70: $siteEntity = $this->getSiteEntity($domainName); goto F5b58; Ab312: eeb60: goto bb605; A2d84: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\x5f\165\163\145\x72\x73", ["\144\157\x6d\141\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto Afdc2; Cf482: $domainName = $site->getDomainName(); goto fee70; a402c: $this->siteEntityManager->updateEntity($siteEntity); goto D3e6b; B8bae: $ftpUserPassword = $form->get("\x70\x61\163\163\167\157\x72\144")->getData(); goto A3adf; D3e6b: $siteUpdater = $this->getSiteUpdater($site); goto A01f1; d3845: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\x73")); goto B0a82; Afdc2: ffc68: goto A88b1; B9430: $ftpUserEntity = $form->getData(); goto B019a; Cefe2: $eventData = ["\163\151\164\145" => $domainName, "\x75\163\x65\162\x4e\141\155\145" => $ftpUserName, "\x68\157\x6d\x65\104\151\162\145\x63\164\157\162\171" => $ftpUserEntity->getHomeDirectory()]; goto Cf4a0; Cf4a0: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto fb62f; B0a82: goto ffc68; goto Ab312; F5b58: if (false === is_null($siteEntity)) { goto eeb60; } goto d3845; bb605: $user = $this->getUser(); goto B9430; cb708: $siteEntity->addFtpUser($ftpUserEntity); goto a402c; A88b1: return $response; goto bb378; A01f1: $siteUpdater->createFtpUser($ftpUserEntity); goto Cefe2; ef638: $session = $request->getSession(); goto Cf482; A3adf: $ftpUserEntity->setPassword($ftpUserPassword); goto cb708; B019a: $ftpUserName = $ftpUserEntity->getUserName(); goto B8bae; bb378: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\x6f\162\40\150\141\x73\x20\x6f\x63\143\x75\162\162\145\144\54\40\x65\162\x72\x6f\x72\40\x6d\x65\x73\x73\141\x67\x65\x3a\x20\45\145\162\x72\x6f\162\115\x65\x73\x73\141\147\145\x25", ["\x25\145\x72\x72\157\162\115\145\163\163\141\x67\145\45" => $e->getMessage()])); } goto fa3ea; fa3ea: a6fcf: goto f0959; e48ea: $this->formErrors = $this->getErrorMessages($form); goto F16ce; F26ad: if (true === $form->isValid()) { goto Ed00c; } goto e48ea; A4de8: Ed00c: goto cf822; f0959: } public function editFtpUser(Request $request) : Response { goto f8710; A2fbb: $form = $this->createFtpUserEditForm($ftpUserEntity); goto Bf572; f8710: $userName = $request->get("\165\x73\x65\162\116\141\x6d\x65"); goto Eb9a9; Bae95: $response = $this->render("\106\162\157\156\164\145\x6e\144\x2f\x53\x69\x74\x65\57\x65\144\151\164\55\146\x74\x70\x2d\x75\163\145\x72\x2e\x68\164\155\x6c\56\x74\167\x69\147", ["\163\x69\x74\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\x66\x6f\162\x6d\x45\162\x72\157\x72\x73" => $this->formErrors]); goto Fdcf4; e0bc2: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\x73")); goto D4156; ca7b1: cd3f5: goto a4856; d57d6: return $response; goto f7826; Bab58: if (!(false === is_null($response))) { goto cd3f5; } goto aca6b; D4156: goto B2c9c; goto a37f4; fa23e: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto daf51; } goto e0bc2; a37f4: daf51: goto A2fbb; a5eb9: if (!(true === $form->isSubmitted())) { goto e60eb; } goto ddfe5; c05ab: dd8d0: goto Bae95; Fdcf4: B2c9c: goto d57d6; ddfe5: $response = $this->handleFtpUserEditForm($request, $form, $site); goto Bab58; e1677: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto fa23e; a4856: e60eb: goto c05ab; Bf572: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto dd8d0; } goto Ae6b3; aca6b: return $response; goto ca7b1; Ae6b3: $form->handleRequest($request); goto a5eb9; Eb9a9: $site = $this->getSite($request); goto e1677; f7826: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto A34d5; d1034: $form->add("\x73\165\x62\155\151\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\x6c\141\x73\x73" => "\x62\164\x6e\40\x62\x74\x6e\55\x62\154\165\x65\40\142\x74\x6e\55\154\147"], "\x6c\141\x62\145\x6c" => "\123\141\x76\145"]); goto bc181; A81ab: $form = $this->createForm("\101\160\160\x5c\106\x6f\x72\x6d\134\123\151\164\145\106\x74\160\x55\163\x65\162\x45\144\x69\164\x54\x79\160\x65", $ftpUserEntity, ["\141\143\164\x69\157\156" => $this->generateUrl("\143\x6c\160\x5f\163\151\164\145\137\x66\164\x70\137\165\163\145\x72\137\x65\x64\151\164", ["\x64\157\x6d\x61\151\156\116\141\155\x65" => $siteEntity->getDomainName(), "\165\163\x65\162\116\x61\155\x65" => $ftpUserEntity->getUserName()]), "\155\x65\x74\150\x6f\x64" => "\x50\117\123\x54", "\x61\164\x74\162" => []]); goto d1034; A34d5: $siteEntity = $ftpUserEntity->getSite(); goto A81ab; bc181: return $form; goto Eb43b; Eb43b: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto Ca1aa; da221: F905e: goto f92ed; f92ed: try { goto b9923; a9662: Ad4c7: goto f7123; f7123: $user = $this->getUser(); goto a5d7f; f28fa: return $response; goto c071f; E39e4: $siteEntity = $this->getSiteEntity($domainName); goto D3691; Ec675: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto Bfa9d; a5d7f: $ftpUserEntity = $form->getData(); goto D6f25; Ac448: $this->siteEntityManager->updateEntity($siteEntity); goto Ad8a4; D0ee5: if (!(false === empty($ftpUserPassword))) { goto a865b; } goto e55d4; D3691: if (false === is_null($siteEntity)) { goto Ad4c7; } goto Acd03; Acd03: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\x65\163")); goto A6f12; aaa26: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto D0ee5; b9923: $session = $request->getSession(); goto cbeef; Bb54b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\145\137\165\x73\145\162\163", ["\144\x6f\x6d\141\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto ecf9d; e55d4: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto F6df4; Ad8a4: $siteUpdater = $this->getSiteUpdater($site); goto aaa26; f3f21: $eventData = ["\x73\151\x74\145" => $domainName, "\165\163\145\x72\x4e\141\155\145" => $ftpUserName, "\x68\x6f\x6d\x65\104\x69\x72\x65\x63\164\157\162\171" => $ftpUserHomeDirectory]; goto Ec675; b2d15: $ftpUserPassword = $form->get("\x70\141\163\163\167\157\162\x64")->getData(); goto Fe43f; A6f12: goto F8732; goto a9662; cbeef: $domainName = $site->getDomainName(); goto E39e4; D6f25: $ftpUserName = $ftpUserEntity->getUserName(); goto b2d15; Fe43f: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto Ac448; Bfa9d: $session->getFlashBag()->set("\x73\165\x63\143\145\163\163", $this->translator->trans("\x55\163\145\162\40\150\141\163\40\142\145\x65\156\40\x73\x61\166\x65\144\56")); goto Bb54b; ecf9d: F8732: goto f28fa; F6df4: a865b: goto f3f21; c071f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\156\40\x65\162\162\157\162\40\150\141\x73\x20\x6f\143\143\x75\162\162\145\x64\x2c\x20\145\162\162\x6f\x72\x20\155\x65\x73\x73\x61\x67\x65\72\x20\x25\x65\162\162\157\162\115\145\x73\163\x61\147\145\45", ["\45\x65\x72\162\x6f\x72\115\x65\163\163\141\x67\x65\45" => $e->getMessage()])); } goto b9789; Ca1aa: if (true === $form->isValid()) { goto F905e; } goto d52aa; d52aa: $this->formErrors = $this->getErrorMessages($form); goto Dd6fc; b9789: bcdfe: goto A0cf1; Dd6fc: goto bcdfe; goto da221; A0cf1: } public function deleteFtpUser(Request $request) : Response { goto D5476; D5476: $site = $this->getSite($request); goto C317c; Bfbcc: try { goto e65e3; a5246: e5a96: goto B910d; e65e3: $session = $request->getSession(); goto a4c4c; a0e04: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\x5f\165\x73\145\162\x73", ["\x64\157\x6d\141\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto b3166; Fef42: $this->siteEntityManager->updateEntity($siteEntity); goto F05ed; e2717: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto adf6d; } goto E8d13; c4581: $siteUpdater->deleteUser($userName, false); goto cdc5e; Db600: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto c4352; A81a5: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto e5a96; } goto Ca2b7; fb15f: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto A81a5; Fa906: $siteEntity = $this->getSiteEntity($domainName); goto fb15f; F05ed: $siteUpdater = $this->getSiteUpdater($site); goto c4581; Ce6d9: $userName = $ftpUserEntity->getUserName(); goto de2c9; cdc5e: $evenData = ["\163\151\x74\x65" => $domainName, "\165\163\145\162\116\x61\x6d\x65" => $userName]; goto Db600; c4352: $session->getFlashBag()->set("\163\165\143\143\145\x73\163", $this->translator->trans("\x55\x73\x65\162\40\150\141\163\40\x62\145\x65\x6e\40\144\145\154\x65\x74\x65\144\x2e")); goto a0e04; de2c9: $siteEntity->removeFtpUser($ftpUserEntity); goto Fef42; E8d13: $user = $this->getUser(); goto Ce6d9; Ca2b7: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto e2717; b3166: return $response; goto c28f1; a4c4c: $userName = $request->get("\x75\163\x65\162\116\141\x6d\x65"); goto b8ee6; c28f1: adf6d: goto a5246; b8ee6: $domainName = $site->getDomainName(); goto Fa906; B910d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\156\x20\x65\162\162\157\162\x20\150\141\163\x20\157\x63\143\165\x72\x72\145\144\x2c\40\145\162\162\157\x72\x20\155\145\x73\x73\141\147\x65\72\x20\x25\145\162\162\x6f\162\x4d\145\163\x73\x61\147\145\45", ["\x25\x65\x72\162\157\x72\115\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto c8833; edea6: if (!(false === is_null($site))) { goto Dcea1; } goto Bfbcc; c8833: Dcea1: goto A2957; C317c: $this->checkCsrfToken($request, "\165\x73\x65\162\x2d\144\145\154\145\x74\145"); goto edea6; A2957: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\x74\145\163")); goto dca4c; dca4c: return $response; goto b9280; b9280: } public function newSshUser(Request $request) : Response { goto c22e5; c3e03: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto D0067; } goto Bf595; a9ea7: $sshUserEntity->setSite($siteEntity); goto A42c2; Ebcb7: return $response; goto C3ee1; dee3b: goto E8bc5; goto a3385; a3e47: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\163")); goto dee3b; Bf595: $form->handleRequest($request); goto F1cd4; f1c2c: if (false === is_null($site)) { goto c2f20; } goto a3e47; A42c2: $form = $this->createSshUserForm($sshUserEntity); goto c3e03; c22e5: $site = $this->getSite($request); goto f1c2c; Fd7f5: E8bc5: goto fe9c5; b3b61: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto a9ea7; dd302: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b3b61; A1194: a1ba0: goto de224; de7d7: $response = $this->render("\x46\x72\x6f\x6e\x74\x65\x6e\144\57\x53\151\x74\x65\57\x6e\x65\x77\55\163\x73\150\55\165\x73\145\x72\x2e\150\x74\x6d\154\x2e\x74\167\151\x67", ["\163\151\x74\145" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\146\157\162\x6d\x45\x72\x72\157\162\x73" => $this->formErrors]); goto Fd7f5; Dcb6e: $response = $this->handleSshUserForm($request, $form, $site); goto a9671; de224: D0067: goto de7d7; fe9c5: return $response; goto Dbf15; a9671: if (!(false === is_null($response))) { goto a0721; } goto Ebcb7; F1cd4: if (!(true === $form->isSubmitted())) { goto a1ba0; } goto Dcb6e; a3385: c2f20: goto dd302; C3ee1: a0721: goto A1194; Dbf15: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto c1f9d; c1f9d: $siteEntity = $sshUserEntity->getSite(); goto efdeb; efdeb: $form = $this->createForm("\101\160\160\x5c\x46\x6f\x72\x6d\x5c\x53\x69\x74\x65\x53\x73\x68\x55\x73\145\x72\x54\x79\x70\x65", $sshUserEntity, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\163\x69\164\145\137\x73\x73\150\137\x75\x73\145\162\137\156\145\x77", ["\x64\x6f\155\x61\151\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\x6f\144" => "\120\x4f\123\124", "\x61\x74\x74\162" => []]); goto e6dc0; F6ccb: return $form; goto A2329; e6dc0: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\x6c\141\x73\x73" => "\142\x74\156\x20\x62\x74\156\x2d\x62\154\x75\x65\x20\x62\164\x6e\55\x6c\147"], "\154\141\x62\x65\x6c" => "\x41\x64\144\40\x55\x73\x65\x72"]); goto F6ccb; A2329: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto e416e; e416e: if (true === $form->isValid()) { goto c82bb; } goto fa87f; ae2e2: fae19: goto B74cc; B06f7: c82bb: goto Eb529; fa87f: $this->formErrors = $this->getErrorMessages($form); goto B913f; Eb529: try { goto b3ffc; ae336: $siteUpdater = $this->getSiteUpdater($site); goto ecbb3; E1f1a: $eventData = ["\163\151\164\145" => $domainName, "\165\163\145\162\116\x61\x6d\145" => $sshUserName, "\x73\x73\150\113\145\x79\x73" => $sshKeys]; goto Dacb4; Ad358: $this->siteEntityManager->updateEntity($siteEntity); goto ae336; Afa93: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\145\137\x75\163\x65\x72\163", ["\x64\157\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto e30cd; e90f0: return $response; goto c9785; e30cd: A8a91: goto e90f0; b3ffc: $session = $request->getSession(); goto cabe4; b2b71: if (false === is_null($siteEntity)) { goto E257a; } goto F4b56; a57c6: $sshKeys = $sshUserEntity->getSshKeys(); goto c0155; Dacb4: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto ab906; c0155: $siteEntity->addSshUser($sshUserEntity); goto Ad358; d7567: E257a: goto Bfeff; cabe4: $domainName = $site->getDomainName(); goto a9576; Cb420: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto Cfd26; A375c: $sshUserPassword = $form->get("\160\x61\163\163\x77\157\x72\144")->getData(); goto C94c4; a654e: $sshUserEntity = $form->getData(); goto A3a02; A3a02: $sshUserName = $sshUserEntity->getUserName(); goto A375c; ecbb3: $siteUpdater->createSshUser($sshUserEntity); goto Ebc52; F4b56: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\x73")); goto F7e60; Ebc52: if (!(false === empty($sshKeys))) { goto C42b5; } goto Cb420; Bfeff: $user = $this->getUser(); goto a654e; Cfd26: C42b5: goto E1f1a; C94c4: $sshUserEntity->setPassword($sshUserPassword); goto a57c6; F7e60: goto A8a91; goto d7567; ab906: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\163", $this->translator->trans("\x55\x73\145\x72\x20\150\x61\163\40\x62\145\x65\x6e\x20\141\144\144\x65\x64\x2e")); goto Afa93; a9576: $siteEntity = $this->getSiteEntity($domainName); goto b2b71; c9785: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\x41\156\40\x65\x72\x72\157\x72\40\x68\x61\x73\40\157\143\143\x75\x72\x72\145\x64\54\x20\x65\162\x72\x6f\162\x20\x6d\145\163\x73\141\147\145\x3a\40\x25\x65\x72\x72\157\x72\115\145\163\x73\141\x67\x65\x25", ["\45\145\162\x72\x6f\x72\115\x65\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto ae2e2; B913f: goto fae19; goto B06f7; B74cc: } public function editSshUser(Request $request) : Response { goto A93b9; f8e2d: return $response; goto E5eed; ca8bc: goto e002b; goto e190b; Dd6c5: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto F2459; } goto f3ed8; A93b9: $userName = $request->get("\165\x73\145\162\116\141\x6d\145"); goto Efd2a; e190b: F2459: goto d4240; A1373: e002b: goto f8e2d; ea208: if (!(true === $form->isSubmitted())) { goto Aa6cc; } goto e9ad7; c4a13: b99db: goto Ef3ab; Ee661: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto b99db; } goto a91ee; A6d1c: Aa6cc: goto c4a13; Ef3ab: $response = $this->render("\x46\x72\x6f\156\164\145\x6e\144\57\123\x69\164\145\x2f\145\x64\x69\x74\x2d\163\163\x68\x2d\165\x73\x65\x72\x2e\x68\x74\155\x6c\x2e\x74\167\x69\147", ["\x73\x69\x74\145" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\146\x6f\162\x6d\105\x72\162\x6f\x72\163" => $this->formErrors]); goto A1373; d4240: $form = $this->createSshUserEditForm($sshUserEntity); goto Ee661; b23c9: dd385: goto A6d1c; Efd2a: $site = $this->getSite($request); goto fb82a; e51df: if (!(false === is_null($response))) { goto dd385; } goto A851a; a91ee: $form->handleRequest($request); goto ea208; A851a: return $response; goto b23c9; f3ed8: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\145\x73")); goto ca8bc; e9ad7: $response = $this->handleSshUserEditForm($request, $form, $site); goto e51df; fb82a: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto Dd6c5; E5eed: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto ffef4; E09bb: $form = $this->createForm("\x41\x70\160\134\106\157\x72\155\134\x53\151\x74\145\x53\x73\150\125\163\145\162\x45\144\x69\164\x54\x79\160\x65", $sshUserEntity, ["\x61\x63\x74\x69\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\163\x69\x74\x65\x5f\x73\x73\150\x5f\165\x73\145\x72\x5f\145\x64\x69\x74", ["\x64\157\x6d\141\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName(), "\165\163\x65\162\116\141\155\145" => $sshUserEntity->getUserName()]), "\155\145\x74\x68\157\144" => "\x50\x4f\123\x54", "\x61\x74\x74\162" => []]); goto Ad03c; ffef4: $siteEntity = $sshUserEntity->getSite(); goto E09bb; Ad03c: $form->add("\163\165\142\155\151\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\163" => "\x62\164\156\40\x62\164\x6e\x2d\142\154\165\x65\x20\142\164\x6e\x2d\x6c\x67"], "\154\141\x62\x65\x6c" => "\123\141\x76\x65"]); goto d8db2; d8db2: return $form; goto ad4bf; ad4bf: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto c6f09; c6f09: if (true === $form->isValid()) { goto De1f4; } goto Ee876; D4ec6: goto a9951; goto A8850; B770e: a9951: goto C23bf; Ee876: $this->formErrors = $this->getErrorMessages($form); goto D4ec6; ff9dc: try { goto C371f; e7b49: $siteEntity = $this->getSiteEntity($domainName); goto Ea38d; Eda8a: goto D90af; goto E03e7; D0617: $user = $this->getUser(); goto f6fba; d840a: $domainName = $site->getDomainName(); goto e7b49; Fdfc9: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto e4b68; E03e7: D4989: goto D0617; f3f36: if (!(false === empty($sshUserPassword))) { goto F33da; } goto B9b44; b1f14: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto c6fe6; D9554: D90af: goto a0dde; Efb9b: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\x55\163\145\x72\40\x68\141\x73\x20\142\x65\x65\156\x20\163\x61\x76\x65\x64\56")); goto C6e0a; e8050: F33da: goto Fdfc9; f45fa: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto Efb9b; f6fba: $sshUserEntity = $form->getData(); goto ef301; e4b68: $eventData = ["\x73\151\164\145" => $domainName, "\x75\x73\145\x72\116\x61\x6d\145" => $sshUserName, "\163\163\150\113\x65\171\163" => $sshKeys]; goto f45fa; a0dde: return $response; goto Ed15d; fa31d: $sshUserPassword = $form->get("\160\141\x73\x73\x77\x6f\162\144")->getData(); goto b1f14; B99e2: $siteUpdater = $this->getSiteUpdater($site); goto f3f36; B9b44: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto e8050; C6e0a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\137\x75\163\x65\162\163", ["\144\x6f\x6d\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto D9554; Ea38d: if (false === is_null($siteEntity)) { goto D4989; } goto C9cdb; C9cdb: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\x65\163")); goto Eda8a; C371f: $session = $request->getSession(); goto d840a; ef301: $sshUserName = $sshUserEntity->getUserName(); goto fa31d; c6fe6: $this->siteEntityManager->updateEntity($siteEntity); goto B99e2; Ed15d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x41\156\40\145\162\x72\157\x72\40\150\141\x73\x20\x6f\x63\143\x75\x72\162\x65\144\x2c\x20\x65\x72\162\157\x72\40\155\145\x73\163\x61\x67\145\72\x20\x25\145\x72\162\x6f\x72\x4d\145\163\x73\x61\x67\x65\45", ["\45\145\162\162\157\x72\x4d\145\163\163\x61\147\145\45" => $e->getMessage()])); } goto B770e; A8850: De1f4: goto ff9dc; C23bf: } public function deleteSshUser(Request $request) : Response { goto B8900; B8900: $site = $this->getSite($request); goto d630b; c07b9: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\145\163")); goto Ad341; d630b: $this->checkCsrfToken($request, "\x75\163\145\x72\x2d\144\145\x6c\x65\164\x65"); goto bc3f0; A6a17: Eb434: goto c07b9; Ad341: return $response; goto cab02; A0251: try { goto f45de; f06bf: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto A3eba; c3768: $siteUpdater->deleteUser($userName, true); goto Ad7d2; bc9b7: $this->siteEntityManager->updateEntity($siteEntity); goto Fbd92; B9d7f: F6bb9: goto ae614; fb6e2: $domainName = $site->getDomainName(); goto a8e31; ae614: Fe16a: goto b5fc0; dd753: $userName = $sshUserEntity->getUserName(); goto Ee7b5; Ad7d2: $evenData = ["\x73\x69\164\x65" => $domainName, "\x75\x73\x65\162\x4e\141\155\x65" => $userName]; goto aa894; ae8df: $sshUserSiteEntity = $sshUserEntity->getSite(); goto E127d; Ee7b5: $siteEntity->removeSshUser($sshUserEntity); goto bc9b7; cf1ba: $userName = $request->get("\x75\163\x65\x72\116\x61\155\145"); goto fb6e2; Cae60: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\145\137\165\163\x65\x72\163", ["\x64\157\x6d\141\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto ab24b; c68d5: $user = $this->getUser(); goto dd753; A3eba: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto Fe16a; } goto ae8df; E127d: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto F6bb9; } goto c68d5; f45de: $session = $request->getSession(); goto cf1ba; a8e31: $siteEntity = $this->getSiteEntity($domainName); goto f06bf; Faaec: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\125\163\145\162\x20\x68\141\x73\x20\x62\x65\x65\x6e\40\x64\x65\x6c\x65\164\145\x64\56")); goto Cae60; aa894: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto Faaec; Fbd92: $siteUpdater = $this->getSiteUpdater($site); goto c3768; ab24b: return $response; goto B9d7f; b5fc0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\157\162\x20\x68\141\x73\40\157\143\x63\x75\162\162\145\x64\x2c\40\x65\x72\162\157\x72\x20\155\145\163\163\x61\147\145\x3a\x20\45\145\162\162\157\162\115\145\163\163\x61\x67\145\45", ["\x25\145\162\x72\157\162\x4d\145\163\x73\141\x67\145\45" => $e->getMessage()])); } goto A6a17; bc3f0: if (!(false === is_null($site))) { goto Eb434; } goto A0251; cab02: } public function security(Request $request) : Response { goto Af902; Af902: $site = $this->getSite($request); goto e8fc4; F251e: $basicAuthEntity->setSite($siteEntity); goto a6573; f2740: if (!(true === $basicAuthForm->isSubmitted())) { goto B8daf; } goto Fbb61; E1f6c: $response = $this->render("\106\162\157\156\x74\145\x6e\x64\x2f\x53\151\x74\x65\57\x73\x65\143\165\x72\x69\164\171\x2e\150\x74\155\x6c\x2e\x74\x77\151\147", ["\163\151\164\145" => $site, "\x62\154\x6f\x63\x6b\x65\x64\111\x70\163" => $blockedIps, "\x62\154\x6f\143\153\x65\144\x42\157\x74\163" => $blockedBots, "\x62\x61\x73\151\143\101\165\x74\150\106\x6f\162\155" => $basicAuthForm->createView(), "\143\x6c\x6f\x75\x64\146\154\x61\162\x65\x46\x6f\162\155" => $cloudflareForm->createView(), "\x66\157\162\x6d\105\162\x72\157\x72\x73" => $this->formErrors]); goto De247; F8983: return $response; goto F75ab; F52d8: A4985: goto Df19f; Ea94d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto c13cf; e8fc4: if (false === is_null($site)) { goto B59bb; } goto c9089; d66b7: $basicAuthForm->handleRequest($request); goto Bdeea; E7664: return $response; goto b82e7; C1e45: if (!(false === is_null($response))) { goto Daf52; } goto Dfb17; a8f08: if (!(true === is_null($basicAuthEntity))) { goto Cb4ac; } goto Ea0e3; d6b9b: Daf52: goto ade68; c13cf: $cloudflareData = ["\141\x6c\x6c\x6f\167\x54\162\x61\x66\x66\x69\143\106\x72\157\x6d\x43\154\157\165\144\x66\x6c\x61\x72\x65\x4f\x6e\154\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto b01fa; d67da: $blockedIps = $site->getBlockedIps(); goto Ef745; F75ab: B924c: goto F52d8; fb395: if (!(false === is_null($response))) { goto B924c; } goto F8983; De247: fc287: goto E7664; Bdeea: $cloudflareForm->handleRequest($request); goto f2740; B2657: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto fb395; Fbb61: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto C1e45; Ef745: $basicAuthEntity = $site->getBasicAuth(); goto a8f08; b348c: Cb4ac: goto F251e; D3805: goto fc287; goto B3288; B3288: B59bb: goto Ea94d; a6573: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto B1318; b01fa: $blockedBots = $site->getBlockedBots(); goto d67da; a52aa: if (!(true === $request->isMethod("\120\117\123\124"))) { goto A15b5; } goto d66b7; Df19f: A15b5: goto E1f6c; Dfb17: return $response; goto d6b9b; Ea0e3: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto b348c; c9089: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\x65\x73")); goto D3805; B1318: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto a52aa; Eca8b: if (!(true === $cloudflareForm->isSubmitted())) { goto A4985; } goto B2657; ade68: B8daf: goto Eca8b; b82e7: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto B6bec; B6bec: $form = $this->createForm("\101\x70\x70\134\106\x6f\x72\x6d\x5c\123\x69\164\145\x43\x6c\157\x75\x64\146\x6c\141\x72\x65\x54\171\x70\145", $data, ["\x61\143\164\x69\157\x6e" => $this->generateUrl("\143\154\160\137\x73\x69\164\x65\137\x73\145\x63\165\162\x69\x74\171", ["\x64\157\x6d\x61\x69\156\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\x50\117\123\124", "\x61\164\164\x72" => []]); goto d6dc4; Da294: return $form; goto De39c; d6dc4: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\x61\x73\163" => "\x62\164\x6e\40\142\x74\156\55\x62\154\165\x65\x20\142\x74\156\55\x6c\x67"], "\154\141\x62\x65\154" => "\123\141\x76\x65"]); goto Da294; De39c: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto ff227; d20e4: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\141\163\x73" => "\142\164\156\x20\x62\x74\x6e\55\142\154\165\145\x20\x62\x74\156\x2d\154\x67"], "\154\141\142\145\x6c" => "\x53\x61\166\145"]); goto E3d2c; ff227: $siteEntity = $basicAuthEntity->getSite(); goto aad04; aad04: $form = $this->createForm("\x41\160\x70\x5c\x46\157\162\x6d\x5c\x53\151\x74\x65\x42\141\x73\151\x63\101\165\x74\x68\x54\171\160\145", $basicAuthEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\x63\x6c\160\x5f\x73\151\164\145\137\163\145\143\165\x72\x69\164\x79", ["\144\157\x6d\141\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\150\157\x64" => "\120\x4f\123\124", "\x61\164\x74\162" => []]); goto d20e4; E3d2c: return $form; goto abff7; abff7: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto e3ccb; C7cc8: goto Bab4b; goto d96ec; e3ccb: if (true === $form->isValid()) { goto d94a2; } goto Df9f4; Af53f: try { goto efdab; D4612: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\163")); goto F58fe; E1294: $this->siteEntityManager->updateEntity($siteEntity); goto D61eb; F58fe: goto eac1d; goto b9048; de300: if (false === is_null($siteEntity)) { goto af3f7; } goto D4612; efdab: $session = $request->getSession(); goto F01b2; Ab42b: return $response; goto a251c; F01b2: $domainName = $site->getDomainName(); goto Cf948; da13c: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto Cb121; A13d9: $user = $this->getUser(); goto a1cd6; B2d59: $siteEntity->setBasicAuth($basicAuthEntity); goto Bbf67; a1cd6: $basicAuthEntity = $form->getData(); goto B2d59; b80b0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\137\163\x65\143\x75\x72\151\x74\171", ["\x64\x6f\x6d\141\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto f91ea; Bbf67: $site->setBasicAuth($basicAuthEntity); goto E1294; f91ea: eac1d: goto Ab42b; C0f19: $siteUpdater->updateNginxVhost(); goto e27c7; Cb121: $session->getFlashBag()->set("\163\x75\x63\143\x65\163\x73", $this->translator->trans("\x42\141\x73\151\x63\x20\x41\x75\x74\150\145\156\164\151\143\x61\164\151\x6f\x6e\x20\x73\x65\x74\164\151\156\x67\163\x20\x68\x61\x76\145\x20\142\145\x65\x6e\40\163\x61\x76\145\144\56")); goto b80b0; b9048: af3f7: goto A13d9; Cbb28: $eventData = ["\x73\151\164\x65" => $domainName, "\x61\x63\164\x69\166\x65" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\x30", "\165\163\145\162\116\x61\155\x65" => $basicAuthEntity->getUserName(), "\167\x68\151\164\145\154\x69\x73\x74\x65\x64\x49\160\x73" => $basicAuthEntity->getWhitelistedIps()]; goto da13c; c7ab7: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto C0f19; D61eb: $siteUpdater = $this->getSiteUpdater($site); goto c7ab7; e27c7: $siteUpdater->reloadNginxService(); goto Cbb28; Cf948: $siteEntity = $this->getSiteEntity($domainName); goto de300; a251c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\x41\156\40\x65\162\x72\157\162\40\x68\141\163\x20\x6f\143\143\165\x72\162\x65\144\x2c\40\x65\x72\162\x6f\x72\x20\x6d\145\163\x73\141\x67\x65\x3a\x20\45\x65\x72\162\157\x72\115\x65\163\163\141\147\x65\x25", ["\x25\145\162\x72\157\162\x4d\x65\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto A5987; d96ec: d94a2: goto Af53f; A5987: Bab4b: goto e762b; Df9f4: $this->formErrors = $this->getErrorMessages($form); goto C7cc8; e762b: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto b80ec; Fdeb0: $this->formErrors = $this->getErrorMessages($form); goto Fff21; C805b: a4aa0: goto de1ce; b80ec: if (true === $form->isValid()) { goto Bdd81; } goto Fdeb0; a1f98: try { goto e87cf; F45fc: $eventData = ["\163\x69\164\145" => $domainName, "\141\154\x6c\157\x77\x54\x72\x61\146\146\151\x63\x46\x72\157\x6d\103\154\157\x75\x64\146\154\x61\x72\x65\117\x6e\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\61" : "\60"]; goto cb71c; Bccd6: $siteUpdater->reloadNginxService(); goto F45fc; e87cf: $session = $request->getSession(); goto b9d04; c3389: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto c5c84; dd3a9: $siteEntity = $this->getSiteEntity($domainName); goto Bcb5e; fe732: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\137\163\x65\143\165\x72\x69\164\x79", ["\144\x6f\155\x61\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto e0c95; a6bc5: $siteUpdater = $this->getSiteUpdater($site); goto Add6b; Add6b: $siteUpdater->updateNginxVhost(); goto Bccd6; d026e: $allowTrafficFromCloudflareOnly = $form->get("\x61\x6c\154\157\167\124\162\x61\x66\146\151\x63\x46\162\157\155\x43\154\x6f\165\x64\x66\154\x61\x72\145\x4f\156\x6c\x79")->getData(); goto c0d32; b9d04: $domainName = $site->getDomainName(); goto dd3a9; Fc76a: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\103\x6c\x6f\165\144\x66\x6c\141\x72\x65\40\163\145\164\164\x69\156\x67\x73\40\x68\141\x76\x65\40\x62\145\145\x6e\40\163\141\166\145\x64\x2e")); goto fe732; e0c95: Bab12: goto C413b; c0d32: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto c3389; e1582: A51c6: goto A6f68; A3427: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\163")); goto baf80; baf80: goto Bab12; goto e1582; c5c84: $this->siteEntityManager->updateEntity($siteEntity); goto a6bc5; C413b: return $response; goto C2eec; A6f68: $user = $this->getUser(); goto d026e; Bcb5e: if (false === is_null($siteEntity)) { goto A51c6; } goto A3427; cb71c: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto Fc76a; C2eec: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\101\156\40\145\162\x72\x6f\x72\40\150\x61\x73\40\157\143\143\x75\x72\x72\145\x64\x2c\40\145\x72\x72\x6f\162\40\x6d\x65\x73\163\141\147\145\x3a\40\x25\145\162\x72\x6f\x72\x4d\x65\163\163\x61\147\145\45", ["\45\145\x72\x72\157\x72\115\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto C805b; Fca8b: Bdd81: goto a1f98; Fff21: goto a4aa0; goto Fca8b; de1ce: } public function newBlockedIp(Request $request) : Response { goto cffa7; c39c3: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto B12ec; } goto D472e; Bfaad: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ee86b; d9abb: if (!(true === $form->isSubmitted())) { goto Bdfc9; } goto d85ee; E06e9: $form = $this->createBlockedIpForm($blockedIpEntity); goto c39c3; db0a3: B12ec: goto f878f; ee86b: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto Dae18; d77da: E54a2: goto dbb86; Ca948: if (false === is_null($site)) { goto e36b2; } goto Ca0d9; ed02c: return $response; goto a23ac; d8179: Bdfc9: goto db0a3; Dae18: $blockedIpEntity->setSite($siteEntity); goto E06e9; d5945: goto E54a2; goto C006f; dbb86: return $response; goto Cb646; d85ee: $response = $this->handleBlockedIpForm($request, $form, $site); goto D7158; D7158: if (!(false === is_null($response))) { goto C24c0; } goto ed02c; D472e: $form->handleRequest($request); goto d9abb; C006f: e36b2: goto Bfaad; a23ac: C24c0: goto d8179; cffa7: $site = $this->getSite($request); goto Ca948; f878f: $response = $this->render("\106\162\157\156\x74\x65\156\x64\57\x53\151\164\x65\x2f\x6e\145\x77\55\x62\x6c\157\x63\153\145\x64\55\151\x70\56\x68\164\155\154\56\x74\x77\151\x67", ["\163\x69\164\x65" => $site, "\146\157\162\x6d" => $form->createView(), "\x66\x6f\x72\155\105\162\x72\157\162\x73" => $this->formErrors]); goto d77da; Ca0d9: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\x74\145\x73")); goto d5945; Cb646: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto E74d4; B44bc: $form = $this->createForm("\x41\160\160\134\106\x6f\x72\155\x5c\123\151\164\145\102\154\x6f\x63\153\x65\x64\x49\120\124\x79\x70\145", $blockedIpEntity, ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\137\163\145\x63\165\x72\x69\x74\171\137\142\x6c\157\143\153\145\144\x5f\151\160\137\x6e\x65\167", ["\144\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\157\144" => "\x50\x4f\x53\x54", "\x61\164\x74\162" => []]); goto fb3da; D125a: return $form; goto D8f0a; E74d4: $siteEntity = $blockedIpEntity->getSite(); goto B44bc; fb3da: $form->add("\163\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\x63\x6c\x61\163\x73" => "\142\164\156\x20\x62\x74\156\55\142\154\x75\145\x20\x62\x74\156\55\x6c\147"], "\154\141\142\x65\154" => "\101\144\144\40\111\x50"]); goto D125a; D8f0a: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto D6d2e; c28c8: cb8df: goto d09aa; b0ac8: $this->formErrors = $this->getErrorMessages($form); goto Ea2db; D6d2e: if (true === $form->isValid()) { goto cb8df; } goto b0ac8; d09aa: try { goto A460b; c561e: if (false === is_null($siteEntity)) { goto Cf8c7; } goto A95fa; D66f5: $this->siteEntityManager->updateEntity($siteEntity); goto E3bd7; C12b8: goto A281e; goto f26fa; f26fa: Cf8c7: goto a635f; A321e: $siteEntity = $this->getSiteEntity($domainName); goto c561e; d7cab: $siteUpdater->reloadNginxService(); goto Ea3ec; F0889: A281e: goto edcaf; A12da: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto a5e87; Cc651: $siteEntity->addBlockedIp($blockedIp); goto D66f5; A95fa: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\x73")); goto C12b8; A460b: $session = $request->getSession(); goto A8c47; Ea3ec: $eventData = ["\163\x69\164\145" => $domainName, "\x69\160" => $blockedIp->getIp()]; goto A12da; edcaf: return $response; goto cda10; a5e87: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\111\x50\x20\x68\x61\x73\40\x62\x65\145\156\40\x61\x64\x64\x65\x64\56")); goto A0808; E9c14: $siteUpdater->updateNginxVhost(); goto d7cab; E3bd7: $siteUpdater = $this->getSiteUpdater($site); goto E9c14; A8c47: $domainName = $site->getDomainName(); goto A321e; c04b8: $blockedIp = $form->getData(); goto Cc651; A0808: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\x73\x65\143\165\x72\x69\164\x79", ["\144\x6f\x6d\x61\151\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto F0889; a635f: $user = $this->getUser(); goto c04b8; cda10: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\156\40\x65\162\162\x6f\162\40\x68\141\163\40\157\143\143\165\162\162\145\x64\54\x20\145\162\162\x6f\x72\x20\x6d\145\x73\163\141\147\x65\x3a\40\45\x65\x72\x72\x6f\x72\115\145\163\163\x61\x67\x65\45", ["\45\x65\x72\162\157\162\x4d\145\x73\x73\141\147\x65\x25" => $e->getMessage()])); } goto aecd1; Ea2db: goto ad8d0; goto c28c8; aecd1: ad8d0: goto f5869; f5869: } public function deleteBlockedIp(Request $request) : Response { goto bbae5; Be64b: $this->checkCsrfToken($request, "\151\x70\55\x64\x65\154\145\x74\x65"); goto Ec739; bbae5: $site = $this->getSite($request); goto Be64b; Ec739: if (!(false === is_null($site))) { goto C02fd; } goto F97cd; b4a75: C02fd: goto D6358; D6358: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\x74\x65\163")); goto af460; F97cd: try { goto c6b31; c85e0: $user = $this->getUser(); goto C4c4f; d5195: $siteUpdater->updateNginxVhost(); goto eccbb; C4c4f: $siteEntity->removeBlockedIp($blockedIpEntity); goto D82b7; F3069: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\x73", $this->translator->trans("\111\120\x20\x68\x61\x73\x20\142\x65\x65\156\40\144\x65\x6c\x65\x74\x65\144\56")); goto b46f5; f2b6a: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto F3069; eccbb: $siteUpdater->reloadNginxService(); goto Cb2b3; Cb2b3: $eventData = ["\x73\151\x74\x65" => $domainName, "\151\x70" => $blockedIpEntity->getIp()]; goto f2b6a; b46f5: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\x65\137\x73\x65\143\165\x72\151\164\x79", ["\144\157\155\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto eb9bf; eb9bf: return $response; goto cdebd; e05bd: $siteUpdater = $this->getSiteUpdater($site); goto d5195; E6b6e: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto a3258; cdebd: D9edf: goto Db3ac; c6b31: $session = $request->getSession(); goto A20ca; B14bb: $domainName = $site->getDomainName(); goto cbd0e; D82b7: $this->siteEntityManager->updateEntity($siteEntity); goto e05bd; cbd0e: $siteEntity = $this->getSiteEntity($domainName); goto E6b6e; a3258: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto D9edf; } goto c85e0; A20ca: $id = (int) $request->get("\151\x64"); goto B14bb; Db3ac: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\x41\156\x20\x65\162\162\157\x72\40\x68\x61\x73\x20\157\143\143\165\x72\x72\x65\x64\x2c\40\145\x72\162\x6f\x72\40\155\145\163\x73\141\x67\145\72\x20\45\145\x72\162\157\x72\x4d\x65\163\x73\x61\x67\145\45", ["\x25\x65\x72\x72\x6f\x72\115\x65\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto b4a75; af460: return $response; goto f144f; f144f: } public function newBlockedBot(Request $request) : Response { goto bcd29; f874f: a8af8: goto A6c30; A6c30: $response = $this->render("\106\x72\157\156\x74\145\156\144\57\x53\151\x74\x65\57\156\x65\x77\x2d\142\x6c\x6f\143\x6b\x65\x64\x2d\x62\x6f\164\56\x68\x74\x6d\154\56\164\167\x69\147", ["\163\151\x74\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\146\157\162\x6d\105\x72\x72\x6f\x72\163" => $this->formErrors]); goto ab88c; Ef3c6: return $response; goto Cbf66; bf465: if (!(false === is_null($response))) { goto f631a; } goto Bd9d8; A502f: $response = $this->handleBlockedBotForm($request, $form, $site); goto bf465; C6a1e: goto a6a4c; goto D4d19; F321e: if (!(true === $form->isSubmitted())) { goto Cc81b; } goto A502f; ab88c: a6a4c: goto Ef3c6; Ed3e7: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto ad3b1; D401c: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto a8af8; } goto E4cd1; D597e: if (false === is_null($site)) { goto fa6a0; } goto fc925; e0a37: $form = $this->createBlockedBotForm($blockedBotEntity); goto D401c; Bd9d8: return $response; goto f7e8f; D4d19: fa6a0: goto d52d9; f7e8f: f631a: goto Cb3b4; d52d9: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ed3e7; Cb3b4: Cc81b: goto f874f; ad3b1: $blockedBotEntity->setSite($siteEntity); goto e0a37; fc925: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\163")); goto C6a1e; bcd29: $site = $this->getSite($request); goto D597e; E4cd1: $form->handleRequest($request); goto F321e; Cbf66: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto D0d69; B446d: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\141\x73\x73" => "\x62\164\x6e\40\x62\x74\156\55\x62\154\x75\145\40\142\164\156\x2d\x6c\147"], "\154\141\x62\145\x6c" => "\x41\x64\144\x20\102\157\164"]); goto Af330; Af330: return $form; goto a7372; D0d69: $siteEntity = $blockedBotEntity->getSite(); goto Baad8; Baad8: $form = $this->createForm("\101\x70\160\x5c\106\x6f\x72\x6d\x5c\x53\151\164\x65\x42\x6c\157\143\153\x65\x64\x42\157\164\x54\171\160\x65", $blockedBotEntity, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x5f\x73\145\143\x75\162\x69\164\171\x5f\142\x6c\157\143\x6b\145\x64\x5f\142\x6f\164\137\156\145\167", ["\x64\157\155\141\x69\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\x68\x6f\x64" => "\120\x4f\x53\x54", "\x61\164\164\x72" => []]); goto B446d; a7372: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto Cae98; C07a0: a7981: goto ded6d; E792a: goto b215e; goto C07a0; ded6d: try { goto A128c; Ded73: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto e35e6; c22e7: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\137\x73\145\143\x75\x72\151\x74\x79", ["\x64\x6f\155\141\151\156\116\x61\155\145" => $site->getDomainName()])); goto Afc38; dce13: $blockedBot = $form->getData(); goto Eca5d; e35e6: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\x73", $this->translator->trans("\x42\x6f\x74\40\150\x61\x73\x20\x62\x65\x65\156\x20\141\144\x64\145\x64\x2e")); goto c22e7; B8247: if (false === is_null($siteEntity)) { goto D0cc2; } goto F5085; E4ede: $siteEntity = $this->getSiteEntity($domainName); goto B8247; C0936: $domainName = $site->getDomainName(); goto E4ede; F5085: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\x65\x73")); goto d27ea; Bcd90: $this->siteEntityManager->updateEntity($siteEntity); goto e6c65; B1c9a: $user = $this->getUser(); goto dce13; c452f: $siteUpdater->updateNginxVhost(); goto c96e4; d4bbf: return $response; goto Ee5e7; Afc38: d0b64: goto d4bbf; A128c: $session = $request->getSession(); goto C0936; d27ea: goto d0b64; goto ba0e1; e6c65: $siteUpdater = $this->getSiteUpdater($site); goto c452f; ba0e1: D0cc2: goto B1c9a; fada4: $eventData = ["\x73\x69\x74\145" => $domainName, "\x6e\x61\155\x65" => $blockedBot->getName()]; goto Ded73; Eca5d: $siteEntity->addBlockedBot($blockedBot); goto Bcd90; c96e4: $siteUpdater->reloadNginxService(); goto fada4; Ee5e7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\x41\156\40\145\162\162\x6f\162\40\150\x61\163\40\157\x63\143\x75\x72\162\x65\x64\x2c\x20\145\x72\162\157\x72\40\x6d\145\163\x73\x61\x67\145\x3a\x20\45\145\162\x72\x6f\x72\115\x65\163\x73\x61\x67\145\x25", ["\x25\x65\162\x72\x6f\x72\115\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto Ab934; Ab934: b215e: goto E217e; fb6c1: $this->formErrors = $this->getErrorMessages($form); goto E792a; Cae98: if (true === $form->isValid()) { goto a7981; } goto fb6c1; E217e: } public function deleteBlockedBot(Request $request) : Response { goto C0b02; f92d0: $this->checkCsrfToken($request, "\142\157\x74\x2d\144\145\x6c\145\164\x65"); goto C2dfc; ead36: e4825: goto abacc; C0b02: $site = $this->getSite($request); goto f92d0; C2dfc: if (!(false === is_null($site))) { goto e4825; } goto Ac29d; Ac29d: try { goto D2206; A400a: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\x65\137\163\x65\x63\x75\x72\151\x74\x79", ["\144\157\x6d\x61\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto a95b8; B45c0: fb7cb: goto e2da7; c3d4b: $siteUpdater->updateNginxVhost(); goto d8775; fc8dd: $user = $this->getUser(); goto Ce04a; Ce04a: $siteEntity->removeBlockedBot($blockedBotEntity); goto Ac47d; B378a: $id = (int) $request->get("\x69\144"); goto eac04; a95b8: return $response; goto B45c0; Cc1e6: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto F4b88; eac04: $domainName = $site->getDomainName(); goto f1ecc; bf30f: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto eb9da; f1ecc: $siteEntity = $this->getSiteEntity($domainName); goto Cc1e6; de471: $eventData = ["\x73\x69\164\x65" => $domainName, "\x6e\141\x6d\145" => $blockedBotEntity->getName()]; goto bf30f; F4b88: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto fb7cb; } goto fc8dd; D2206: $session = $request->getSession(); goto B378a; Ac47d: $this->siteEntityManager->updateEntity($siteEntity); goto ac54e; d8775: $siteUpdater->reloadNginxService(); goto de471; ac54e: $siteUpdater = $this->getSiteUpdater($site); goto c3d4b; eb9da: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\x73", $this->translator->trans("\102\157\x74\40\x68\x61\163\40\142\x65\145\x6e\40\x64\145\x6c\145\164\x65\x64\x2e")); goto A400a; e2da7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\x72\x72\x6f\x72\40\x68\141\163\x20\x6f\143\x63\x75\x72\x72\x65\x64\x2c\x20\x65\x72\162\157\162\x20\x6d\145\x73\x73\141\x67\x65\72\x20\45\x65\162\162\x6f\162\115\x65\163\163\141\147\145\x25", ["\45\145\x72\x72\157\x72\115\x65\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto ead36; ed61d: return $response; goto D85c8; abacc: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\163")); goto ed61d; D85c8: } public function certificates(Request $request) : Response { goto Aa4e4; ba358: $response = $this->render("\106\x72\157\x6e\x74\x65\x6e\144\x2f\123\x69\164\x65\57\143\x65\x72\x74\151\146\x69\143\x61\164\x65\163\x2e\x68\x74\x6d\154\x2e\164\167\x69\147", ["\x73\151\164\145" => $site, "\151\156\x73\164\141\x6c\154\145\144\x43\145\x72\164\x69\x66\151\x63\141\164\x65" => $installedCertificate, "\x63\145\162\x74\151\146\151\x63\x61\x74\145\163" => $certificates]); goto F5c2e; c51ed: $installedCertificate = $site->getCertificate(); goto Da6f6; ac60d: if (false === is_null($site)) { goto C3de5; } goto Ba7c1; B9833: goto c7307; goto Cb551; Ba7c1: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\163")); goto B9833; Aa4e4: $site = $this->getSite($request); goto ac60d; Cb551: C3de5: goto c51ed; F5c2e: c7307: goto e1593; e1593: return $response; goto efc88; Da6f6: $certificates = $site->getCertificates(); goto ba358; efc88: } public function importCertificate(Request $request) : Response { goto dbc5b; E793e: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\163")); goto f8094; b47e3: if (!(true === $form->isSubmitted())) { goto E17d8; } goto E34a6; Cb79c: Eb77c: goto E9ab7; e9151: b2c78: goto F1978; b206b: F54f9: goto C8682; e6624: $form->handleRequest($request); goto b47e3; A8ed0: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto aa3b7; C64ea: return $response; goto Cb79c; f7635: if (false === is_null($site)) { goto b2c78; } goto E793e; ead37: if (!(false === is_null($response))) { goto Eb77c; } goto C64ea; cf007: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A8ed0; Fcc87: return $response; goto b08c6; F6e09: $form = $this->createImportCertificateForm($certificateEntity); goto A1717; C8682: $response = $this->render("\x46\162\x6f\x6e\x74\145\156\x64\57\123\151\164\145\57\151\155\160\157\162\164\55\x63\x65\x72\164\151\146\x69\x63\141\x74\145\56\150\x74\x6d\154\56\x74\167\151\147", ["\163\151\164\x65" => $site, "\x66\x6f\162\x6d" => $form->createView(), "\146\157\x72\x6d\x45\x72\162\x6f\162\163" => $this->formErrors]); goto a6cbd; A1717: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto F54f9; } goto e6624; F1978: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cf007; E9ab7: E17d8: goto b206b; E34a6: $response = $this->handleImportCertificateForm($request, $form, $site); goto ead37; aa3b7: $certificateEntity->setSite($siteEntity); goto F6e09; dbc5b: $site = $this->getSite($request); goto f7635; f8094: goto fe0e2; goto e9151; a6cbd: fe0e2: goto Fcc87; b08c6: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto F1e17; A0f76: $form->add("\163\165\x62\x6d\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\x61\163\163" => "\142\x74\156\x20\x62\164\x6e\55\x62\x6c\x75\145\x20\142\x74\156\55\x6c\x67"], "\154\x61\142\x65\154" => "\x49\x6d\x70\x6f\162\x74\40\x61\156\x64\40\111\x6e\163\x74\141\154\x6c"]); goto a03fb; a03fb: return $form; goto f9a14; f82f3: $form = $this->createForm("\x41\160\x70\x5c\106\157\x72\155\x5c\x53\x69\x74\x65\111\155\160\x6f\162\x74\103\x65\x72\164\x69\146\151\143\x61\164\x65\124\x79\x70\145", $certificateEntity, ["\x61\143\164\151\157\156" => $this->generateUrl("\x63\154\160\137\163\151\x74\x65\x5f\143\145\x72\164\x69\x66\x69\143\x61\x74\x65\137\x69\155\160\x6f\162\x74", ["\x64\157\155\141\x69\156\116\141\155\145" => $siteEntity->getDomainName()]), "\x6d\145\x74\x68\157\144" => "\120\x4f\x53\x54", "\x61\x74\164\x72" => []]); goto A0f76; F1e17: $siteEntity = $certificateEntity->getSite(); goto f82f3; f9a14: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto f1ae6; a9f55: try { goto afb6f; Fc917: goto C38c2; goto bd252; Bc741: if (false === is_null($siteEntity)) { goto a7146; } goto A2fb8; b4d6f: $session->getFlashBag()->set("\x73\165\143\143\x65\163\163", $this->translator->trans("\x43\145\x72\x74\x69\x66\x69\143\141\x74\145\40\x68\141\163\40\x62\145\x65\x6e\40\x69\156\x73\x74\141\154\154\145\144\56")); goto Be7e0; f0f2e: C38c2: goto C45b9; a2435: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto b4d6f; c9b8a: $siteEntity->addCertificate($certificateEntity); goto D44ed; A2fb8: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\163")); goto Fc917; C45b9: return $response; goto f656f; Be7e0: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\137\x63\x65\162\164\x69\x66\x69\x63\141\x74\145\163", ["\144\157\x6d\141\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto f0f2e; ec99d: $domainName = $site->getDomainName(); goto F5406; D44ed: $this->siteEntityManager->updateEntity($siteEntity); goto adff6; c2485: $user = $this->getUser(); goto B817f; B817f: $certificateEntity = $form->getData(); goto ee94c; afb6f: $session = $request->getSession(); goto ec99d; F5406: $siteEntity = $this->getSiteEntity($domainName); goto Bc741; bd252: a7146: goto c2485; adff6: $evenData = ["\x73\151\164\x65" => $domainName]; goto a2435; E3e96: $siteEntity->setCertificate($certificateEntity); goto c9b8a; Bf1b1: $siteUpdater->installCertificate($certificateEntity); goto E3e96; ee94c: $siteUpdater = $this->getSiteUpdater($site); goto Bf1b1; f656f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\162", $this->translator->trans("\x41\156\40\x65\x72\x72\157\x72\40\150\141\x73\x20\157\143\143\165\x72\x72\x65\x64\54\40\145\x72\162\157\162\40\155\145\x73\x73\141\x67\x65\x3a\x20\x25\145\x72\162\x6f\x72\x4d\x65\163\x73\141\147\x65\x25", ["\45\x65\x72\162\157\x72\x4d\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto E8449; f1ae6: if (true === $form->isValid()) { goto Ce586; } goto ae05a; E8449: A16ee: goto df812; d73b1: Ce586: goto a9f55; ae05a: $this->formErrors = $this->getErrorMessages($form); goto Ee020; Ee020: goto A16ee; goto d73b1; df812: } public function newLetsEncryptCertificate(Request $request) : Response { goto C6552; a1184: if (!(true === $form->isSubmitted())) { goto Fbe6a; } goto da7ea; B35e9: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto c3aa1; de306: if (true === is_null($subdomain) || "\167\x77\x77" == $subdomain) { goto ef516; } goto fdbe2; ba57b: return $response; goto B3d48; C8693: $domains = array_unique($domains); goto c06c5; B3d48: b6b5a: goto E88cf; c06c5: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto a0f8d; A33cf: a25c2: goto Ae072; f3b91: goto c75a7; goto Cd17a; E88cf: Fbe6a: goto E7adc; E8c11: $domains = []; goto e079c; fa15f: $subdomain = $resolvedDomainName->subDomain()->toString(); goto C5def; F335e: Ff13e: goto F0319; ec4ec: $response = $this->render("\x46\162\157\156\x74\x65\x6e\144\x2f\123\x69\x74\145\57\156\145\167\x2d\154\145\x74\x73\x2d\x65\156\143\162\x79\x70\x74\55\143\145\162\x74\151\x66\151\x63\x61\x74\145\56\x68\164\x6d\x6c\x2e\164\x77\151\x67", ["\x73\151\164\x65" => $site, "\144\157\x6d\x61\151\156\x73" => $domains, "\146\x6f\x72\x6d" => $form->createView(), "\146\157\x72\155\105\162\x72\157\x72\x73" => $this->formErrors]); goto C2d05; Fd28c: ef516: goto ab21b; Cd17a: Ddff4: goto E3455; ab21b: $domains = [$registrableDomain, sprintf("\167\x77\167\x2e\45\x73", $registrableDomain)]; goto A33cf; B8eb5: $form = $this->createLetsEncryptCertificateForm($domainName); goto E8c11; d0928: goto a25c2; goto Fd28c; Ae072: goto de1c3; goto F335e; c3aa1: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto fa15f; A9753: return $response; goto ddebc; E3455: $domainName = $site->getDomainName(); goto B8eb5; F17c9: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto D0e47; de4fb: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\163")); goto f3b91; C5def: $subdomain = false === empty($subdomain) ? $subdomain : null; goto de306; E7adc: de1c3: goto ec4ec; a0f8d: if (!(false === is_null($response))) { goto b6b5a; } goto ba57b; D0e47: $domains = array_map("\164\x72\151\155", $domains); goto C8693; da7ea: $domains = (array) $request->get("\144\x6f\155\x61\151\156\163"); goto F17c9; e079c: if (true === $request->isMethod("\120\117\x53\124")) { goto Ff13e; } goto B35e9; C2d05: c75a7: goto A9753; f8751: if (false === is_null($site)) { goto Ddff4; } goto de4fb; fdbe2: $domains = [$domainName]; goto d0928; F0319: $form->handleRequest($request); goto a1184; C6552: $site = $this->getSite($request); goto f8751; ddebc: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto e8205; e8205: $form = $this->createForm("\x41\160\160\134\x46\x6f\162\155\x5c\123\x69\164\x65\114\x65\164\x73\x45\156\x63\162\171\x70\164\103\145\162\164\x69\146\x69\143\x61\164\145\124\171\160\145", [], ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\x69\164\x65\x5f\154\x65\164\163\x5f\145\x6e\143\x72\171\160\164\137\143\x65\x72\x74\x69\146\151\x63\x61\x74\145\137\x6e\x65\x77", ["\144\157\x6d\x61\151\x6e\116\x61\155\145" => $domainName]), "\x6d\145\164\150\157\144" => "\120\x4f\123\124", "\141\164\164\162" => ["\x69\x64" => "\143\x72\x65\141\164\x65\55\x6c\145\164\x73\55\145\156\x63\162\x79\x70\x74\55\143\x65\162\x74\151\x66\151\143\141\164\145\55\146\157\x72\x6d"]]); goto Deda2; Dd979: return $form; goto F3dbb; Deda2: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\x61\x73\x73" => "\142\164\156\x20\x62\x74\x6e\x2d\x62\x6c\165\145\40\142\164\156\55\x6c\x67"], "\154\x61\x62\x65\154" => "\x43\x72\x65\141\164\x65\40\141\156\x64\40\x49\x6e\163\x74\x61\x6c\x6c"]); goto Dd979; F3dbb: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto A63db; A63db: if (!(true === $form->isValid())) { goto eb4ed; } goto cf3a1; A225e: eb4ed: goto D51e3; D51e3: $this->formErrors = $this->getErrorMessages($form); goto f45fc; cf3a1: try { goto D40e4; B4c05: $siteEntity->setCertificate($certificateEntity); goto bcc58; cfab8: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto Fd9c8; A7d60: D9338: goto E6dc7; f0f23: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto d3672; B1239: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto f0f23; Acf25: $letsEncryptClient->registerAccount(); goto cbb68; Bad83: $siteUpdater = $this->getSiteUpdater($site); goto ed44b; bcc58: $siteEntity->addCertificate($certificateEntity); goto Ee489; B84af: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Ab90c; C06af: if (true === empty($validationErrors)) { goto B80c2; } goto F6e77; Ab90c: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\x73", $this->translator->trans("\x43\x65\162\x74\x69\x66\x69\143\x61\x74\x65\40\x68\141\x73\40\142\145\145\x6e\40\x69\156\163\164\141\154\x6c\145\144\x2e")); goto E6dfb; C9ce2: $letsEncryptClient = new LetsEncryptClient($privateKey); goto B2345; da35c: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto C9ce2; c2104: return $response; goto ab763; Ee489: $this->siteEntityManager->updateEntity($siteEntity); goto A261e; A7082: if (!(true === empty($validationErrors))) { goto D255d; } goto aa20f; Fd9c8: $siteUpdater = $this->getSiteUpdater($site); goto B30f2; F492b: $certificateEntity = $this->certificateEntityManager->createEntity(); goto Ff31d; a348f: if (false === is_null($siteEntity)) { goto c15e0; } goto d8cec; a6a6e: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Bad83; A6298: $csr = $csrGenerator->generate(); goto a8ff4; D40e4: $session = $request->getSession(); goto F46c8; E6dc7: b3211: goto ae759; fa0e8: $certificateEntity->setCsr($certificate->getCsr()); goto d229d; Fcaed: $letsEncryptPrivateKey = $this->configManager->get("\154\x65\x5f\160\162\151\166\141\164\145\137\x6b\145\171"); goto da35c; B015b: goto D9338; goto B84e5; E6dfb: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\x65\137\x63\145\162\x74\151\146\x69\x63\x61\164\145\163", ["\144\157\x6d\x61\x69\156\116\x61\155\145" => $site->getDomainName()])); goto E362d; B2345: $letsEncryptClient->setDryRun(true); goto e590a; d3672: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto C3d52; Ec77f: $rsaKeyGenerator = new RsaKeyGenerator(); goto e6f0c; B4a35: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto A7082; cbb68: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto D7aeb; b7042: $distinguishedNameDomains = $domains; goto Fdddf; E362d: return $response; goto A7d60; ea194: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto A6298; C3d52: D255d: goto C06af; e590a: $letsEncryptClient->registerAccount(); goto a6a6e; f3779: $certificateEntity->setCertificate($certificate->getCertificate()); goto cfab8; d8cec: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\145\x73")); goto c2104; a11f4: c15e0: goto A0274; Afc57: $certificateEntity->setSite($siteEntity); goto fa0e8; a8ff4: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto F492b; Fdddf: $commonName = array_shift($distinguishedNameDomains); goto E0d02; B84e5: B80c2: goto b7042; e6f0c: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto ea194; Ff31d: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto Afc57; A261e: $evenData = ["\x73\x69\x74\145" => $domainName]; goto B84af; F46c8: $domainName = $site->getDomainName(); goto eece1; F6e77: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\x73\72\x20\x25\163", $domain, $validationErrorMessage))); E5e7e: } goto B1b04; aa20f: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Acf25; ed44b: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto F6776; F6776: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto B4a35; D7aeb: $siteUpdater = $this->getSiteUpdater($site); goto B1239; eece1: $siteEntity = $this->getSiteEntity($domainName); goto a348f; A0274: $user = $this->getUser(); goto Fcaed; ab763: goto b3211; goto a11f4; B30f2: $siteUpdater->installCertificate($certificateEntity); goto B4c05; d229d: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto f3779; B1b04: C7280: goto B015b; E0d02: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto Ec77f; ae759: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x41\x6e\40\x65\x72\x72\157\x72\x20\150\141\x73\40\157\143\143\165\162\162\145\x64\x2c\40\x65\162\162\x6f\162\40\155\x65\x73\163\x61\147\x65\x3a\40\45\145\162\x72\157\162\115\145\163\163\x61\147\x65\x25", ["\x25\x65\x72\162\x6f\162\x4d\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto b9a10; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); b9a10: } goto A225e; f45fc: } public function installCertificate(Request $request) : Response { goto D79b8; e89d4: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\x65\x73")); goto Edc5b; dbde0: if (!(false === is_null($site))) { goto dea70; } goto e9355; Cc013: dea70: goto e89d4; e9355: try { goto Bef28; b2426: $siteUpdater->installCertificate($certificateEntity); goto e2ce2; D32f8: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto C93ff; C93ff: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto ab747; } goto A9f3b; e2ce2: $siteEntity->setCertificate($certificateEntity); goto f0352; cc583: $siteEntity = $this->getSiteEntity($domainName); goto D32f8; A051a: $evenData = ["\x73\151\x74\x65" => $domainName]; goto Bc6ab; e713a: $siteUpdater = $this->getSiteUpdater($site); goto b2426; f0352: $this->siteEntityManager->updateEntity($siteEntity); goto A051a; Bab6f: ab747: goto c68e0; Ceb61: $domainName = $site->getDomainName(); goto cc583; Bef28: $session = $request->getSession(); goto b784a; C894c: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\103\145\162\x74\151\146\x69\x63\141\x74\x65\x20\x68\141\163\40\142\145\145\x6e\x20\x69\x6e\163\x74\x61\154\154\x65\x64\56")); goto ef5db; D500e: $user = $this->getUser(); goto e713a; Cf79e: return $response; goto b9117; Bc6ab: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto C894c; ef5db: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\x5f\x63\145\162\164\151\146\x69\x63\x61\164\x65\163", ["\144\157\x6d\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto Cf79e; A9f3b: $certificateSiteEntity = $certificateEntity->getSite(); goto ef418; b784a: $uid = $request->get("\x75\151\x64"); goto Ceb61; b9117: b91fa: goto Bab6f; ef418: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto b91fa; } goto D500e; c68e0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\101\156\x20\x65\x72\162\x6f\x72\40\x68\x61\x73\40\157\143\x63\165\162\x72\x65\144\x2c\x20\x65\162\x72\x6f\x72\40\155\x65\x73\x73\x61\147\x65\72\x20\x25\x65\x72\162\x6f\162\x4d\145\x73\163\x61\147\145\45", ["\45\x65\162\162\x6f\162\115\145\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto Cc013; Edc5b: return $response; goto e6ace; D79b8: $site = $this->getSite($request); goto dbde0; e6ace: } public function deleteCertificate(Request $request) : Response { goto c9791; c9791: $site = $this->getSite($request); goto ee2d4; d46e4: try { goto Bb3b9; c9f13: $evenData = ["\x73\x69\x74\145" => $domainName]; goto c93d0; c9d58: C1ef5: goto deaa0; e26a5: $siteEntity->removeCertificate($certificateEntity); goto Ff1fa; c93d0: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto fbf98; D6d37: $certificateSiteEntity = $certificateEntity->getSite(); goto fe5a4; d643e: return $response; goto Ec2d0; c1f6f: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto Eae81; f9c29: $uid = $request->get("\165\x69\144"); goto ff587; fbf98: $session->getFlashBag()->set("\163\165\x63\143\145\x73\x73", $this->translator->trans("\x43\x65\x72\x74\x69\146\151\143\x61\x74\x65\40\150\x61\x73\40\142\145\145\x6e\x20\144\x65\154\145\164\x65\144\56")); goto b778f; fe5a4: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto c2d31; } goto B41ce; B41ce: $user = $this->getUser(); goto e26a5; Ff1fa: $this->siteEntityManager->updateEntity($siteEntity); goto c9f13; ff587: $domainName = $site->getDomainName(); goto ffefd; Ec2d0: c2d31: goto c9d58; Eae81: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto C1ef5; } goto D6d37; b778f: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\x65\137\143\145\162\164\151\146\151\x63\141\164\145\163", ["\x64\157\155\141\151\156\116\141\x6d\145" => $site->getDomainName()])); goto d643e; Bb3b9: $session = $request->getSession(); goto f9c29; ffefd: $siteEntity = $this->getSiteEntity($domainName); goto c1f6f; deaa0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\162", $this->translator->trans("\x41\156\x20\145\162\x72\157\x72\40\x68\141\163\x20\157\x63\x63\165\x72\162\x65\144\54\40\145\x72\162\157\x72\x20\x6d\x65\x73\163\x61\147\145\72\40\45\145\x72\162\157\x72\x4d\x65\x73\x73\x61\x67\145\x25", ["\x25\145\x72\162\x6f\162\x4d\x65\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto df63f; Dfaba: if (!(false === is_null($site))) { goto d677a; } goto d46e4; df63f: d677a: goto Dcf63; D323c: return $response; goto f7512; ee2d4: $this->checkCsrfToken($request, "\143\145\162\x74\x69\x66\x69\143\x61\164\145\x2d\144\145\x6c\145\x74\x65"); goto Dfaba; Dcf63: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\163")); goto D323c; f7512: } public function databases(Request $request) : Response { goto A8c88; cc250: fe29b: goto b36c3; B90b8: goto daa84; goto A9436; b97fa: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); c67e6: } goto cc250; a12e4: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ca773; b36c3: $response = $this->render("\x46\x72\x6f\156\164\x65\156\x64\57\123\x69\164\x65\x2f\144\x61\x74\x61\x62\x61\163\145\x73\x2e\150\164\x6d\x6c\x2e\x74\x77\151\147", ["\163\x69\x74\145" => $site, "\x64\x61\x74\x61\x62\x61\x73\x65\163" => $databases, "\156\165\x6d\142\x65\162\117\146\x44\x61\x74\141\142\141\x73\145\125\x73\145\162\x73" => $numberOfDatabaseUsers, "\144\141\164\x61\142\141\x73\x65\x53\145\162\166\x65\162" => $databaseServerEntity]); goto A1ce8; A8c88: $site = $this->getSite($request); goto A5e64; Ca773: $numberOfDatabaseUsers = 0; goto b97fa; E1db9: return $response; goto c0500; A5e64: if (false === is_null($site)) { goto b9de6; } goto Bca4d; A9436: b9de6: goto eb5ed; Bca4d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\x73")); goto B90b8; A1ce8: daa84: goto E1db9; eb5ed: $databases = $site->getDatabases(); goto a12e4; c0500: } public function newDatabase(Request $request) : Response { goto a3ce0; b1afb: $databaseEntity->setSite($siteEntity); goto Afa21; b561a: return $response; goto A9ba9; Afa21: $form = $this->createDatabaseForm($site, $databaseEntity); goto Eed83; A4fa8: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B6c0a; A9ba9: F8ed8: goto Fc361; E62fc: ca3f0: goto F74c6; Fc361: A11cc: goto A539c; ce7e0: if (false === is_null($site)) { goto E8704; } goto d2d78; B6c0a: $databaseEntity = $this->databaseEntityManager->createEntity(); goto b1afb; F74c6: return $response; goto B847e; fd5ed: $form->handleRequest($request); goto A5bed; A5bed: if (!(true === $form->isSubmitted())) { goto A11cc; } goto C84fb; Dd03a: E8704: goto A4fa8; A539c: a6eee: goto f77b3; C84fb: $response = $this->handleDatabaseForm($request, $form, $site); goto D68d0; a3ce0: $site = $this->getSite($request); goto ce7e0; d2d78: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\163")); goto f1525; f1525: goto ca3f0; goto Dd03a; f77b3: $response = $this->render("\x46\162\157\x6e\164\x65\x6e\144\x2f\123\151\164\x65\57\x6e\x65\167\55\144\141\x74\x61\142\141\x73\x65\x2e\150\164\x6d\154\56\x74\x77\x69\x67", ["\x73\151\164\145" => $site, "\146\157\162\155" => $form->createView(), "\146\157\162\155\105\162\162\157\162\163" => $this->formErrors]); goto E62fc; Eed83: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto a6eee; } goto fd5ed; D68d0: if (!(false === is_null($response))) { goto F8ed8; } goto b561a; B847e: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto f8130; e104a: return $form; goto d5286; f8130: $form = $this->createForm("\101\x70\160\134\106\x6f\x72\x6d\x5c\x53\x69\x74\145\104\141\164\141\142\141\x73\145\x54\171\x70\145", $databaseEntity, ["\141\143\x74\151\157\x6e" => $this->generateUrl("\143\154\x70\x5f\x73\151\164\145\x5f\x64\x61\164\x61\142\x61\163\x65\137\156\145\x77", ["\x64\157\155\141\x69\x6e\116\141\155\x65" => $site->getDomainName()]), "\155\145\164\x68\x6f\144" => "\120\117\123\124", "\141\164\164\162" => []]); goto f96d7; f96d7: $form->add("\x73\165\142\155\151\164", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\141\163\x73" => "\142\164\x6e\40\x62\164\156\x2d\x62\154\x75\145\40\142\164\x6e\x2d\154\147"], "\x6c\141\142\x65\154" => "\x41\x64\144\x20\104\141\164\x61\142\141\x73\x65"]); goto e104a; d5286: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto A38d8; c7366: a6cb3: goto A4479; A38d8: if (true === $form->isValid()) { goto a6cb3; } goto f0599; f3787: goto E28da; goto c7366; E9b31: E28da: goto fd80c; f0599: $this->formErrors = $this->getErrorMessages($form); goto f3787; A4479: try { goto be7ec; edd25: if (false === is_null($siteEntity)) { goto b1cb7; } goto a730b; e0c87: b1cb7: goto f4802; Ae24f: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\x5f\144\141\x74\141\x62\141\x73\x65\x73", ["\144\x6f\155\141\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto cdf83; Dd746: $this->siteEntityManager->updateEntity($siteEntity); goto Fa538; a730b: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\145\x5f\144\141\164\x61\142\x61\x73\x65\137\156\x65\167", ["\144\157\x6d\141\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto F267b; e743f: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto Cf7e2; e0191: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\104\141\x74\141\142\141\163\x65\40\150\141\x73\x20\142\145\x65\156\40\x61\x64\144\145\x64\x2e")); goto Ae24f; cdf83: D436b: goto fc8be; F6a81: $domainName = $site->getDomainName(); goto D662f; Fa538: $eventData = ["\163\x69\164\x65" => $domainName, "\x64\x61\164\x61\x62\141\x73\145" => $databaseEntity->getName(), "\144\141\164\x61\142\141\x73\145\125\163\x65\162\116\x61\x6d\x65" => $databaseUserEntity->getUserName()]; goto af363; fc8be: return $response; goto be5af; Afa9d: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto dc41d; Cf7e2: $databaseUserEntity->setDatabase($databaseEntity); goto e31c6; D662f: $siteEntity = $this->getSiteEntity($domainName); goto edd25; af363: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto e0191; B6c02: $session = $request->getSession(); goto F6a81; dc41d: $databaseUserEntity->setUserName($databaseUserName); goto d01d2; d01d2: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto e743f; Ad75c: $siteEntity->addDatabase($databaseEntity); goto F7e6f; Ee4a0: $databaseEntity->setSite($siteEntity); goto d34ec; De46f: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto C72cf; be7ec: $user = $this->getUser(); goto B6c02; f4802: $databaseEntity = $form->getData(); goto A8c79; a1cf0: $databaseUserPassword = $form->get("\x75\163\x65\162\x50\x61\163\163\167\x6f\x72\144")->getData(); goto Afa9d; F267b: goto D436b; goto e0c87; d34ec: $databaseUserName = $form->get("\165\163\x65\162\x4e\x61\155\x65")->getData(); goto a1cf0; e31c6: $databaseEntity->addUser($databaseUserEntity); goto Ad75c; E8f16: $databaseManager->createUser($databaseUserEntity); goto Dd746; C72cf: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Ee4a0; A8c79: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto De46f; F7e6f: $databaseManager->createDatabase($databaseEntity); goto E8f16; be5af: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\156\40\145\x72\x72\x6f\162\x20\150\x61\x73\40\x6f\x63\x63\165\x72\162\x65\x64\x2c\40\x65\x72\x72\x6f\162\40\155\145\163\163\141\x67\x65\x3a\40\45\145\x72\162\157\162\115\x65\x73\x73\x61\147\x65\x25", ["\x25\x65\x72\162\x6f\x72\x4d\x65\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto E9b31; fd80c: } public function deleteDatabase(Request $request) : Response { goto B0dd2; B0dd2: $site = $this->getSite($request); goto B9309; Cd221: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto d7005; f7ea0: return $response; goto ccdac; cfc8b: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto Cadc1; } goto d4914; D9d21: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\x65\163")); goto f1fb9; a68ae: if (!(false === is_null($site))) { goto ececb; } goto F7b58; F7b58: $databaseName = $request->get("\144\141\x74\141\142\x61\163\145\x4e\141\x6d\x65"); goto Cd221; B9309: $this->checkCsrfToken($request, "\144\141\x74\x61\x62\141\x73\145\x2d\144\145\154\x65\164\x65"); goto a68ae; f1fb9: return $response; goto cccdd; De9f2: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\x65\137\144\x61\164\141\142\x61\x73\145\163", ["\144\157\x6d\141\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto f7ea0; ccdac: Cadc1: goto F1bf7; d7005: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cfc8b; d4914: try { goto B1b06; C46ea: $databaseManager = new DatabaseManager($databaseServerEntity); goto fd291; f0a6e: $session = $request->getSession(); goto F8261; B1b06: $user = $this->getUser(); goto f0a6e; ee8ca: $this->siteEntityManager->updateEntity($siteEntity); goto C473d; F8261: $domainName = $site->getDomainName(); goto a68bd; D20b8: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\163", $this->translator->trans("\104\141\164\x61\142\x61\163\145\40\150\141\163\40\x62\145\x65\156\40\144\145\154\x65\164\x65\144\56")); goto f7051; a68bd: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C46ea; fd291: $databaseManager->deleteDatabase($databaseEntity, true); goto ffa92; ffa92: $siteEntity->removeDatabase($databaseEntity); goto ee8ca; F62cd: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto D20b8; C473d: $eventData = ["\163\151\164\x65" => $domainName, "\x64\x61\x74\141\142\141\163\145" => $databaseEntity->getName()]; goto F62cd; f7051: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\162\x72\157\162\40\x68\141\163\x20\157\143\143\165\162\x72\x65\144\54\40\x65\x72\x72\x6f\162\40\155\x65\163\163\x61\x67\x65\72\x20\45\145\x72\x72\157\x72\x4d\145\x73\163\141\147\x65\x25", ["\45\145\162\x72\157\162\115\x65\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto De9f2; F1bf7: ececb: goto D9d21; cccdd: } public function phpMyAdmin(Request $request) : Response { goto e1744; af10a: if (false === is_null($domainName)) { goto Afca4; } goto E727c; a5f60: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\145\x73")); goto fcb9e; cf3ee: return $response; goto fc2df; ea97e: if (!(false === is_null($activeDatabaseServerEntity))) { goto b67f4; } goto ff072; f336b: $response->headers->clearCookie("\x53\151\147\156\157\x6e\x53\x65\x73\x73\x69\157\156"); goto Ddc50; ff072: $phpMyAdminUrl = sprintf("\x68\164\164\x70\x73\x3a\x2f\57\x25\163\72\45\163\57\x70\150\x70\155\171\x61\x64\155\151\156\x2f\154\x6f\x67\151\x6e\x2e\x70\150\x70", $request->getHost(), $request->getPort()); goto C0321; d6357: c0734: goto F415a; f28f1: F5570: goto d6357; Ddc50: return $response; goto ea57c; B55bf: $data = ["\150\x6f\x73\164" => $activeDatabaseServerEntity->getHost(), "\x75\163\145\x72\x4e\141\155\145" => $databaseUserEntity->getUserName(), "\160\141\163\x73\167\x6f\162\144" => $databaseUserEntity->getDecryptedPassword(), "\160\x6f\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto C8d2d; d5f2d: $site = $this->getSite($request); goto b10aa; adac4: $session->set("\x63\154\x70\x2d\160\155\141", $data); goto B7d5c; C5840: $response->headers->clearCookie("\143\x6c\160\55\160\155\x61"); goto F3537; F3537: $response->headers->clearCookie("\x70\150\160\x4d\x79\101\x64\x6d\x69\x6e\137\x68\164\x74\x70\x73"); goto cdcaf; ea57c: b67f4: goto E277c; B02a3: $response = new RedirectResponse($phpMyAdminUrl); goto cf3ee; Af94a: $databaseEntity = $databaseUserEntity->getDatabase(); goto D96b2; F70b7: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto eddba; fc2df: B3005: goto f28f1; C8d2d: $session->set("\143\x6c\x70\x2d\x70\155\141", $data); goto B02a3; eddba: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto F5570; } goto Af94a; e1744: $domainName = $request->get("\144\x6f\x6d\x61\x69\x6e\116\141\155\145"); goto A3044; F415a: B973e: goto a5f60; Bc1b2: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto F70b7; fcb9e: return $response; goto f53fe; C0321: $data = ["\150\x6f\x73\164" => $activeDatabaseServerEntity->getHost(), "\160\x6f\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto adac4; E727c: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ea97e; A3044: $session = $request->getSession(); goto af10a; B7d5c: $response = new RedirectResponse($phpMyAdminUrl); goto C5840; E277c: goto B973e; goto df2b3; cdcaf: $response->headers->clearCookie("\160\x6d\141\x41\x75\x74\x68\x2d\61\x5f\x68\164\x74\x70\x73"); goto f336b; b10aa: if (!(false === is_null($site))) { goto c0734; } goto bcf29; D96b2: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto B3005; } goto E8b34; bcf29: $databaseUserName = $request->get("\x64\141\164\141\142\x61\x73\145\x55\163\x65\162\x4e\141\x6d\x65"); goto Bc1b2; df2b3: Afca4: goto d5f2d; E8b34: $phpMyAdminUrl = sprintf("\x68\164\164\x70\163\x3a\x2f\x2f\x25\x73\x3a\x25\x73\57\x70\150\x70\155\x79\141\144\x6d\151\x6e\x2f\154\x6f\147\x69\156\56\160\150\160", $request->getHost(), $request->getPort()); goto B55bf; f53fe: } public function phpMyAdminLogout(Request $request) { goto A7360; Fd91c: $response->headers->clearCookie("\160\150\160\115\171\x41\144\155\151\x6e\x5f\150\164\x74\160\163"); goto F98ac; A7360: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\145\x73")); goto B70cd; Ad885: return $response; goto F7ca0; F98ac: $response->headers->clearCookie("\160\x6d\141\101\165\x74\150\x2d\x31\x5f\x68\164\164\160\x73"); goto A7520; A7520: $response->headers->clearCookie("\x53\151\147\x6e\157\x6e\123\x65\163\163\x69\x6f\x6e"); goto Ad885; B70cd: $response->headers->clearCookie("\x63\154\x70\x2d\160\x6d\141"); goto Fd91c; F7ca0: } public function newDatabaseUser(Request $request) : Response { goto E35d4; d7122: $session = $request->getSession(); goto Adcd3; c668c: $databaseUserEntity->setSite($siteEntity); goto C7fd9; f17ca: $siteEntity = $this->getSiteEntity($domainName); goto Deb88; edc8b: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\x65\x73")); goto c1c7a; a1863: goto Fa630; goto E3f16; C7fd9: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto a8ce7; D60a2: ac8a4: goto d65dd; Adcd3: $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\116\157\40\144\141\164\x61\x62\x61\163\145\40\x66\x6f\x75\156\144\x3b\40\143\162\145\141\164\145\40\141\40\144\x61\164\x61\142\x61\x73\145\x20\146\x69\162\x73\164\56")); goto E54df; B9305: $form->handleRequest($request); goto E8a83; Cbfca: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto c668c; Bed7e: $response = $this->render("\106\162\x6f\156\164\x65\156\x64\57\123\151\x74\145\x2f\156\x65\x77\x2d\x64\141\164\x61\142\141\163\x65\x2d\x75\x73\x65\x72\x2e\150\164\x6d\154\56\164\167\x69\147", ["\x73\151\164\145" => $site, "\144\x61\164\141\x62\x61\x73\x65\x55\163\145\162" => $databaseUserEntity, "\x64\x61\x74\x61\142\141\163\145\163" => $databases, "\146\x6f\x72\155" => $form->createView(), "\146\157\x72\155\x45\162\x72\x6f\x72\x73" => $this->formErrors]); goto cfca2; A9124: e39c8: goto b32a7; a8ce7: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto bdc6a; } goto B9305; E8a83: if (!(true === $form->isSubmitted())) { goto Ce47a; } goto Ce44f; d65dd: return $response; goto Edda0; F52cb: b6d92: goto d603c; a5ef3: bdc6a: goto Bed7e; cfca2: Fa630: goto D60a2; d603c: $databases = $site->getDatabases(); goto a3cef; Ce44f: $response = $this->handleDatabaseUserForm($request, $form, $site); goto F9544; E3f16: D7f66: goto Cbfca; a3cef: $domainName = $site->getDomainName(); goto f17ca; F9544: if (!(false === is_null($response))) { goto e39c8; } goto b2436; Deb88: if (count($databases) && false === is_null($siteEntity)) { goto D7f66; } goto d7122; E35d4: $site = $this->getSite($request); goto C37ad; b32a7: Ce47a: goto a5ef3; E54df: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\x5f\x64\x61\164\141\x62\141\163\145\163", ["\144\157\155\141\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto a1863; c1c7a: goto ac8a4; goto F52cb; C37ad: if (false === is_null($site)) { goto b6d92; } goto edc8b; b2436: return $response; goto A9124; Edda0: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto c7bd8; be6e7: $form->add("\163\165\x62\x6d\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\154\141\163\163" => "\x62\164\x6e\40\142\164\x6e\x2d\x62\x6c\165\145\x20\142\164\156\55\x6c\147"], "\x6c\x61\x62\145\x6c" => "\x41\x64\144\x20\x44\141\164\141\142\141\x73\x65\40\125\163\x65\x72"]); goto de6d4; de6d4: return $form; goto A2965; c7bd8: $form = $this->createForm("\x41\160\x70\134\x46\x6f\162\x6d\134\x53\x69\x74\145\x44\x61\x74\141\142\x61\163\145\125\x73\x65\x72\124\x79\x70\145", $databaseUserEntity, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\137\144\x61\164\141\x62\141\163\x65\137\x75\163\145\162\137\x6e\145\167", ["\144\157\x6d\x61\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()]), "\x6d\x65\164\150\157\x64" => "\x50\x4f\x53\124", "\x61\x74\x74\162" => []]); goto be6e7; A2965: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto f463b; eadfe: goto Fc2c8; goto a3475; f463b: if (true === $form->isValid()) { goto f798c; } goto Aa802; cce7d: try { goto Ab797; bcb25: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto B0d26; de0ae: return $response; goto cb61b; a0cc6: $databaseManager->createUser($databaseUserEntity); goto a9fe4; F0943: bed44: goto Ddc57; f2d6e: E88be: goto de0ae; F6476: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto c34f1; a079d: $domainName = $site->getDomainName(); goto e4393; c34f1: $databaseUserEntity->setPassword($encryptedPassword); goto f9105; B2b27: $databaseEntity = $databaseUserEntity->getDatabase(); goto bd3a3; bd3a3: $databaseName = $databaseEntity->getName(); goto E0f72; a9fe4: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto B2b27; Ab797: $user = $this->getUser(); goto f4224; Ddc57: $databaseUserEntity = $form->getData(); goto F6476; c6fe2: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto a0cc6; E0f72: $eventData = ["\x73\151\164\x65" => $domainName, "\144\x61\x74\x61\x62\x61\163\145\125\x73\145\162\116\141\155\x65" => $databaseUserEntity->getUserName(), "\x70\x65\162\155\151\163\163\x69\x6f\156\163" => $databaseUserEntity->getPermissions(), "\x64\141\x74\x61\x62\x61\x73\145" => $databaseName]; goto bcb25; f6a13: goto E88be; goto F0943; Ef3ad: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x5f\144\141\164\141\x62\141\163\145\x5f\165\x73\x65\162\x5f\156\x65\x77", ["\x64\x6f\x6d\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto f6a13; f9105: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c6fe2; B0d26: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\x73", $this->translator->trans("\104\x61\164\x61\x62\141\x73\145\40\125\x73\x65\162\x20\150\141\x73\x20\142\145\145\156\x20\x61\x64\x64\145\144\56")); goto A9213; A9213: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\x65\137\144\141\x74\141\142\141\x73\145\163", ["\144\157\155\x61\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto f2d6e; f4224: $session = $request->getSession(); goto a079d; e4393: $siteEntity = $this->getSiteEntity($domainName); goto Fbe08; Fbe08: if (false === is_null($siteEntity)) { goto bed44; } goto Ef3ad; cb61b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\162\x20\150\141\x73\40\157\143\x63\165\x72\x72\145\x64\54\40\145\x72\162\157\162\x20\155\145\163\x73\141\147\x65\72\x20\x25\x65\x72\162\x6f\162\115\x65\163\x73\x61\x67\145\45", ["\45\x65\162\x72\157\162\x4d\x65\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto D461f; a3475: f798c: goto cce7d; Aa802: $this->formErrors = $this->getErrorMessages($form); goto eadfe; D461f: Fc2c8: goto E1db0; E1db0: } public function editDatabaseUser(Request $request) : Response { goto Dbc71; A65d4: if (!(false === is_null($response))) { goto a72d4; } goto A0b48; f6311: Fe9e7: goto F2d23; A0b48: return $response; goto F2180; a235c: d214d: goto Aad4c; dd3c1: if (!(true === $form->isSubmitted())) { goto Ce094; } goto B5e21; C365f: $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\116\x6f\40\x64\x61\x74\141\142\x61\x73\145\x20\x66\157\x75\156\144\x3b\40\x63\162\x65\141\164\145\x20\x61\x20\144\141\164\x61\x62\141\163\145\40\146\151\x72\163\x74\56")); goto d0ea5; F2d23: return $response; goto Ba7a1; bfbac: if (false === is_null($site)) { goto bd7e5; } goto e8f5e; f9b0f: Ce094: goto bb5ac; d0ea5: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\164\x65\x5f\x64\x61\x74\x61\x62\x61\x73\x65\163", ["\x64\157\x6d\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto E9439; ee937: if (!(false === is_null($databaseUserEntity))) { goto d214d; } goto bd1db; E9439: goto d46ce; goto E7054; B40ee: bd7e5: goto d2fb2; C3fec: goto Fe9e7; goto B40ee; E09e2: $session = $request->getSession(); goto C365f; Fe70e: if (count($databases) && false === is_null($siteEntity)) { goto a2c82; } goto E09e2; F2180: a72d4: goto f9b0f; B5e21: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto A65d4; bd1db: $databaseUserEntity->setPassword(''); goto Ad821; e8f5e: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\163")); goto C3fec; Dbc71: $site = $this->getSite($request); goto bfbac; Aad4c: d46ce: goto f6311; a5da2: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto ee937; b57cf: $databaseUserName = $request->get("\144\141\164\x61\142\141\163\x65\125\x73\x65\162\116\x61\x6d\x65"); goto a5da2; bb5ac: B078c: goto Bc21c; b110c: $domainName = $site->getDomainName(); goto E5973; E7054: a2c82: goto b57cf; a9ca8: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto B078c; } goto be055; d2fb2: $databases = $site->getDatabases(); goto b110c; Bc21c: $response = $this->render("\x46\162\x6f\156\164\x65\156\144\57\123\151\x74\145\57\145\144\151\164\x2d\x64\x61\x74\x61\x62\x61\x73\145\x2d\x75\x73\x65\162\56\x68\164\155\154\56\164\x77\151\147", ["\163\151\164\x65" => $site, "\x64\141\164\x61\142\141\163\x65\125\163\145\x72" => $databaseUserEntity, "\x66\157\162\x6d" => $form->createView(), "\146\x6f\x72\x6d\105\x72\x72\x6f\162\163" => $this->formErrors]); goto a235c; E5973: $siteEntity = $this->getSiteEntity($domainName); goto Fe70e; be055: $form->handleRequest($request); goto dd3c1; Ad821: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto a9ca8; Ba7a1: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto ae801; F46b2: return $form; goto A6cc4; ae801: $form = $this->createForm("\101\160\x70\134\x46\x6f\x72\x6d\134\123\x69\x74\x65\104\141\x74\x61\x62\x61\163\x65\125\x73\x65\x72\105\144\151\164\x54\171\x70\x65", $databaseUserEntity, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\x5f\x64\141\x74\x61\142\x61\x73\145\137\165\163\x65\x72\137\x65\144\151\164", ["\144\x6f\x6d\x61\151\156\116\141\155\145" => $site->getDomainName(), "\x64\x61\164\x61\x62\x61\163\x65\x55\x73\x65\x72\116\x61\x6d\x65" => $databaseUserEntity->getUserName()]), "\155\x65\x74\150\157\x64" => "\x50\117\123\124", "\x61\164\164\162" => []]); goto B8bd0; B8bd0: $form->add("\x73\165\x62\155\151\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\154\141\163\x73" => "\142\x74\x6e\x20\x62\x74\156\x2d\x62\154\x75\145\x20\x62\x74\x6e\x2d\x6c\x67"], "\x6c\141\142\x65\x6c" => "\x53\141\166\145"]); goto F46b2; A6cc4: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto C5865; Cc894: goto c5647; goto afee2; E633b: try { goto a26a5; Ee847: $databaseName = $databaseEntity->getName(); goto ea546; D20c7: $databaseUserEntity->setPassword($encryptedPassword); goto C3f79; bb6fc: $databaseUserEntity = $form->getData(); goto b4c48; e2287: if (false === is_null($siteEntity)) { goto Dc0d7; } goto dd59b; d2296: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto F7105; ea428: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\137\144\141\164\141\x62\141\163\x65\163", ["\144\157\155\141\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto b9823; E9983: Dc0d7: goto bb6fc; dd59b: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\137\x64\141\164\x61\142\141\163\x65\x5f\x75\x73\x65\x72\x5f\x6e\145\167", ["\144\x6f\x6d\x61\151\156\x4e\141\155\145" => $site->getDomainName()])); goto d9bae; F4fc9: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto c2bd4; F7105: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\x73", $this->translator->trans("\104\x61\x74\x61\x62\x61\x73\x65\x20\x55\x73\x65\162\40\x68\x61\163\40\142\x65\x65\156\x20\x75\160\144\x61\164\145\144\x2e")); goto ea428; f0eab: return $response; goto a7ba7; eb815: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto baf92; b9823: Ba6cb: goto f0eab; a151b: $domainName = $site->getDomainName(); goto B9696; d9bae: goto Ba6cb; goto E9983; C3f79: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F4fc9; Fd140: $session = $request->getSession(); goto a151b; ea546: $eventData = ["\x73\151\x74\x65" => $domainName, "\144\141\x74\x61\x62\141\163\145\125\x73\145\162\116\141\155\x65" => $databaseUserEntity->getUserName(), "\160\x65\162\155\151\x73\x73\151\x6f\156\163" => $databaseUserEntity->getPermissions(), "\x64\x61\x74\141\142\141\x73\x65" => $databaseName]; goto d2296; B9696: $siteEntity = $this->getSiteEntity($domainName); goto e2287; baf92: $databaseEntity = $databaseUserEntity->getDatabase(); goto Ee847; c2bd4: $databaseManager->createUser($databaseUserEntity); goto eb815; a26a5: $user = $this->getUser(); goto Fd140; b4c48: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto D20c7; a7ba7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\157\162\40\150\x61\163\x20\157\143\x63\x75\x72\162\145\x64\54\x20\x65\162\x72\x6f\x72\x20\155\x65\x73\x73\141\x67\x65\72\40\45\x65\x72\162\157\162\x4d\145\163\x73\141\x67\x65\45", ["\45\145\x72\x72\x6f\162\115\x65\163\x73\x61\x67\145\x25" => $e->getMessage()])); } goto Aa882; afee2: fb9a8: goto E633b; C5865: if (true === $form->isValid()) { goto fb9a8; } goto ce67f; Aa882: c5647: goto e9429; ce67f: $this->formErrors = $this->getErrorMessages($form); goto Cc894; e9429: } public function deleteDatabaseUser(Request $request) : Response { goto d8b05; d8b05: $site = $this->getSite($request); goto b6d06; b519a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\137\x64\141\x74\141\x62\141\163\x65\163", ["\144\x6f\x6d\141\x69\156\x4e\141\x6d\145" => $site->getDomainName()])); goto B33ae; B33ae: return $response; goto C0a1e; Ce31a: db1b6: goto f5ecb; d2b99: $databaseUserName = $request->get("\144\x61\x74\141\142\x61\x73\x65\125\x73\x65\162\116\141\x6d\145"); goto af6ff; af6ff: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto cbaa8; cbaa8: if (!(false === is_null($databaseUserEntity))) { goto E6da6; } goto de27b; de27b: try { goto d0e8c; f99d7: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto c3813; C6f09: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto D62e8; } goto c4992; A22b6: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b12d7; d0e8c: $databaseEntity = $databaseUserEntity->getDatabase(); goto C6f09; B50bc: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto B52fc; b12d7: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto e7de5; e1cb2: $domainName = $site->getDomainName(); goto e1323; c4992: $user = $this->getUser(); goto e1cb2; c3813: D62e8: goto e23f5; B52fc: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\x44\x61\164\141\x62\x61\x73\145\x20\x55\x73\145\x72\40\x68\x61\x73\x20\x62\145\145\x6e\x20\x64\x65\x6c\x65\164\x65\x64\x2e")); goto Aaecc; Aaecc: $eventData = ["\163\151\x74\x65" => $domainName, "\144\x61\164\141\x62\141\x73\x65\x55\163\x65\162\116\x61\x6d\x65" => $databaseUserName]; goto f99d7; e7de5: $databaseManager->deleteUser($databaseUserEntity); goto B50bc; e1323: $session = $request->getSession(); goto A22b6; e23f5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\x6f\162\40\x68\141\x73\40\157\x63\143\x75\162\x72\145\144\54\40\145\162\162\157\162\40\155\x65\163\x73\x61\x67\145\72\x20\45\x65\x72\162\157\x72\115\x65\163\163\141\147\x65\x25", ["\x25\x65\x72\162\x6f\162\x4d\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto b519a; C1b07: return $response; goto F3232; f5ecb: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\x65\x73")); goto C1b07; B1a3f: if (!(false === is_null($site))) { goto db1b6; } goto d2b99; b6d06: $this->checkCsrfToken($request, "\x64\141\164\141\142\141\163\145\55\x75\163\x65\x72\x2d\144\x65\154\x65\x74\x65"); goto B1a3f; C0a1e: E6da6: goto Ce31a; F3232: } public function varnishCache(Request $request) : Response { goto C50c5; b11b6: return $response; goto e6b30; bbcc0: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto Da427; a33d2: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto ea7aa; fa263: $response = $this->render("\x46\162\x6f\156\x74\145\156\144\57\x53\151\x74\x65\x2f\x76\x61\162\156\x69\x73\x68\x2d\143\x61\x63\150\x65\x2e\x68\164\155\x6c\x2e\x74\x77\x69\x67", ["\x73\151\x74\x65" => $site, "\x73\145\164\164\151\156\x67\x73\106\157\162\x6d" => $settingsForm->createView(), "\160\165\x72\x67\145\x43\141\143\150\145\106\x6f\162\155" => $purgeCacheForm->createView(), "\x66\x6f\x72\x6d\x45\x72\x72\157\162\163" => $this->formErrors]); goto a8485; a8485: ffe9a: goto b11b6; D9a0a: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\x65\x73")); goto E413e; Ba115: Ba68f: goto Aa646; d4434: $purgeCacheForm->handleRequest($request); goto d921e; Ba30a: return $response; goto e39c0; D9b22: $varnishCacheSettingsData = ["\x69\x73\x45\x6e\x61\142\x6c\145\x64" => true === isset($varnishCacheSettings["\145\156\x61\142\x6c\x65\144"]) && true === $varnishCacheSettings["\145\156\141\142\154\x65\144"] ? true : false, "\x73\145\162\166\x65\x72" => true === isset($varnishCacheSettings["\163\145\162\166\x65\x72"]) ? $varnishCacheSettings["\163\145\x72\x76\145\162"] : "\x31\x32\67\x2e\60\56\60\x2e\x31\72\66\60\x38\x31", "\x63\141\143\150\145\124\141\x67\x50\x72\145\146\x69\x78" => true === isset($varnishCacheSettings["\143\x61\x63\150\x65\124\141\147\120\162\x65\146\x69\x78"]) ? $varnishCacheSettings["\143\141\x63\x68\145\124\x61\147\x50\x72\x65\x66\151\x78"] : substr(md5(time()), 0, 4), "\x63\x61\x63\x68\145\x4c\x69\146\x65\x74\x69\x6d\x65" => true === isset($varnishCacheSettings["\143\x61\143\x68\x65\114\x69\x66\x65\x74\151\155\145"]) ? $varnishCacheSettings["\x63\x61\143\150\145\114\151\146\x65\x74\151\155\x65"] : "\66\x30\64\x38\60\60", "\145\170\143\154\165\x64\145\x64\120\x61\x72\141\155\x73" => true === isset($varnishCacheSettings["\x65\x78\x63\x6c\165\144\x65\144\120\x61\x72\141\x6d\x73"]) ? implode("\54", $varnishCacheSettings["\145\x78\x63\154\x75\144\x65\x64\120\x61\x72\x61\155\x73"]) : "\x5f\137\123\111\x44\x2c\156\157\103\141\x63\x68\145\x2c", "\145\x78\x63\154\165\144\x65\x73" => true === isset($varnishCacheSettings["\x65\170\143\154\165\x64\x65\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\145\x78\x63\x6c\165\144\x65\x73"]) : '']; goto a33d2; Cc24c: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto E5d65; } goto A4716; b9d7f: F8893: goto c0cf2; e39c0: c429e: goto d5467; c84c5: return $response; goto Ba115; d5467: E8d4b: goto B8ea5; C50c5: $site = $this->getSite($request); goto a0143; E413e: goto ffe9a; goto b9d7f; Aa646: A99b2: goto D338e; a0143: if (false === is_null($site) && true === $site->getVarnishCache()) { goto F8893; } goto D9a0a; E4896: if (!(false === is_null($response))) { goto Ba68f; } goto c84c5; c0cf2: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto D9b22; B8ea5: E5d65: goto fa263; ea7aa: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto Cc24c; D3f5c: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto E4896; Da427: if (!(false === is_null($response))) { goto c429e; } goto Ba30a; A4716: $settingsForm->handleRequest($request); goto d4434; D338e: if (!(true === $purgeCacheForm->isSubmitted())) { goto E8d4b; } goto bbcc0; d921e: if (!(true === $settingsForm->isSubmitted())) { goto A99b2; } goto D3f5c; e6b30: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto bcf17; bcf17: $form = $this->createForm("\x41\160\160\134\106\157\162\x6d\134\x53\151\164\x65\x56\141\x72\156\151\163\x68\x43\141\143\150\145\123\x65\x74\x74\151\x6e\147\x73\124\x79\x70\x65", $data, ["\141\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\x70\137\163\151\164\x65\137\166\141\x72\156\151\x73\150\137\143\141\143\150\x65", ["\144\157\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\150\157\144" => "\120\x4f\123\124", "\x61\164\164\162" => []]); goto a6e22; a6e22: $form->add("\x73\165\142\x6d\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\x6c\x61\x73\163" => "\x62\164\x6e\x20\x62\x74\156\55\x62\154\x75\145\x20\142\164\x6e\x2d\154\147"], "\x6c\141\142\x65\x6c" => "\x53\141\166\x65"]); goto E2a97; E2a97: return $form; goto D8c5f; D8c5f: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto a9f10; E69f9: return $form; goto Ae0f1; a9f10: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\x72\x6d\134\x53\151\x74\x65\x56\x61\162\156\x69\x73\x68\x43\x61\x63\150\x65\x50\x75\x72\147\145\x43\141\x63\x68\x65\124\171\x70\145", ["\163\x69\x74\145" => $site], ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\145\137\x76\141\162\156\x69\x73\x68\137\x63\x61\x63\x68\145", ["\144\x6f\155\141\x69\x6e\116\141\x6d\145" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\x64" => "\120\117\123\x54", "\141\x74\164\x72" => []]); goto Fa357; Fa357: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\x61\163\x73" => "\142\164\156\x20\142\x74\x6e\x2d\142\x6c\165\x65\x20\x62\164\156\55\x6c\x67"], "\x6c\x61\x62\x65\x6c" => "\120\165\x72\147\145\40\103\141\x63\x68\145"]); goto E69f9; Ae0f1: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto Fe772; A016a: c69ab: goto c3169; D6c5b: $this->formErrors = $this->getErrorMessages($form); goto ee3a6; Fe772: if (true === $form->isValid()) { goto c69ab; } goto D6c5b; Bb8cf: C8f2c: goto C977e; ee3a6: goto C8f2c; goto A016a; c3169: try { goto Eee30; c222e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x5f\x76\141\x72\156\x69\x73\150\137\x63\141\143\x68\x65", ["\144\157\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto a8e0a; Eee30: $session = $request->getSession(); goto afbfd; b352c: $siteEntity = $this->getSiteEntity($domainName); goto f401f; f401f: if (false === is_null($siteEntity)) { goto B7253; } goto Cb1f4; be0cb: $siteUpdater->phpSettings(); goto edeb2; e064c: $cacheLifetime = $form->get("\x63\141\143\x68\x65\114\151\146\x65\x74\x69\155\145")->getData(); goto d50f5; C10b1: return $response; goto b2739; edeb2: $eventData = ["\x73\x69\164\x65" => $domainName, "\166\141\x72\156\151\x73\x68\103\x61\143\150\145\x45\x6e\x61\142\154\145\x64" => $isEnabled, "\163\145\x72\x76\x65\x72" => $server, "\x63\x61\143\x68\145\x54\141\x67\120\x72\145\146\x69\170" => $cacheTagPrefix, "\143\141\x63\150\145\114\x69\146\x65\x74\x69\x6d\x65" => $cacheLifetime, "\x65\170\x63\154\165\144\x65\x73" => $excludes, "\x65\170\143\154\x75\x64\x65\144\x50\x61\x72\141\x6d\x73" => $excludedParams]; goto bb1f1; ff0fb: $site->setVarnishCacheSettings($varnishCacheSettings); goto ed359; a1c12: $isEnabled = $form->get("\x69\x73\105\156\141\x62\x6c\145\x64")->getData(); goto C909b; ccccd: $user = $this->getUser(); goto a1c12; cbab8: $excludedParams = array_map("\164\x72\151\155", array_filter(explode("\54", trim($form->get("\145\x78\x63\x6c\165\144\x65\144\x50\141\162\141\155\163")->getData())))); goto eb04e; ed359: $siteUpdater = $this->getSiteUpdater($site); goto f1f12; f1f12: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto be0cb; C909b: $server = $form->get("\163\x65\x72\x76\145\162")->getData(); goto e064c; afbfd: $domainName = $site->getDomainName(); goto b352c; Cb1f4: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\145\163")); goto ae6e9; bb1f1: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto a3cfe; Cea8e: $varnishCacheSettings = ["\x65\156\141\142\154\145\144" => $isEnabled, "\163\145\162\166\145\162" => $server, "\x63\x61\x63\150\145\124\141\147\120\162\x65\146\x69\x78" => $cacheTagPrefix, "\x63\x61\143\150\145\114\x69\146\x65\164\151\155\145" => $cacheLifetime, "\x65\170\143\154\x75\x64\x65\163" => $excludes, "\145\x78\x63\154\x75\144\145\144\120\x61\162\x61\x6d\163" => $excludedParams]; goto ff0fb; a3cfe: $session->getFlashBag()->set("\163\165\143\x63\145\x73\x73", $this->translator->trans("\x56\141\x72\156\151\163\x68\x20\103\x61\x63\150\145\x20\x53\145\164\164\151\156\x67\x73\40\x68\x61\166\145\x20\142\x65\x65\x6e\40\x73\141\x76\x65\144\56")); goto c222e; a8e0a: b454f: goto C10b1; eb04e: $excludes = array_map("\164\162\151\155", array_filter(explode(PHP_EOL, trim($form->get("\x65\170\x63\x6c\165\x64\x65\163")->getData())))); goto Cea8e; a6867: B7253: goto ccccd; d50f5: $cacheTagPrefix = $form->get("\143\141\x63\x68\x65\124\141\x67\x50\x72\145\x66\x69\170")->getData(); goto cbab8; ae6e9: goto b454f; goto a6867; b2739: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\101\x6e\x20\145\x72\162\157\162\40\150\141\x73\40\157\143\143\x75\x72\x72\145\x64\54\x20\x65\162\x72\x6f\162\x20\x6d\x65\x73\163\x61\147\x65\x3a\40\x25\145\x72\x72\x6f\x72\115\x65\x73\163\x61\147\145\45", ["\45\145\x72\162\x6f\162\x4d\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto Bb8cf; C977e: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto a4883; D07d3: try { goto Ebf68; af3f8: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\145\137\x76\141\162\x6e\151\163\150\x5f\x63\x61\143\150\145", ["\144\x6f\155\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto f67d2; c9cf3: if (false === is_null($siteEntity)) { goto Cc48c; } goto bbdd4; F728c: throw new \Exception("\126\x61\x72\156\151\x73\x68\40\103\141\x63\150\x65\x20\x53\x65\x74\164\x69\x6e\147\163\40\x63\x61\156\x6e\157\164\x20\142\x65\40\x65\155\x70\164\171\x2e"); goto Ac097; d9d93: $purgeValues = array_map("\164\162\151\155", array_filter(explode("\x2c", trim($form->get("\166\141\x6c\x75\x65")->getData())))); goto b80ef; C6438: $domainName = $site->getDomainName(); goto Ab630; e2a08: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\163", $this->translator->trans("\126\x61\x72\156\x69\x73\x68\40\103\x61\143\x68\x65\x20\x68\141\163\40\142\x65\x65\156\40\x70\x75\x72\147\x65\144\56")); goto af3f8; b2c7b: dd570: goto F94f3; F4ea0: Dabc3: goto b2c7b; Be3b9: goto e652c; goto e5632; E4cee: foreach ($purgeValues as $purgeValue) { goto Bc469; D6832: if (true === str_starts_with($purgeValue, "\x68\x74\x74\160")) { goto d0ee9; } goto Bebda; A43c4: d0ee9: goto B2f2b; B9579: goto b3ef8; goto A43c4; Bc469: $purgeValue = trim($purgeValue); goto b8ea9; edc58: b3ef8: goto Ca4b1; B2f2b: $varnishCacheClient->purgeUrl($purgeValue); goto edc58; E4195: d34f1: goto Cd513; b8ea9: if (!(false === empty($purgeValue))) { goto c2647; } goto D6832; Ca4b1: c2647: goto E4195; Bebda: $varnishCacheClient->purgeTag($purgeValue); goto B9579; Cd513: } goto F4ea0; Ab630: $siteEntity = $this->getSiteEntity($domainName); goto c9cf3; e5632: Cc48c: goto f3771; e1bf3: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\162\166\x65\x72"]); goto E4cee; bbdd4: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\x65\x73")); goto Be3b9; f3771: $user = $this->getUser(); goto A14c6; f67d2: e652c: goto cd008; b80ef: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\x65\x72\x76\x65\162"]) && false === empty($varnishCacheSettings["\x73\145\162\x76\145\162"])) { goto d3e24; } goto F728c; F94f3: $eventData = ["\x73\151\x74\x65" => $domainName, "\x76\x61\x6c\x75\145\x73" => implode("\54", $purgeValues)]; goto f79bc; f79bc: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto e2a08; b18cb: d3e24: goto af438; Ac097: goto dd570; goto b18cb; af438: $varnishCacheClient = new VarnishCacheClient(); goto e1bf3; A14c6: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto d9d93; cd008: return $response; goto bd219; Ebf68: $session = $request->getSession(); goto C6438; bd219: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\x72\40\150\141\x73\x20\x6f\143\x63\165\162\x72\x65\x64\54\x20\x65\162\x72\157\162\40\x6d\145\163\x73\x61\x67\145\72\x20\x25\145\x72\162\157\162\x4d\x65\163\x73\x61\147\x65\45", ["\x25\x65\x72\162\x6f\x72\115\145\163\163\141\147\145\x25" => $e->getMessage()])); } goto e452a; E6c76: b218d: goto D07d3; a4883: if (true === $form->isValid()) { goto b218d; } goto Dd2c5; e452a: D340e: goto ac73e; Dd2c5: $this->formErrors = $this->getErrorMessages($form); goto afcfc; afcfc: goto D340e; goto E6c76; ac73e: } public function purgeVarnishCache(Request $request) : Response { goto Cf166; Cd8bb: try { goto D93c2; C1364: dfd43: goto f0dae; f0dae: $eventData = ["\163\x69\164\145" => $domainName, "\160\x75\x72\x67\145" => "\x66\x75\154\154"]; goto af50a; Fae70: $cacheTagPrefix = $varnishCacheSettings["\143\x61\x63\150\145\x54\x61\147\x50\x72\145\x66\151\170"]; goto c6c57; e03b7: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\162\x76\145\x72"]); goto c6916; c6916: $varnishCacheClient->purgeTag($cacheTagPrefix); goto E701c; Fda64: $session = $request->getSession(); goto Ef3c5; a0771: if (!(true === isset($varnishCacheSettings["\163\x65\x72\x76\x65\x72"]) && true === isset($varnishCacheSettings["\143\x61\x63\x68\145\124\x61\x67\120\162\145\146\151\170"]) && false === empty($varnishCacheSettings["\x63\141\143\x68\145\x54\141\x67\120\162\x65\x66\151\x78"]))) { goto dfd43; } goto Fae70; E701c: $varnishCacheClient->purgeHost($domainName); goto C1364; d10ca: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\126\x61\162\156\151\x73\x68\40\103\x61\x63\x68\145\x20\150\141\163\x20\142\x65\x65\156\x20\x70\165\x72\x67\145\144\x2e")); goto f50df; Ef3c5: $domainName = $site->getDomainName(); goto b6dc1; b6dc1: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto a0771; af50a: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto d10ca; D93c2: $user = $this->getUser(); goto Fda64; c6c57: $varnishCacheClient = new VarnishCacheClient(); goto e03b7; f50df: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\x41\156\x20\145\162\x72\x6f\x72\x20\150\x61\163\x20\157\x63\x63\x75\162\x72\145\x64\54\40\x65\x72\162\x6f\162\40\155\x65\x73\x73\x61\x67\x65\x3a\40\45\x65\x72\162\157\162\115\x65\163\163\x61\x67\x65\x25", ["\x25\145\x72\162\157\x72\115\x65\163\163\x61\147\x65\45" => $e->getMessage()])); } goto Aa908; f71a8: goto B38c8; goto Fedd6; F1d0d: B38c8: goto A0873; d0a65: if (false === is_null($site)) { goto fa233; } goto eb0b5; Aa908: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\x5f\x76\141\162\156\x69\x73\x68\x5f\x63\x61\143\150\145", ["\x64\157\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto B0d96; eb0b5: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\163")); goto f71a8; B0d96: return $response; goto F1d0d; Cf166: $site = $this->getSite($request); goto d0a65; A0873: return $response; goto B46b0; Fedd6: fa233: goto Cd8bb; B46b0: } public function vhost(Request $request) : Response { goto F71a7; da392: $siteEntity = $this->getSiteEntity($domainName); goto cb57b; cb57b: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto c3811; C1cdb: if (!(false === is_null($response))) { goto cdc7d; } goto f815c; F71a7: $site = $this->getSite($request); goto C8fcd; f815c: return $response; goto e26b5; C6d12: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\145\163")); goto d3357; Ad789: if (!(false === $isCsrfTokenValid)) { goto Faab6; } goto Ddc53; e26b5: cdc7d: goto a78c1; bcbe6: if (!(false === empty($vhostTemplate))) { goto d1892; } goto e5c97; d3357: goto Bd7c1; goto c4e4e; E3673: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto cedf4; } goto Ed202; a78c1: d1892: goto De7cf; c4e4e: C6e42: goto E3673; ac12d: Bd7c1: goto B81ea; B81ea: return $response; goto Aa282; Be457: $vhostTemplate = trim($request->get("\x76\x68\157\x73\164\55\164\145\155\x70\x6c\x61\164\x65")); goto bcbe6; C8fcd: if (false === is_null($site)) { goto C6e42; } goto C6d12; fc059: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto C1cdb; Ed202: $isCsrfTokenValid = $this->isCsrfTokenValid("\166\x68\157\163\x74\55\165\x70\144\x61\x74\x65", (string) $request->get("\164\x6f\x6b\x65\x6e")); goto Ad789; c3811: $site->setVhostTemplate($vhostTemplate); goto fc059; Ddc53: throw new InvalidCsrfTokenException("\124\150\145\40\103\123\122\106\x20\164\157\153\145\x6e\40\x69\x73\40\151\x6e\166\141\x6c\151\144\56"); goto c9096; De7cf: cedf4: goto E17dd; e5c97: $domainName = $site->getDomainName(); goto da392; c9096: Faab6: goto Be457; E17dd: $response = $this->render("\x46\162\157\x6e\x74\x65\x6e\144\57\x53\151\x74\x65\57\x76\x68\157\163\164\56\150\x74\155\154\56\164\x77\151\x67", ["\163\x69\x74\145" => $site]); goto ac12d; Aa282: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto da772; e657a: throw new InvalidVhostException("\x64\151\163\x61\142\154\x65\137\163\x79\x6d\x6c\151\x6e\x6b\163\x20\x69\x73\40\156\157\x74\40\141\x6c\x6c\157\167\145\144\56"); goto a9fa7; c65fa: $vhostTemplate = $site->getVhostTemplate(); goto de2c7; a9fa7: cbabe: goto Cd479; de2c7: $siteUpdater = $this->getSiteUpdater($site); goto D8f7f; Fc26a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\x5f\166\x68\157\x73\164", ["\x64\x6f\155\x61\x69\x6e\116\141\155\145" => $domainName])); goto bb952; E029d: $eventData = ["\x73\151\164\145" => $domainName, "\166\x68\157\x73\x74" => $vhostTemplate, "\x6f\x6c\x64\x56\x68\157\x73\x74" => $oldVhostTemplate]; goto abe56; abe56: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto Fc26a; A3acc: $session = $request->getSession(); goto F9d9b; c76f9: $this->siteEntityManager->updateEntity($siteEntity); goto c8750; F9d9b: if (!(true === str_contains($site->getVhostTemplate(), "\x64\151\163\x61\x62\154\x65\137\163\171\155\154\151\156\153\x73"))) { goto cbabe; } goto e657a; c8750: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\163", $this->translator->trans("\126\150\157\163\x74\x20\150\141\x73\x20\142\x65\x65\156\40\163\x61\x76\145\144\x2e")); goto E029d; Cd479: $domainName = $site->getDomainName(); goto c65fa; bb952: return $response; goto Da590; da772: $user = $this->getUser(); goto A3acc; D8f7f: $siteUpdater->updateNginxVhostWithRollback(); goto A6333; A6333: $siteEntity->setVhostTemplate($vhostTemplate); goto c76f9; Da590: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\126\150\x6f\x73\164\40\x69\x73\x20\x6e\157\x74\x20\166\141\x6c\151\x64\x2c\x20\145\x72\162\x6f\x72\40\155\x65\x73\x73\x61\147\x65\72\x20\x25\145\x72\x72\157\x72\115\145\163\x73\x61\x67\x65\x25", ["\45\x65\x72\x72\157\162\115\145\163\x73\141\147\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\x41\x6e\x20\145\x72\162\x6f\x72\40\150\141\163\40\x6f\x63\143\x75\162\162\145\144\x2c\40\145\x72\162\157\x72\40\155\x65\x73\x73\x61\147\x65\72\x20\45\x65\162\162\x6f\x72\115\x65\163\x73\141\147\x65\x25", ["\x25\145\x72\x72\x6f\162\115\145\163\163\141\147\x65\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto ed309; B5934: $siteDeleteData = ["\x64\157\x6d\x61\151\x6e\116\141\155\x65" => $site->getDomainName()]; goto a8bc0; B1b49: Bbf51: goto cd0a0; Cfe93: $parameters = ["\163\151\164\145" => $site, "\144\157\155\x61\151\x6e\123\x65\x74\x74\151\x6e\x67\x73\x46\157\x72\155" => $domainSettingsForm->createView(), "\163\x69\x74\x65\x55\x73\145\162\123\x65\164\164\x69\156\147\x73\x46\157\162\x6d" => $siteUserSettingsForm->createView(), "\x70\141\x67\145\x53\x70\x65\145\144\x53\145\x74\164\151\x6e\x67\163\106\x6f\162\x6d" => $pageSpeedSettingsForm->createView(), "\x73\151\x74\145\104\145\x6c\145\x74\145\106\157\162\x6d" => $siteDeleteForm->createView()]; goto Ad2ed; F4276: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto B9118; } goto B9674; a59f7: if (!(false === is_null($response))) { goto f24fd; } goto Dded8; ea0c1: $nodejsSettings = $site->getNodejsSettings(); goto B07b9; fb219: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto ff9a7; e2d6b: b1ceb: goto D7f9b; b902e: $pythonSettings = $site->getPythonSettings(); goto d6d8c; eba59: D2d98: goto Cfe93; D7f9b: cffbb: goto bc406; F373c: if (false === is_null($site)) { goto A266c; } goto c7fc8; B9f0d: $siteDeleteForm->handleRequest($request); goto a8383; b58ac: $response = $this->render("\106\162\x6f\156\164\x65\156\144\57\123\x69\164\145\x2f\x73\x65\x74\x74\x69\x6e\x67\163\56\150\164\x6d\154\56\164\167\x69\x67", $parameters); goto Ff9ce; f17d8: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto B81c8; } goto cf4ca; Bb6d2: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto Fed55; C3da4: e0276: goto f718d; F2ca7: $nodejsSettingsForm->handleRequest($request); goto Cb38e; Bb27b: unset($parameters["\160\x61\x67\x65\123\160\145\x65\x64\x53\x65\164\164\x69\156\x67\x73\106\x6f\x72\x6d"]); goto B16e1; D43e1: return $response; goto C3da4; B7acc: if (!(true === $phpSettingsForm->isSubmitted())) { goto Febc0; } goto B5b50; Ae5c7: if (!(false === is_null($response))) { goto aea2d; } goto bc2f5; e7caf: return $response; goto D68e2; aa93e: $domainSettingsData = ["\144\157\x6d\141\x69\156\116\x61\x6d\x65" => $site->getDomainName(), "\162\x6f\157\x74\104\x69\162\145\143\164\x6f\x72\x79" => $site->getRootDirectory()]; goto F570b; Dcb42: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto Edc66; Cb38e: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto A6e77; } goto fb219; E7b7a: e4fb5: goto e540e; c403e: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto e4fb5; } goto B6258; Fae9e: return $response; goto d5242; B0444: A5657: goto a1105; B07b9: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto F4276; Fbca7: return $response; goto D4890; cf4ca: $pythonSettingsForm->handleRequest($request); goto b8480; F30e7: goto Dceba; goto F4a79; A3e54: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto C2dad; Dd406: $parameters["\156\157\144\145\x6a\x73\x53\x65\x74\x74\151\156\147\x73\106\157\162\x6d"] = $nodejsSettingsForm->createView(); goto Bb27b; B0044: $reverseProxySettingsForm->handleRequest($request); goto A62be; F68dc: Dd300: goto Fd8bd; D9ca1: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto F68dc; Ff9ce: Dceba: goto Fae9e; D5a59: B9118: goto Dd406; cfadf: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto Ec62e; e3708: if (!(false === is_null($response))) { goto C1178; } goto Fbca7; Dded8: return $response; goto A1477; a8383: $pageSpeedSettingsForm->handleRequest($request); goto D8dc4; F047c: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto c173b; } goto F72cd; a4901: if (!(true === $domainSettingsForm->isSubmitted())) { goto A5657; } goto Fffd0; E2c7e: c173b: goto C85ca; B6258: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto B53a1; Ec62e: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto D2d98; } goto D7514; d056d: $phpSettingsForm->handleRequest($request); goto B7acc; b8480: if (!(true === $pythonSettingsForm->isSubmitted())) { goto fc0c3; } goto Dcb42; B9674: $currentNodeSettings = clone $nodejsSettings; goto F2ca7; D00c3: $parameters["\x70\171\164\150\x6f\156\x53\145\164\x74\x69\x6e\x67\x73\x46\157\x72\x6d"] = $pythonSettingsForm->createView(); goto D0117; E81d3: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto Bbf51; } goto D7a88; B5b50: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto Ae5c7; D7a88: $phpSettings = $site->getPhpSettings(); goto A4f05; B16e1: C1d07: goto E81d3; F72cd: $currentPhpSettings = clone $phpSettings; goto d056d; A1477: f24fd: goto eba59; ff9a7: if (!(false === is_null($response))) { goto e0276; } goto D43e1; a1105: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto Dd300; } goto D9ca1; e540e: $parameters["\x66\x6f\162\155\105\x72\162\157\x72\163"] = $this->formErrors; goto b58ac; Edc66: if (!(false === is_null($response))) { goto C9525; } goto e7caf; D0117: C1128: goto c403e; C85ca: $parameters["\160\x68\x70\123\x65\164\x74\151\x6e\147\x73\x46\157\162\x6d"] = $phpSettingsForm->createView(); goto B1b49; D7514: $domainSettingsForm->handleRequest($request); goto c91c9; cb16e: aea2d: goto b1052; D4890: C1178: goto e2d6b; cd0a0: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto C1128; } goto b902e; c91c9: $siteUserSettingsForm->handleRequest($request); goto B9f0d; F570b: $siteUserSettingsData = ["\163\x69\164\145\125\163\145\x72" => $site->getUser(), "\163\x73\150\113\x65\171\x73" => $site->getSshKeys()]; goto B5934; Eafc5: if (!(true === $siteDeleteForm->isSubmitted())) { goto a708b; } goto a2e30; Fed55: eac2f: goto Eafc5; A4f05: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto F047c; Fd8bd: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto eac2f; } goto Bb6d2; c7fc8: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\x73")); goto F30e7; Ea229: fc0c3: goto E1d97; fab45: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto A3e54; D8dc4: $response = null; goto a4901; c0211: unset($parameters["\x70\141\x67\x65\123\160\145\x65\x64\x53\145\164\164\151\x6e\147\163\106\157\162\155"]); goto E7b7a; C2dad: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto cfadf; E1d97: B81c8: goto D00c3; a8bc0: $pageSpeedSettingsData = ["\x69\x73\x45\x6e\x61\x62\x6c\x65\x64" => $site->getPageSpeedEnabled(), "\163\145\x74\164\x69\x6e\147\163" => $site->getPageSpeedSettings()]; goto fab45; a2e30: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto F35c8; A62be: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto b1ceb; } goto C1a75; bc406: $parameters["\162\x65\x76\x65\x72\x73\145\x50\162\x6f\x78\x79\x53\145\164\164\151\156\x67\x73\x46\157\162\x6d"] = $reverseProxySettingsForm->createView(); goto c0211; b1052: Febc0: goto E2c7e; f718d: A6e77: goto D5a59; C1a75: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto e3708; F4a79: A266c: goto aa93e; d6d8c: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto f17d8; Ad2ed: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto C1d07; } goto ea0c1; B53a1: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto cffbb; } goto B0044; F35c8: a708b: goto a59f7; ed309: $site = $this->getSite($request); goto F373c; bc2f5: return $response; goto cb16e; D68e2: C9525: goto Ea229; Fffd0: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto B0444; d5242: } public function purgePageSpeedCache(Request $request) : Response { goto De857; fcebb: D8a3e: goto Fe8cc; Fe8cc: return $response; goto C1f45; aefa4: try { goto f118a; Bcdef: $session = $request->getSession(); goto Dcdf1; Dcdf1: $siteUpdater = $this->getSiteUpdater($site); goto C8c62; f118a: $user = $this->getUser(); goto Bcdef; d8a4d: $eventData = ["\x73\151\164\x65" => $site->getDomainName()]; goto dff6e; dff6e: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto F0708; F0708: $session->getFlashBag()->set("\x73\165\143\143\x65\163\163", $this->translator->trans("\x50\x61\x67\145\40\123\160\145\x65\144\40\103\x61\143\150\x65\40\x68\x61\x73\x20\142\145\145\x6e\40\160\165\x72\x67\x65\x64\x2e")); goto D1447; C8c62: $siteUpdater->purgePageSpeedCache(); goto d8a4d; D1447: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\156\x20\145\x72\162\157\x72\40\150\141\163\40\157\x63\143\165\162\x72\x65\144\x2c\x20\145\x72\x72\157\162\40\x6d\x65\x73\x73\x61\x67\145\x3a\x20\x25\145\x72\162\157\162\115\145\163\x73\x61\147\x65\x25", ["\45\145\x72\162\x6f\162\x4d\145\163\x73\141\x67\145\x25" => $e->getMessage()])); } goto f4a84; f4a84: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\137\163\145\x74\x74\151\156\147\x73", ["\x64\157\155\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto Ea6f0; Eb584: if (false === is_null($site)) { goto df20e; } goto afdae; De857: $site = $this->getSite($request); goto Eb584; a88f9: df20e: goto aefa4; Ea6f0: return $response; goto fcebb; a6d43: goto D8a3e; goto a88f9; afdae: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\163")); goto a6d43; C1f45: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto Bb051; f5d68: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\x61\x73\x73" => "\x62\164\x6e\x20\x62\164\x6e\x2d\x62\154\x75\145\x20\142\164\156\55\154\x67"], "\154\141\142\x65\154" => "\x53\x61\166\x65"]); goto a87fe; Bb051: $form = $this->createForm("\101\160\160\134\106\x6f\x72\155\x5c\x53\151\164\x65\104\157\155\141\151\x6e\123\x65\164\164\x69\156\147\x73\124\x79\x70\x65", $data, ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\137\x73\x65\x74\164\151\156\147\163", ["\x64\x6f\155\141\151\156\116\x61\155\145" => $site->getDomainName()]), "\x6d\145\164\150\157\144" => "\x50\117\x53\124", "\x61\164\164\x72" => []]); goto f5d68; a87fe: return $form; goto e2aa2; e2aa2: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto Dbb39; Dbb39: $form = $this->createForm("\x41\160\160\x5c\106\157\x72\155\x5c\x53\x69\x74\x65\x55\x73\145\162\x53\145\x74\x74\151\x6e\147\163\124\x79\160\145", $data, ["\141\143\x74\151\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\137\x73\145\164\164\x69\156\147\163", ["\x64\x6f\155\141\x69\x6e\116\141\155\x65" => $site->getDomainName()]), "\155\x65\x74\x68\157\144" => "\x50\117\x53\x54", "\141\164\x74\162" => []]); goto f33ff; A2246: return $form; goto a03f5; f33ff: $form->add("\x73\165\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\141\x73\x73" => "\142\164\x6e\x20\x62\164\x6e\55\x62\x6c\165\x65\x20\x62\x74\x6e\x2d\x6c\x67"], "\154\x61\x62\x65\154" => "\x53\141\166\x65"]); goto A2246; a03f5: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto D2d46; F7fc2: $form->add("\163\165\142\x6d\151\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\x6c\141\163\163" => "\x62\164\156\40\142\164\156\55\142\x6c\165\x65\x20\x62\164\156\x2d\x6c\x67"], "\154\141\x62\x65\154" => "\123\x61\x76\145"]); goto b23aa; b23aa: return $form; goto fc420; D2d46: $form = $this->createForm("\101\160\160\x5c\106\157\162\x6d\x5c\123\x69\164\145\x50\141\147\x65\x53\160\145\x65\x64\x53\145\164\164\x69\x6e\x67\x73\x54\x79\160\x65", $data, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\163\x69\x74\145\137\x73\x65\164\x74\151\x6e\147\163", ["\x64\x6f\155\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()]), "\155\145\164\150\x6f\x64" => "\120\x4f\123\124", "\141\164\x74\x72" => []]); goto F7fc2; fc420: } private function createReverseProxySettingsForm(Site $site) : Form { goto ca67b; b3e73: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\x61\164\164\162" => ["\x63\x6c\141\x73\x73" => "\142\x74\156\40\x62\164\156\55\142\154\x75\145\x20\x62\164\x6e\x2d\x6c\147"], "\x6c\x61\142\145\x6c" => "\x53\x61\166\145"]); goto c6d6e; c6d6e: return $form; goto Dbc40; ca67b: $data = ["\162\145\x76\145\162\x73\x65\x50\x72\157\x78\171\125\x72\x6c" => $site->getReverseProxyUrl()]; goto dd7c1; dd7c1: $form = $this->createForm("\x41\x70\160\134\106\x6f\162\155\x5c\x53\x69\164\145\122\x65\x76\x65\162\163\x65\120\162\157\x78\x79\123\145\x74\164\x69\156\147\163\124\x79\x70\145", $data, ["\x61\143\164\151\x6f\156" => $this->generateUrl("\143\154\x70\137\163\x69\164\145\x5f\163\145\164\164\151\x6e\147\x73", ["\144\157\x6d\141\x69\156\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\x50\117\123\124", "\x61\164\164\x72" => ["\x69\x64" => "\x72\145\166\x65\162\163\145\x2d\x70\x72\x6f\170\x79\x2d\163\145\x74\164\151\x6e\x67\163\x2d\x66\x6f\162\x6d"]]); goto b3e73; Dbc40: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto E444e; E444e: $form = $this->createForm("\101\160\x70\134\x46\x6f\x72\155\134\x53\151\x74\x65\x4e\157\144\x65\x6a\x73\x53\145\164\x74\x69\156\147\x73\124\x79\160\x65", $nodejsSettings, ["\141\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\137\163\x65\x74\x74\x69\x6e\x67\163", ["\144\157\155\x61\151\156\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\145\x74\150\157\x64" => "\120\117\x53\x54", "\141\x74\x74\x72" => ["\151\x64" => "\x6e\157\144\x65\x6a\163\55\x73\145\164\x74\x69\156\x67\x73\55\x66\x6f\x72\155"]]); goto bdcf7; bdcf7: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\154\141\163\x73" => "\142\164\156\x20\142\164\x6e\55\142\154\x75\x65\x20\142\164\156\x2d\x6c\147"], "\154\x61\142\x65\154" => "\123\141\166\x65"]); goto ff012; ff012: return $form; goto Faa43; Faa43: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto d910c; F5918: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\141\x73\x73" => "\x62\x74\156\x20\142\x74\x6e\55\x62\x6c\x75\145\40\142\x74\x6e\55\x6c\147"], "\154\x61\142\145\154" => "\123\141\x76\x65"]); goto E3b37; d910c: $form = $this->createForm("\101\160\160\x5c\x46\x6f\162\155\x5c\x53\x69\164\145\x50\150\160\123\x65\x74\164\151\x6e\x67\163\124\171\x70\x65", $phpSettings, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\x5f\163\x65\x74\x74\x69\156\147\163", ["\x64\x6f\155\141\x69\x6e\116\x61\155\145" => $site->getDomainName()]), "\x6d\145\x74\150\157\144" => "\120\x4f\x53\x54", "\x61\x74\164\162" => []]); goto F5918; E3b37: return $form; goto f02d7; f02d7: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto ff6d7; ff6d7: $form = $this->createForm("\x41\160\x70\x5c\x46\x6f\x72\155\134\123\x69\164\x65\120\x79\164\150\x6f\156\123\x65\164\x74\151\156\x67\163\124\x79\x70\145", $pythonSettings, ["\x61\x63\164\151\157\156" => $this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\137\163\x65\x74\164\151\156\147\163", ["\x64\157\x6d\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()]), "\x6d\145\x74\150\157\144" => "\x50\x4f\x53\124", "\141\x74\164\162" => []]); goto E994f; dec0a: return $form; goto c1e12; E994f: $form->add("\163\x75\x62\155\x69\164", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\x61\x73\x73" => "\x62\x74\156\x20\x62\x74\x6e\55\142\154\x75\145\x20\142\x74\156\55\154\x67"], "\x6c\x61\142\x65\x6c" => "\x53\x61\166\x65"]); goto dec0a; c1e12: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto C24ae; C24ae: $form = $this->createForm("\x41\160\160\134\x46\157\162\155\134\x53\151\164\x65\104\145\154\145\164\145\x54\x79\160\x65", $data, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\145\x5f\x73\x65\164\164\151\156\147\163", ["\x64\x6f\x6d\x61\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\164\x68\x6f\x64" => "\120\117\x53\x54", "\141\x74\x74\x72" => []]); goto f3942; a4cac: return $form; goto de04f; f3942: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\141\164\x74\x72" => ["\x63\154\x61\x73\163" => "\142\x74\156\40\142\164\x6e\55\142\x6c\165\145\40\x62\164\156\x2d\154\x67", "\144\151\163\141\142\154\145\144" => "\x64\151\x73\141\142\x6c\145\144"], "\154\141\142\145\154" => "\x44\x65\x6c\x65\x74\x65\x20\123\x69\x74\145"]); goto a4cac; de04f: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto Ab94a; aee20: goto c7ee9; goto F0365; b9818: c7ee9: goto A66e8; B0665: $this->formErrors = $this->getErrorMessages($form); goto aee20; F0365: Daec8: goto b5cfb; Ab94a: if (true === $form->isValid()) { goto Daec8; } goto B0665; b5cfb: try { goto ed547; D858d: $session = $request->getSession(); goto ed7e3; D4853: $siteEntity = $this->getSiteEntity($domainName); goto b2e72; b2e72: if (!(false === is_null($siteEntity))) { goto D1fd1; } goto b38c8; Ba528: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\137\x73\x65\164\164\151\x6e\x67\163", ["\144\x6f\x6d\141\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto fba0e; ed547: $user = $this->getUser(); goto D858d; b7467: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\122\x6f\x6f\x74\40\104\x69\162\x65\x63\164\x6f\162\171\x20\150\141\163\40\x62\145\x65\156\x20\163\x61\166\x65\144\56")); goto a3780; a3780: D1fd1: goto Ba528; fba0e: return $response; goto f27b2; fbec7: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto b7467; ed7e3: $domainName = $site->getDomainName(); goto D4853; b8e1a: $this->siteEntityManager->updateEntity($siteEntity); goto cedd7; b81e2: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x72\157\157\x74\104\151\x72\x65\x63\164\157\x72\x79" => $rootDirectory]; goto fbec7; b38c8: $rootDirectory = rtrim($form->get("\x72\157\157\164\x44\x69\162\145\143\164\x6f\x72\x79")->getData(), "\x2f"); goto c5adf; cedd7: $siteUpdater = $this->getSiteUpdater($site); goto df4eb; b1c31: $siteEntity->setRootDirectory($rootDirectory); goto b8e1a; c5adf: $site->setRootDirectory($rootDirectory); goto b1c31; df4eb: $siteUpdater->domainSettings(); goto b81e2; f27b2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\101\x6e\x20\145\162\x72\x6f\162\x20\x68\x61\x73\40\x6f\x63\143\165\162\x72\x65\x64\54\x20\145\x72\x72\157\162\x20\x6d\x65\163\x73\141\147\145\x3a\x20\45\x65\x72\162\157\162\115\x65\x73\163\x61\147\x65\x25", ["\x25\145\162\x72\157\162\115\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto b9818; A66e8: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto fddee; fddee: if (true === $form->isValid()) { goto Ce59d; } goto D8861; B7436: try { goto C38fa; e2f22: $this->siteEntityManager->updateEntity($siteEntity); goto bb713; c2ce5: if (!(false === is_null($siteEntity))) { goto c89c9; } goto f258c; F5923: $siteUpdater->changeUserPassword($siteUser, $password); goto fb240; A9987: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\163", $this->translator->trans("\123\x69\164\x65\x20\125\163\x65\x72\40\x53\145\164\x74\151\156\147\x73\x20\x68\x61\166\145\x20\x62\x65\145\156\x20\163\141\x76\x65\x64\56")); goto e276c; f258c: $siteUser = $site->getUser(); goto c659e; ca68c: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto A9987; f23bd: return $response; goto A7d02; f767c: $password = trim($form->get("\x70\141\163\x73\x77\x6f\x72\144")->getData()); goto b9714; d918d: if (!(false === empty($password))) { goto Aa8cc; } goto F5923; Abb86: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto d918d; bb713: $siteUpdater = $this->getSiteUpdater($site); goto Abb86; fb240: Aa8cc: goto f5749; C38fa: $user = $this->getUser(); goto e9d17; e0ded: $siteEntity = $this->getSiteEntity($domainName); goto c2ce5; e276c: c89c9: goto d46d0; d46d0: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\x65\137\x73\145\x74\x74\x69\156\x67\x73", ["\x64\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto f23bd; b9714: $siteEntity->setSshKeys($sshKeys); goto e2f22; c659e: $sshKeys = trim($form->get("\163\x73\x68\x4b\145\171\163")->getData()); goto f767c; e9d17: $session = $request->getSession(); goto A2afe; f5749: $eventData = ["\x73\151\164\x65" => $domainName, "\163\163\x68\113\145\x79\163" => $sshKeys]; goto ca68c; A2afe: $domainName = $site->getDomainName(); goto e0ded; A7d02: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\101\156\40\x65\162\162\x6f\x72\40\150\x61\163\40\x6f\143\143\x75\x72\162\145\144\54\40\x65\162\162\x6f\162\40\155\x65\163\x73\141\147\x65\72\40\x25\145\x72\162\157\x72\115\x65\163\163\141\147\x65\45", ["\x25\x65\x72\x72\157\162\115\145\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto d1b06; D6f28: goto d22b8; goto C4254; C4254: Ce59d: goto B7436; D8861: $this->formErrors = $this->getErrorMessages($form); goto D6f28; d1b06: d22b8: goto d37ff; d37ff: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto A9a55; f7aeb: ffbf4: goto Cfce6; D410a: $this->formErrors = $this->getErrorMessages($form); goto cc61b; e8d3d: a6508: goto C0ac4; cc61b: goto a6508; goto f7aeb; A9a55: if (true === $form->isValid()) { goto ffbf4; } goto D410a; Cfce6: try { goto a5734; A84cb: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\x65\137\163\145\x74\x74\x69\x6e\x67\163", ["\x64\157\x6d\x61\151\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto e3fcc; Bb7e5: $siteEntity->setPageSpeedEnabled($isEnabled); goto ff79d; C87c3: $siteUpdater->purgePageSpeedCache(); goto Bb7e5; ee203: $eventData = ["\x73\151\164\x65" => $domainName, "\160\141\147\145\x53\x70\x65\145\144\x45\156\x61\x62\154\x65\x64" => $isEnabled, "\x70\x61\147\x65\123\x70\145\x65\144\x53\145\x74\164\151\156\147\x73" => $settings]; goto e5f5a; a5734: $user = $this->getUser(); goto a7f47; Dc719: if (!(false === is_null($siteEntity))) { goto f7900; } goto De45b; c0308: f7900: goto A84cb; f7e42: $domainName = $site->getDomainName(); goto Ba5aa; d52eb: $settings = trim($form->get("\x73\x65\164\164\x69\x6e\x67\163")->getData()); goto d2c47; Ef9cb: $siteUpdater = $this->getSiteUpdater($site); goto a7111; a7f47: $session = $request->getSession(); goto f7e42; Dd104: $this->siteEntityManager->updateEntity($siteEntity); goto ee203; ca94a: $site->setPageSpeedSettings($settings); goto Ef9cb; a7111: $siteUpdater->updateNginxVhostWithRollback(); goto C87c3; Ba5aa: $siteEntity = $this->getSiteEntity($domainName); goto Dc719; De45b: $isEnabled = $form->get("\x69\163\105\x6e\141\x62\x6c\x65\x64")->getData(); goto d52eb; e5f5a: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto De605; ff79d: $siteEntity->setPageSpeedSettings($settings); goto Dd104; e3fcc: return $response; goto a62a1; De605: $session->getFlashBag()->set("\163\165\143\143\x65\163\x73", $this->translator->trans("\120\x61\147\145\40\x53\160\145\x65\144\40\123\145\x74\x74\x69\156\x67\163\40\x68\141\x76\145\x20\142\145\x65\x6e\40\x73\x61\166\145\144\x2e")); goto c0308; d2c47: $site->setPageSpeedEnabled($isEnabled); goto ca94a; a62a1: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\x50\x61\147\x65\123\160\145\x65\144\x20\x53\145\164\164\151\156\147\40\x61\x72\145\x20\x6e\157\x74\x20\166\x61\x6c\151\144\x2c\40\x65\x72\162\x6f\162\x20\x6d\145\x73\163\141\x67\145\72\x20\x25\145\162\x72\157\x72\115\145\163\163\141\147\x65\x25", ["\45\x65\162\162\157\x72\115\x65\163\163\x61\147\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\101\156\x20\x65\x72\162\157\162\x20\x68\x61\163\40\157\x63\143\165\162\162\x65\144\54\40\145\x72\x72\157\x72\x20\155\x65\x73\163\141\147\145\x3a\x20\45\x65\x72\162\157\162\115\145\x73\163\141\x67\x65\x25", ["\45\x65\x72\162\157\162\115\145\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto e8d3d; C0ac4: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto cecc1; ddccf: ed685: goto d6c93; cecc1: if (true === $form->isValid()) { goto F8b24; } goto D8b49; D8b49: $this->formErrors = $this->getErrorMessages($form); goto a3a04; f5015: try { goto Ab1d9; de112: return $response; goto a91cd; ff15f: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\145\x73")); goto de112; c9aba: if (!(false === is_null($siteEntity))) { goto F116e; } goto f821c; Dcb27: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto c1146; f821c: $siteDeleter = $this->getSiteDeleter($site); goto b9d44; F867f: $eventData = ["\x73\x69\164\x65" => $domainName, "\x74\171\160\145" => $site->getType()]; goto Dcb27; c1146: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\x53\151\x74\x65\40\x68\x61\163\x20\142\145\145\x6e\x20\144\145\x6c\145\164\x65\144\x2e")); goto c3c37; Cd611: $siteEntity = $this->getSiteEntity($domainName); goto c9aba; c9279: $this->siteEntityManager->deleteEntity($siteEntity); goto F867f; e5928: $session = $request->getSession(); goto B7798; Ab1d9: $user = $this->getUser(); goto e5928; B7798: $domainName = $site->getDomainName(); goto Cd611; b9d44: $siteDeleter->delete(); goto c9279; c3c37: F116e: goto ff15f; a91cd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\x20\x65\162\162\x6f\162\40\150\x61\x73\40\x6f\x63\143\x75\162\162\145\x64\54\x20\x65\162\162\157\x72\x20\155\x65\x73\163\x61\147\145\x3a\40\x25\145\162\162\x6f\x72\x4d\145\x73\163\141\147\145\x25", ["\45\145\162\x72\x6f\x72\x4d\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto ddccf; a3a04: goto ed685; goto C9581; C9581: F8b24: goto f5015; d6c93: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto c54ad; B957a: b3daf: goto C4ecb; F3cbf: C8b91: goto af678; af678: try { goto c844a; d5b7f: $eventData = ["\x73\x69\164\x65" => $domainName, "\x6e\157\x64\x65\152\163\126\145\162\x73\x69\157\x6e" => $nodejsVersion, "\x70\157\x72\164" => $nodejsSettings->getPort()]; goto A4b9c; F080b: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto c1265; af29f: $siteUpdater->nodejsSettings(); goto a2cf7; Efb11: if (!(false === is_null($siteEntity))) { goto E8aff; } goto B655a; c1265: $siteUpdater = $this->getSiteUpdater($site); goto Aa903; B6378: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\x73", $this->translator->trans("\x4e\x6f\x64\x65\x2e\152\x73\40\123\145\x74\x74\x69\x6e\147\163\40\150\x61\166\x65\x20\142\145\145\156\x20\163\141\x76\145\x64\x2e")); goto a6877; c844a: $user = $this->getUser(); goto b9602; C6382: $siteEntity = $this->getSiteEntity($domainName); goto Efb11; b9602: $session = $request->getSession(); goto Ea9ee; B655a: $nodejsSettings = $form->getData(); goto E6cf8; Aa903: if (!(true === $hasNodejsVersionChanged)) { goto C0c47; } goto Cd7ea; Ea9ee: $domainName = $site->getDomainName(); goto C6382; afb79: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\137\163\x65\x74\164\151\156\147\x73", ["\x64\157\x6d\141\151\156\116\141\155\x65" => $site->getDomainName()])); goto D7da6; A4b9c: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto B6378; a6877: E8aff: goto afb79; a2cf7: $this->siteEntityManager->updateEntity($siteEntity); goto d5b7f; b25aa: C0c47: goto af29f; D7da6: return $response; goto E49c5; E6cf8: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto F080b; Cd7ea: $siteUpdater->installNodejsVersion(); goto b25aa; E49c5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\101\x6e\x20\x65\162\x72\x6f\162\40\150\141\163\x20\157\143\143\165\162\x72\145\x64\54\40\145\162\162\157\162\40\155\145\x73\163\141\x67\x65\72\40\45\145\x72\162\157\x72\x4d\145\x73\x73\141\147\145\x25", ["\45\145\162\162\x6f\162\x4d\x65\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto B957a; c54ad: if (true === $form->isValid()) { goto C8b91; } goto f8ab1; f8ab1: $this->formErrors = $this->getErrorMessages($form); goto C948a; C948a: goto b3daf; goto F3cbf; C4ecb: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto e98a4; ee00a: try { goto C8c24; a8122: if (!(false === is_null($siteEntity))) { goto d4907; } goto Fcbaa; C8c24: $user = $this->getUser(); goto Af1a6; F9ff6: $eventData = ["\x73\151\x74\145" => $domainName, "\x70\x79\x74\150\157\x6e\126\145\x72\163\x69\157\x6e" => $pythonVersion, "\x70\x6f\162\164" => $pythonSettings->getPort()]; goto Deb92; f6a6f: $pythonVersion = $pythonSettings->getPythonVersion(); goto A7944; e2973: $siteUpdater->pythonSettings(); goto F489e; bcf6b: $siteUpdater->writePythonVersionFile(); goto e2973; ed242: $domainName = $site->getDomainName(); goto A905e; F489e: $this->siteEntityManager->updateEntity($siteEntity); goto F9ff6; A905e: $siteEntity = $this->getSiteEntity($domainName); goto a8122; Af1a6: $session = $request->getSession(); goto ed242; A7944: $siteUpdater = $this->getSiteUpdater($site); goto bcf6b; Deb92: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto C9def; Fcbaa: $pythonSettings = $form->getData(); goto f6a6f; D557c: return $response; goto C553a; da6b8: d4907: goto bf244; bf244: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\x65\137\x73\x65\164\164\x69\x6e\x67\x73", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto D557c; C9def: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\x73", $this->translator->trans("\120\171\x74\150\x6f\x6e\x20\x53\x65\164\x74\151\156\147\x73\40\150\141\166\x65\40\142\x65\x65\156\40\163\141\166\145\x64\x2e")); goto da6b8; C553a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\x72\x72\x6f\x72\x20\150\141\x73\40\x6f\143\143\165\x72\x72\x65\144\54\40\x65\162\x72\x6f\x72\40\x6d\145\163\x73\x61\x67\145\72\x20\x25\x65\162\x72\157\162\115\145\x73\163\141\x67\145\x25", ["\45\145\x72\162\x6f\x72\115\145\163\163\141\x67\145\45" => $e->getMessage()])); } goto f8416; e98a4: if (true === $form->isValid()) { goto a0f54; } goto a44df; E773b: a0f54: goto ee00a; a44df: $this->formErrors = $this->getErrorMessages($form); goto d53a2; d53a2: goto F255a; goto E773b; f8416: F255a: goto A96bb; A96bb: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto c4022; cbd49: goto A77de; goto E813d; c4022: if (true === $form->isValid()) { goto ac296; } goto b8138; b8138: $this->formErrors = $this->getErrorMessages($form); goto cbd49; F2b39: A77de: goto d63ea; A64ea: try { goto fce93; c83ac: $siteUpdater = $this->getSiteUpdater($site); goto c5f05; Fb4e5: $siteEntity = $this->getSiteEntity($domainName); goto c6ff5; c5f05: $siteUpdater->updateNginxVhostWithRollback(); goto B4647; C7080: $eventData = ["\x73\151\164\145" => $domainName, "\x72\145\x76\145\x72\x73\145\120\162\157\170\171\125\162\x6c" => $reverseProxyUrl]; goto Cb0d1; E6f1f: $reverseProxyUrl = $form->get("\x72\145\166\x65\x72\163\145\x50\162\x6f\170\171\125\162\154")->getData(); goto cb344; cb344: $site->setReverseProxyUrl($reverseProxyUrl); goto C4c15; C4c15: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto c83ac; f3e1c: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\x52\145\x76\x65\162\x73\x65\x20\120\x72\157\x78\x79\40\x53\145\x74\164\x69\x6e\x67\163\40\x68\141\x76\x65\40\142\x65\145\156\40\163\x61\x76\x65\144\x2e")); goto A8b66; B4647: $this->siteEntityManager->updateEntity($siteEntity); goto C7080; Cb0d1: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto f3e1c; fce93: $user = $this->getUser(); goto Fca95; da9a6: $domainName = $site->getDomainName(); goto Fb4e5; A8b66: f5cbc: goto F1367; c6ff5: if (!(false === is_null($siteEntity))) { goto f5cbc; } goto E6f1f; Fca95: $session = $request->getSession(); goto da9a6; B79da: return $response; goto F1e02; F1367: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\x5f\163\145\x74\164\x69\156\147\x73", ["\144\x6f\155\x61\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto B79da; F1e02: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\101\x6e\x20\145\x72\162\157\162\40\x68\141\x73\x20\157\x63\143\165\x72\162\145\144\54\x20\x65\162\x72\157\x72\x20\x6d\x65\163\x73\141\x67\x65\72\40\45\145\x72\162\x6f\162\x4d\x65\163\163\141\x67\x65\45", ["\45\145\162\162\157\162\115\145\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto F2b39; E813d: ac296: goto A64ea; d63ea: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto e330a; d0cda: goto a7ded; goto F8b26; F8b26: a9fc8: goto Cc5ee; e330a: if (true === $form->isValid()) { goto a9fc8; } goto F60d6; F60d6: $this->formErrors = $this->getErrorMessages($form); goto d0cda; c5b07: a7ded: goto E40f6; Cc5ee: try { goto af1b4; a9605: $domainName = $site->getDomainName(); goto C3b07; E8832: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto d1db8; de409: $this->siteEntityManager->updateEntity($siteEntity); goto Ce535; Cb275: $session = $request->getSession(); goto a9605; cf65d: if (!(false === is_null($siteEntity))) { goto d936f; } goto c767e; Ff43f: return $response; goto b1901; fb533: $siteUpdater = $this->getSiteUpdater($site); goto F4372; C846b: $siteUpdater->phpSettings(); goto de409; af1b4: $user = $this->getUser(); goto Cb275; ca6d1: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\163", $this->translator->trans("\x50\x48\120\40\x53\x65\x74\x74\x69\x6e\147\163\40\x68\141\x76\x65\x20\142\x65\x65\156\x20\163\141\166\x65\x64\56")); goto D80d4; D80d4: d936f: goto e805e; D9ff2: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto ca6d1; Ce535: $eventData = ["\x73\x69\x74\x65" => $domainName, "\160\x68\160\x56\x65\x72\163\151\x6f\156" => $phpSettings->getPhpVersion(), "\x6d\x65\155\157\x72\171\x5f\154\x69\x6d\x69\164" => $phpSettings->getMemoryLimit(), "\x6d\141\170\137\x65\170\145\143\x75\x74\151\157\x6e\137\x74\x69\x6d\145" => $phpSettings->getMaxExecutionTime(), "\155\141\x78\137\151\x6e\x70\x75\x74\x5f\x74\x69\155\x65" => $phpSettings->getMaxInputTime(), "\155\141\170\137\x69\156\160\x75\164\137\x76\x61\x72\163" => $phpSettings->getMaxInputVars(), "\160\157\163\x74\x5f\x6d\141\x78\x5f\x73\151\172\145" => $phpSettings->getPostMaxSize(), "\165\160\154\157\141\144\137\155\x61\170\137\146\x69\x6c\145\x73\151\x7a\145" => $phpSettings->getUploadMaxFileSize()]; goto D9ff2; c767e: $phpSettings = $form->getData(); goto Cfcac; F4372: if (!(true === $hasPhpVersionChanged)) { goto B134c; } goto E8832; e805e: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\x5f\163\x65\x74\164\x69\x6e\147\163", ["\x64\x6f\x6d\x61\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto Ff43f; d1db8: B134c: goto C846b; Cfcac: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto fb533; C3b07: $siteEntity = $this->getSiteEntity($domainName); goto cf65d; b1901: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\157\x72\x20\x68\141\163\x20\x6f\x63\x63\165\x72\162\145\x64\x2c\x20\x65\162\162\x6f\162\40\155\145\163\163\141\x67\x65\72\40\45\145\162\x72\x6f\162\115\x65\163\x73\141\x67\145\x25", ["\x25\x65\162\x72\157\x72\115\x65\163\163\x61\147\x65\45" => $e->getMessage()])); } goto c5b07; E40f6: } private function getSite(Request $request) : ?Site { goto ad27c; f4050: $site->setCronJobs($siteEntity->getCronJobs()); goto Ab559; D8c99: $site->setSshUsers($siteEntity->getSshUsers()); goto F4973; ed3bc: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto c3d43; } goto bec93; baadb: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto a8e92; b98d6: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto faaf6; a8e92: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto af14b; b593c: $site->setDatabases($siteDatabases); goto F702d; e063b: $site->setRegistrableDomain($registrableDomain); goto a60ca; C3955: $site->setBasicAuth($siteEntity->getBasicAuth()); goto dbb0c; a60ca: $site->setSubdomain($subdomain); goto Fd4bd; bf020: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto B99c7; A8c19: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto A4e31; A4e31: goto f98e1; goto a070c; B99c7: $site = new NodejsSite(); goto A8c19; a070c: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto f98e1; case SiteEntity::TYPE_PHP: goto Ea742; d08f3: $site->setVarnishCache($siteEntity->getVarnishCache()); goto Ad2fb; D56a4: $site->setPhpSettings($siteEntity->getPhpSettings()); goto d08f3; Ad2fb: goto f98e1; goto Fc383; Ea742: $site = new PhpSite(); goto D56a4; Fc383: case SiteEntity::TYPE_PYTHON: goto Fc3c2; bc68c: goto f98e1; goto Fd572; Fc3c2: $site = new PythonSite(); goto a8196; a8196: $site->setPythonSettings($siteEntity->getPythonSettings()); goto bc68c; Fd572: case SiteEntity::TYPE_REVERSE_PROXY: goto d70ba; abbb1: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto E67c8; E67c8: goto f98e1; goto ac61d; d70ba: $site = new ReverseProxySite(); goto abbb1; ac61d: } goto c2def; C6577: A189a: goto C7982; af14b: $subdomain = $resolvedDomainName->subDomain()->toString(); goto c61d2; F2a4f: $site->setBlockedIps($siteEntity->getBlockedIps()); goto b593c; Dd5da: $site->setUser($siteEntity->getUser()); goto Cfd12; c2def: f0cce: goto B37e3; B7ef7: return $site; goto D5697; dc04d: if (!(false === is_null($site))) { goto A189a; } goto baadb; ad27c: $user = $this->getUser(); goto eebed; a9658: if (!(false === is_null($siteEntity))) { goto c6858; } goto ed3bc; Db968: $siteEntity = $this->getSiteEntity($domainName); goto A8b39; dbb0c: $site->setBlockedBots($siteEntity->getBlockedBots()); goto F2a4f; F702d: $site->setCertificate($siteEntity->getCertificate()); goto F7a61; A8b39: $site = null; goto a9658; A2b24: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto C6577; Ba80e: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto A2b24; Cfd12: $site->setDomainName($siteEntity->getDomainName()); goto e063b; C76ac: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Dd5da; c61d2: $subdomain = false === empty($subdomain) ? $subdomain : null; goto C76ac; faaf6: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto Ba80e; C7982: c6858: goto B7ef7; Fd4bd: $site->setRootDirectory($siteEntity->getRootDirectory()); goto C3955; b9621: $siteType = $siteEntity->getType(); goto bf020; eebed: $domainName = $request->get("\x64\157\155\141\151\x6e\x4e\x61\155\x65"); goto Db968; F4973: $site->setSshKeys($siteEntity->getSshKeys()); goto b98d6; B37e3: f98e1: goto dc04d; Ab559: $site->setFtpUsers($siteEntity->getFtpUsers()); goto D8c99; F7a61: $site->setCertificates($siteEntity->getCertificates()); goto f4050; C6c79: c3d43: goto b9621; bec93: return null; goto C6c79; D5697: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto B036d; f2c2e: foreach ($databaseEntities as $databaseEntity) { goto b6bd2; Ffbfc: d0f25: goto f7e0d; D3c83: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto d7cf2; } goto aea59; c6ff7: d7cf2: goto Ffbfc; b6bd2: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto D3c83; aea59: $siteDatabases->add($databaseEntity); goto c6ff7; f7e0d: } goto d9d14; c5b68: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Cd8f5; d9d14: Aba7b: goto d72d7; Cd8f5: $databaseEntities = $siteEntity->getDatabases(); goto f2c2e; B036d: $siteDatabases = new ArrayCollection(); goto c5b68; d72d7: return $siteDatabases; goto Cb6d6; Cb6d6: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto B190a; F10e6: Ec157: goto e5c95; B190a: $siteUpdater = null; goto F43e2; ba496: ac0ac: goto F10e6; F43e2: $siteType = $site->getType(); goto D1c52; D1c52: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Ec157; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Ec157; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Ec157; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Ec157; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Ec157; } goto ba496; e5c95: return $siteUpdater; goto f986d; f986d: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto e2cdf; b54d5: return $siteDeleter; goto d479f; e2cdf: $siteDeleter = null; goto D6edb; fd299: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto B5d11; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto B5d11; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto B5d11; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto B5d11; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto B5d11; } goto C7266; D6edb: $siteType = $site->getType(); goto fd299; C7266: bd2b9: goto cb19c; cb19c: B5d11: goto b54d5; d479f: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
