<?php
 namespace App\Database; use App\Database\Connection as DatabaseConnection; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\System\Command\DeleteDirectoryCommand; class Manager { private DatabaseConnection $databaseConnection; private DatabaseServerEntity $databaseServerEntity; public function __construct(DatabaseServerEntity $databaseServerEntity) { $this->databaseServerEntity = $databaseServerEntity; $this->databaseConnection = new DatabaseConnection($databaseServerEntity); } public function createDatabase(DatabaseEntity $databaseEntity) : void { $this->databaseConnection->createDatabase($databaseEntity); } public function deleteDatabase(DatabaseEntity $databaseEntity, $withUsers = true) : void { goto F9b7c; f6759: if (!(true === $withUsers)) { goto defe9; } goto d2c24; d2c24: $databaseUsers = $databaseEntity->getUsers(); goto fbd23; A7dc2: defe9: goto d85ca; d85ca: $this->deleteDatabaseBackups($databaseEntity); goto b37d9; F9b7c: $this->databaseConnection->deleteDatabase($databaseEntity); goto f6759; fbd23: foreach ($databaseUsers as $databaseUser) { $this->databaseConnection->deleteUser($databaseUser); F6d90: } goto dc56e; dc56e: Ed36a: goto A7dc2; b37d9: } public function createUser(DatabaseUserEntity $databaseUserEntity) : void { $this->databaseConnection->createUser($databaseUserEntity); } public function deleteUser(DatabaseUserEntity $databaseUserEntity) : void { $this->databaseConnection->deleteUser($databaseUserEntity); } private function deleteDatabaseBackups(DatabaseEntity $databaseEntity) { goto fc2d2; Ae966: $commandExecutor = new CommandExecutor(); goto c0e82; d7467: $deleteDatabaseBackupDirectoryCommand = new DeleteDirectoryCommand(); goto B50b4; fc2d2: $siteEntity = $databaseEntity->getSite(); goto Bc14f; Bc14f: $siteUser = $siteEntity->getUser(); goto C496c; C496c: $databaseName = $databaseEntity->getName(); goto B541b; B541b: $databaseBackupDirectory = sprintf("\57\x68\157\x6d\x65\x2f\x25\x73\57\x62\141\x63\153\x75\x70\x73\x2f\x64\x61\164\x61\x62\x61\x73\145\163\x2f\45\x73\x2f", $siteUser, $databaseName); goto d7467; B50b4: $deleteDatabaseBackupDirectoryCommand->setDirectory($databaseBackupDirectory); goto Ae966; c0e82: $commandExecutor->execute($deleteDatabaseBackupDirectoryCommand); goto Dc469; Dc469: } }
