<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\164\x74\160\x73\x3a\x2f\57\144\63\x71\156\x64\x35\x34\x71\70\147\142\63\x6a\145\x2e\143\154\x6f\165\x64\x66\x72\157\156\164\x2e\x6e\145\164\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto D1ee8; D1ee8: $this->configManager = $configManager; goto A8d8a; a68ac: $this->userManager = $userManager; goto bb6f0; bb6f0: $this->cachePool = $cachePool; goto d0da7; A8d8a: $this->databaseServerManager = $databaseServerManager; goto a68ac; d0da7: $this->twig = $twig; goto Bb6cd; Bb6cd: } public function onKernelRequest(RequestEvent $event) : void { goto C1a4d; df9eb: $this->initialize($event); goto ef2b8; bb33b: return; goto D12a8; D12a8: C8eda: goto df9eb; C1a4d: if (!(false === $event->isMainRequest())) { goto C8eda; } goto bb33b; ef2b8: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto Efefd; Fcf0a: if (!$command instanceof Command) { goto fd879; } goto c0e8d; Efefd: $command = $event->getCommand(); goto Fcf0a; c0e8d: $this->initialize($event); goto B0669; B0669: fd879: goto d893f; d893f: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto Fd143; c25c4: $this->setCloudPanelVersion(); goto Be0d5; Fd382: $this->setEnvironment($event); goto Aad71; ac45e: $this->setLetsEncryptPrivateKey(); goto Cadc4; E1bc1: $this->setInstanceUid(); goto c25c4; Cadc4: $this->setDatabaseServer($event); goto Fd382; Fd143: $this->setTimezone(); goto E1bc1; Be0d5: $this->setCloudPanelReleaseChannel(); goto ac45e; Aad71: } private function setTimezone() : void { goto ec8f7; ec8f7: $timezone = $this->configManager->get("\x74\151\x6d\145\x7a\157\156\x65"); goto d7ce8; d7ce8: if (!(true === is_null($timezone))) { goto F4423; } goto Cdd6b; Cdd6b: $this->configManager->set("\x74\x69\155\x65\x7a\157\x6e\145", "\125\x54\103"); goto D6f95; D6f95: F4423: goto Cd6fc; Cd6fc: } private function setInstanceUid() : void { goto fbb2f; B2874: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto e972b; fe734: e41ae: goto f8361; E9c72: if (!(true === is_null($instanceUid))) { goto e41ae; } goto B2874; fbb2f: $instanceUid = $this->configManager->get("\151\x6e\x73\x74\141\x6e\143\x65\137\165\x69\144"); goto E9c72; e972b: $this->configManager->set("\151\x6e\163\164\x61\156\143\x65\x5f\x75\x69\144", $instanceUid); goto fe734; f8361: } private function setCloudPanelVersion() : void { goto b9456; ad31f: c317c: goto A0dc8; b9456: $appVersion = $_ENV["\101\x50\x50\x5f\126\105\122\x53\111\117\116"] ?? null; goto Bc34e; d19bd: $this->configManager->set("\141\x70\160\137\166\145\162\163\x69\157\156", trim($appVersion)); goto ad31f; Bc34e: if (!(false === is_null($appVersion))) { goto c317c; } goto d19bd; A0dc8: } private function setCloudPanelReleaseChannel() : void { goto cba34; d6acf: if (!(true === is_null($releaseChannel))) { goto F7d03; } goto D0a35; c6b3b: F7d03: goto f66a8; cba34: $releaseChannel = $this->configManager->get("\x72\x65\154\145\141\x73\145\x5f\x63\x68\141\156\x6e\x65\154"); goto d6acf; D0a35: $this->configManager->set("\x72\x65\x6c\145\141\x73\x65\137\x63\x68\141\156\156\145\x6c", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto c6b3b; f66a8: } private function setLetsEncryptPrivateKey() { goto eddfb; Af0f7: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto b73d1; F0629: $rsaKeyGenerator = new RsaKeyGenerator(); goto Af0f7; Bb4a8: B6133: goto D8c6e; beb2e: if (!(0 < $numberOfUsers)) { goto B6133; } goto dbbff; A93ba: if (!(true === is_null($letsEncryptPrivateKey))) { goto Af524; } goto F0629; eddfb: $numberOfUsers = $this->userManager->countAll(); goto beb2e; Af28e: Af524: goto Bb4a8; dbbff: $letsEncryptPrivateKey = $this->configManager->get("\154\x65\x5f\x70\162\151\166\x61\164\145\x5f\153\145\x79"); goto A93ba; b73d1: $this->configManager->set("\154\x65\x5f\x70\x72\151\166\141\x74\x65\137\x6b\145\171", $privateKey->getPEM()); goto Af28e; D8c6e: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto ed06f; C2bdd: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto eaef3; } goto Af86e; E2371: $encryptedPassword = Crypto::encrypt($password); goto C0485; C1780: $databaseServers = $this->databaseServerManager->findAll(); goto C2bdd; B7266: $tmpDatabaseServer = clone $databaseServer; goto Fdfb1; Fa682: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto Ab442; D235e: if (!("\x64\145\x76" != $_ENV["\x41\120\x50\x5f\x45\x4e\x56"])) { goto e256a; } goto B7266; Ab442: $changeDatabaseUserPasswordCommand->setUserName("\x72\157\157\x74"); goto D1994; C5bd5: $databaseServer->setPassword($encryptedPassword); goto D235e; c94a2: $this->databaseServerManager->updateEntity($databaseServer); goto d50dd; f2000: $databaseServer->setUserName("\x72\157\157\164"); goto a8012; d6049: e256a: goto c94a2; a8012: $databaseServer->setPassword(Crypto::encrypt("\162\157\x6f\164")); goto Eef9f; d50dd: eaef3: goto adfde; D0dab: fca0d: goto Bb30b; D1994: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto Fcd45; Bb30b: $password = "\x72\157\157\164"; goto F625b; dc29f: $passwordGenerator = new PasswordGenerator(); goto a3212; a3212: $password = $passwordGenerator->generate(); goto B3013; F625b: Ff22f: goto E2371; Fcd45: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto C04b9; C0485: $databaseServer = $this->databaseServerManager->createEntity(); goto F7fe5; D78b3: $databaseConnection = new DatabaseConnection($databaseServer); goto d2ba6; Fdfb1: $tmpDatabaseServer->setPassword("\x72\x6f\157\x74"); goto e490d; B3013: goto Ff22f; goto D0dab; Eef9f: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto Ccaf8; Ccaf8: $databaseServer->setIsActive(true); goto D423c; D423c: $databaseServer->setIsDefault(true); goto D78b3; C04b9: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto d6049; Af86e: if ("\144\x65\x76" == $_ENV["\101\x50\120\x5f\105\116\126"]) { goto fca0d; } goto dc29f; ed06f: $numberOfUsers = $this->userManager->countAll(); goto C1780; Fa4c5: $databaseServer->setVersion($databaseConnection->getVersion()); goto C5bd5; d2ba6: $databaseServer->setEngine($databaseConnection->getEngine()); goto Fa4c5; e490d: $commandExecutor = new CommandExecutor(); goto Fa682; F7fe5: $databaseServer->setHost("\61\62\x37\56\x30\x2e\x30\56\61"); goto f2000; adfde: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto b0eaa; cbdc7: a7fb7: goto Bd0a8; B3508: $command->setInstance($instance); goto B44e8; c89d8: $command = $event->getCommand(); goto B3508; b0e1e: $request->attributes->set("\x69\x73\104\x61\162\153\115\x6f\144\145", $isDarkMode); goto b6a99; D7928: $host = $request->getHost(); goto d59ea; aeeae: if (!(false === is_null($instanceUid))) { goto baaf1; } goto Dbb42; Ebf6a: Dc274: goto ecb17; Dbb42: $instance->setUid($instanceUid); goto Bb267; B44e8: goto Dc274; goto C75c3; a0b1f: $environment = new CloudPanelEnvironment(); goto c1658; Fb130: $instance->setIpv4PublicIp($ipv4PublicIp); goto F79b7; c1eb6: if ($event instanceof RequestEvent) { goto e2eab; } goto c89d8; c1658: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto ddadf; Cc2db: $instance->setRegion($region); goto edae9; F6a32: $instanceId = $_ENV["\x44\x45\x56\x5f\101\127\123\137\111\116\123\x54\x41\x4e\x43\105\137\x49\x44"] ?? ''; goto C2ec8; C1693: if (!("\144\145\166" == $_ENV["\101\x50\120\137\x45\x4e\x56"])) { goto A4233; } goto F6a32; B25f0: $instance->setInstanceId($instanceId); goto d4e9a; ddadf: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto Bed82; C2ec8: $region = $_ENV["\104\x45\126\x5f\x41\x57\x53\x5f\x52\x45\107\x49\117\x4e"] ?? ''; goto B25f0; C31fd: goto a7fb7; goto A70c1; d4e9a: $instance->setInstanceType("\164\x33\56\x78\x6c\141\x72\x67\x65"); goto Cc2db; edae9: A4233: goto C31fd; Bed82: $instance = new AwsInstance(); goto C1693; A70c1: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto be5d2; A94ec: e8046: goto d0dbc; D80a3: $instance->setDropletId($dropletId); goto de9da; Acd6b: $instance->setIpv4PublicIp("\61\62\x37\x2e\x30\56\x30\56\x31"); goto A94ec; d0dbc: goto a7fb7; goto c386b; c714c: $instance = new DoInstance($doClient); goto fb0bb; be5d2: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto E6e82; fd5d7: $doClient->setToken($token); goto b1038; b1038: c3ccf: goto c714c; eefdc: $instance->setFloatingIp("\61\x32\x37\x2e\60\56\60\56\x31"); goto Acd6b; e4733: $dropletId = $_ENV["\x44\x45\x56\x5f\x44\x4f\137\x44\x52\x4f\x50\114\x45\x54\x5f\111\104"] ?? ''; goto D22f6; fb0bb: $doClient->setInstance($instance); goto B1ba2; c4aaa: if (!(false === is_null($token))) { goto c3ccf; } goto fd5d7; de9da: $instance->setRegion($region); goto eefdc; E6e82: $doClient = new DoClient(); goto Efebd; Efebd: $token = $this->configManager->get("\x64\157\137\x61\x63\143\145\163\163\137\164\157\x6b\145\156"); goto c4aaa; D22f6: $region = $_ENV["\x44\105\x56\x5f\104\117\137\122\105\x47\x49\117\x4e"] ?? ''; goto D80a3; B1ba2: if (!("\144\145\x76" == $_ENV["\101\120\120\x5f\105\x4e\x56"])) { goto e8046; } goto e4733; c386b: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto d5a6f; F0381: $instance->setMachineType($machineType); goto E9e45; Bbaf1: goto a7fb7; goto Df110; Ab4b7: $instance->setIpv4PublicIp("\61\x32\67\56\x30\56\x30\56\x31"); goto A239f; dd796: B70ed: goto Bbaf1; Ad6a6: $projectId = $_ENV["\x44\105\126\137\x47\x43\105\137\x50\x52\117\112\105\x43\124\x5f\x49\104"] ?? ''; goto C0b26; A0663: $instance->setInstanceName($instanceName); goto F0381; A239f: $instance->setProjectId($projectId); goto A2598; A8a54: $serviceAccountKeys = $this->configManager->get("\x67\x63\x65\x5f\163\145\162\166\151\143\x65\x5f\141\143\143\x6f\165\156\x74\137\153\145\171\x73"); goto ad989; D61fe: $gceClient = new GceClient(); goto A8a54; a2cfe: $instance = new GceInstance($gceClient); goto a4b87; A2598: $instance->setInstanceId($instanceId); goto A0663; E9e45: $instance->setZone($zone); goto dd796; ad989: if (!(false === is_null($serviceAccountKeys))) { goto ae7d3; } goto f3113; a4b87: $gceClient->setGceInstance($instance); goto e280b; C0b26: $instanceId = $_ENV["\x44\x45\126\137\107\x43\x45\x5f\111\116\x53\124\x41\x4e\x43\105\137\x49\104"] ?? ''; goto D2f73; e5a4c: $zone = $_ENV["\104\x45\x56\137\x47\103\105\x5f\x5a\x4f\116\105"] ?? ''; goto Ab4b7; D2f73: $instanceName = $_ENV["\104\105\x56\137\x47\x43\105\x5f\111\116\x53\124\101\116\x43\105\137\116\x41\x4d\105"] ?? ''; goto Ec3b8; d5a6f: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto D61fe; Ce4b9: $gceClient->setAuthConfig($serviceAccountKeys); goto ec9d1; Ec3b8: $machineType = $_ENV["\104\x45\x56\x5f\x47\x43\x45\137\x4d\x41\x43\110\x49\x4e\x45\x5f\x54\131\x50\x45"] ?? ''; goto e5a4c; ec9d1: ae7d3: goto a2cfe; f3113: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto Ce4b9; e280b: if (!("\144\145\x76" == $_ENV["\x41\x50\120\x5f\x45\x4e\126"])) { goto B70ed; } goto Ad6a6; Df110: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto ce610; ca062: if (!("\144\145\x76" == $_ENV["\101\120\120\137\105\116\126"])) { goto d69d9; } goto d0f3f; A2d47: if (!(false === is_null($apiToken))) { goto Da1ce; } goto ad6eb; fc6e6: $instance->setInstanceId($instanceId); goto d17c6; Ad528: goto a7fb7; goto a2612; b551f: $instance = new HetznerInstance($hetznerClient); goto c5ccf; ce610: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto Ce27c; b2483: Da1ce: goto b551f; d0f3f: $instanceId = $_ENV["\x44\x45\x56\137\x48\x45\x54\x5a\116\x45\122\x5f\111\x4e\123\x54\101\116\x43\105\x5f\111\104"] ?? ''; goto b4a2d; ad6eb: $hetznerClient->setToken($apiToken); goto b2483; D053b: $apiToken = $this->configManager->get("\x68\145\164\172\x6e\x65\162\x5f\x61\x70\x69\x5f\x74\157\153\145\156"); goto A2d47; d17c6: d69d9: goto Ad528; b4a2d: $instance->setIpv4PublicIp("\x31\62\x37\56\60\x2e\60\56\x31"); goto fc6e6; Ce27c: $hetznerClient = new HetznerClient(); goto D053b; c5ccf: $hetznerClient->setInstance($instance); goto ca062; a2612: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto ca4a2; e4e52: goto a7fb7; goto D019b; cced7: $apiKey = $this->configManager->get("\x76\165\154\164\x72\137\x61\x70\x69\137\153\x65\x79"); goto d96b6; d96b6: if (!(false === is_null($apiKey))) { goto B477a; } goto c857a; c8b71: $ipv4PublicIp = $_ENV["\x44\105\x56\x5f\126\125\x4c\x54\122\137\x49\x50\137\x56\x34\137\x50\125\102\x4c\111\103"] ?? "\x31\62\x37\x2e\x30\x2e\60\56\x31"; goto f4af8; d90cd: $vultrClient = new VultrClient(); goto cced7; D6d5d: $instance->setInstanceId($instanceId); goto c3166; c857a: $vultrClient->setApiKey($apiKey); goto c1901; B006c: $vultrClient->setVultrInstance($instance); goto F77a4; D1c5d: $instance = new VultrInstance($vultrClient); goto B006c; c1901: B477a: goto D1c5d; f4af8: $instance->setIpv4PublicIp($ipv4PublicIp); goto D6d5d; Dbf8d: $instanceId = $_ENV["\104\105\x56\137\x56\x55\x4c\x54\x52\x5f\111\x4e\x53\124\101\116\103\x45\137\111\x44"] ?? ''; goto c8b71; c3166: f3eb8: goto e4e52; ca4a2: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto d90cd; F77a4: if (!("\144\145\166" == $_ENV["\x41\120\x50\x5f\x45\x4e\126"])) { goto f3eb8; } goto Dbf8d; D019b: default: $instance = new Instance(); goto a7fb7; } goto c5eec; Bd2db: $request = $event->getRequest(); goto D7928; E0ffe: $request->attributes->set("\x69\x6e\163\x74\x61\x6e\x63\x65", $instance); goto b0e1e; F79b7: F90d1: goto E0ffe; dfa17: $instance->setEnvironment($environment); goto D04a4; Bd0a8: $instanceUid = $this->configManager->get("\151\156\163\x74\141\156\x63\x65\137\x75\151\144"); goto aeeae; b0eaa: $cloud = $this->configManager->get("\143\154\157\x75\x64"); goto a0b1f; d59ea: $isDarkMode = false === is_null($request->cookies->get("\x74\150\145\155\145")) && "\x64\x61\x72\x6b" == $request->cookies->get("\164\x68\145\x6d\145") ? true : false; goto D6213; E9f01: $ipv4PublicIp = ''; goto B7c47; D6213: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto Ba359; c5eec: d873d: goto cbdc7; Fd277: $instance->setHostname($hostname); goto c1eb6; Bb267: baaf1: goto dfa17; e3ecf: $this->twig->addGlobal("\x69\163\104\x61\x72\x6b\115\x6f\144\145", $isDarkMode); goto Ebf6a; b6a99: $this->twig->addGlobal("\151\156\163\164\141\156\x63\145", $instance); goto e3ecf; Ba359: if (!(true === empty($ipv4PublicIp))) { goto F90d1; } goto E9f01; D04a4: $hostname = gethostname(); goto Fd277; C75c3: e2eab: goto Bd2db; B7c47: try { $ipv4PublicIp = $this->cachePool->get("\151\x70\166\64\137\160\x75\x62\154\x69\x63\x5f\x69\160", function (ItemInterface $item) { goto a9101; c6512: e8562: goto F9d38; D9588: $request = new Request("\x47\105\x54", self::IP_REQUEST_URL); goto Cd81e; adfb6: $ipv4PublicIp = trim((string) $response->getBody()); goto c6512; F9d38: return $ipv4PublicIp; goto D4a29; Aeecb: $httpClient = new HttpClient($config); goto D9588; C29c4: $responseStatusCode = $response->getStatusCode(); goto Fbc46; a9101: $item->expiresAfter(3600); goto Ad9bb; Fbc46: if (!(200 == $responseStatusCode)) { goto e8562; } goto adfb6; bc8f9: $config = ["\x74\151\x6d\x65\x6f\165\x74" => 5, "\166\145\x72\151\146\x79" => false, "\x68\x65\141\144\x65\162\163" => ["\x55\163\x65\162\x2d\x41\x67\145\156\164" => "\x43\154\x6f\x75\144\120\x61\x6e\x65\154\40\x76\x32"]]; goto Aeecb; Ad9bb: $ipv4PublicIp = null; goto bc8f9; Cd81e: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto C29c4; D4a29: }); } catch (\Exception $e) { } goto Fb130; ecb17: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\113\145\x72\156\x65\x6c\x52\145\161\165\x65\x73\x74", 25]], ConsoleEvents::COMMAND => [["\x6f\x6e\103\157\x6e\163\x6f\x6c\145\103\x6f\x6d\155\x61\156\144", 25]]]; } }
