<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto Eb61b; Ea92e: $this->addProcessor($redirectDomainProcessor); goto ddd21; E2ec2: $settingsProcessor = new SettingsProcessor(); goto de6f6; ddd21: $this->addProcessor($nginxAccessLogProcessor); goto Ed596; f5723: $this->addProcessor($certificateProcessor); goto Ecf41; Bd56d: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto eb736; eb736: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto d3ca2; Ed596: $this->addProcessor($nginxErrorLogProcessor); goto D1375; B4a5c: $redirectDomainProcessor = new RedirectDomainProcessor(); goto caf9f; Eb61b: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto Bcd41; B01b3: $this->addProcessor($redirectServerNameProcessor); goto Ea92e; de6f6: $this->addProcessor($rootDirectoryProcessor); goto Ac628; Ac628: $this->addProcessor($serverNameProcessor); goto B01b3; d3ca2: $certificateProcessor = new NginxCertificateProcessor(); goto E2ec2; D1375: $this->addProcessor($certificateKeyProcessor); goto f5723; Ecf41: $this->addProcessor($settingsProcessor); goto E906c; caf9f: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto Bd56d; Bcd41: $serverNameProcessor = new ServerNameProcessor(); goto Be571; Be571: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto B4a5c; E906c: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto db0e3; db0e3: $processors = $this->getProcessors(); goto e7bdf; Ee4c0: foreach ($placeholders as $placeholder) { goto fdd14; Bf3ad: if (!(true === $hasProcessor)) { goto C70ee; } goto Da82f; fdd14: $hasProcessor = $this->hasProcessor($placeholder); goto Bf3ad; Da82f: $processor = $processors[$placeholder]; goto B181a; E4d07: C70ee: goto Fe9c5; Aca56: $this->content = $processor->process($this->content); goto e9ea7; Fe9c5: C3b9a: goto c1f32; B181a: $processor->setSite($this->site); goto Aca56; e9ea7: $this->removePlaceholder($placeholder); goto E4d07; c1f32: } goto F6c2b; e7bdf: $placeholders = $this->getPlaceholders(); goto Ee4c0; F6c2b: d868a: goto fee0b; fee0b: } public function removeEmptyPlaceholders() : void { goto Bd674; C0bc4: f6559: goto d4fe7; Bd674: $placeholders = $this->getPlaceholders(); goto D55f1; D55f1: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); e0f02: } goto C0bc4; d4fe7: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto E7f43; E8fcf: $placeholders = $placeholders[0]; goto ec406; Aea78: cee65: goto B1341; E7f43: if (!(true === empty($this->placeholders))) { goto A2ab9; } goto b22ef; ec406: foreach ($placeholders as $placeholder) { goto d3fb0; ad979: f46b9: goto C1541; d3fb0: $placeholder = trim($placeholder); goto Ddd05; b3471: $this->addPlaceholder($placeholder); goto ad979; C1541: Fcef0: goto Cde72; Ddd05: if (!(false === empty($placeholder))) { goto f46b9; } goto b3471; Cde72: } goto Aea78; Ffbbc: A2ab9: goto cc8cd; b22ef: preg_match_all("\x2f\x5b\173\173\x5d\173\x32\x7d\50\x5b\x5c\x73\141\x2d\x7a\x41\55\x5a\x30\55\71\x5f\x5d\53\x29\133\175\x7d\135\173\62\x7d\x2f", $this->content, $placeholders); goto Ebded; Ebded: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto defa5; } goto E8fcf; cc8cd: return $this->placeholders; goto b0bd7; B1341: defa5: goto Ffbbc; b0bd7: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto C51f7; A5e0e: unset($this->placeholders[$placeholder]); goto Ec031; Ec031: Da210: goto Ca40a; C51f7: if (!(true === isset($this->placeholders[$placeholder]))) { goto Da210; } goto A5e0e; Ca40a: } }
