<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\x2f\145\x74\143\57\156\147\x69\x6e\170\x2f\142\x61\163\x69\143\55\141\x75\x74\x68\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\145\x74\143\x2f\156\147\x69\x6e\x78\x2f\163\x69\164\145\x73\x2d\x65\x6e\x61\142\154\145\x64\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\57\145\x74\143\57\156\147\x69\156\x78\57\x73\x73\x6c\x2d\143\x65\162\164\151\146\x69\143\x61\164\x65\x73\x2f"; public const CRON_DIRECTORY = "\57\145\164\143\57\143\162\x6f\156\x2e\144\57"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto c5673; d8dc1: $vhostFile = sprintf("\45\163\57\45\x73\56\x63\x6f\156\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto bff1c; e1bbc: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto d4b35; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto d4b35; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto d4b35; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto d4b35; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto d4b35; } goto A8dee; c5673: $domainName = $this->site->getDomainName(); goto Ac649; bff1c: $vhostTemplate->build(); goto e0839; e0839: $vhostTemplate->removeEmptyPlaceholders(); goto ec077; A8dee: be6bd: goto Bf793; Ac649: $vhostFileContent = $this->site->getVhostTemplate(); goto e1bbc; Ebb16: $writeVhostFileCommand->setContent($vhostContent); goto ec431; f9609: $writeVhostFileCommand = new WriteFileCommand(); goto ab112; ec431: $this->commandExecutor->execute($writeVhostFileCommand); goto b02b5; ea70c: $vhostTemplate->setContent($vhostFileContent); goto d8dc1; ec077: $vhostContent = $vhostTemplate->getContent(); goto f9609; Bf793: d4b35: goto ea70c; ab112: $writeVhostFileCommand->setFile($vhostFile); goto Ebb16; b02b5: } public function updateNginxVhostWithRollback() : void { try { goto a508a; C88ad: $vhostBackupFile = sprintf("\x25\x73\x2f\45\x73\x2e\x63\157\x6e\146\56\142\141\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto b05fa; a508a: $domainName = $this->site->getDomainName(); goto f264e; Ae82b: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto Fb538; a3df8: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto e8150; A9363: $writeVhostFileCommand = new WriteFileCommand(); goto c6000; A2a45: $writeVhostFileCommand->setContent($vhostContent); goto B26fb; Fb570: $this->commandExecutor->execute($reloadNginxServiceCommand); goto De3fd; e4b77: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto Dc333; f77b9: $this->commandExecutor->execute($writeVhostFileCommand); goto Aa3d0; f264e: $vhostFileContent = $this->site->getVhostTemplate(); goto ba1e7; e8150: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto A9363; Aa3d0: $this->commandExecutor->execute($nginxConfigTestCommand); goto d3b79; De3fd: f7445: goto Ae82b; b05fa: $copyVhostBackupFileCommand = new CopyFileCommand(); goto a3df8; Ed2d6: $vhostTemplate->setContent($vhostFileContent); goto b0e95; Dc333: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto F1664; b0e95: $vhostFile = sprintf("\45\x73\x2f\45\163\56\x63\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto f6820; E1c71: $vhostContent = $vhostTemplate->getContent(); goto C88ad; a4f27: $vhostTemplate->removeEmptyPlaceholders(); goto E1c71; c6000: $writeVhostFileCommand->setFile($vhostFile); goto A2a45; Cceeb: $reloadNginxServiceCommand->setServiceName("\x6e\147\151\x6e\170"); goto Fb570; c4362: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto Cceeb; B26fb: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto e4b77; d3b79: if (!("\x64\145\x76" != $_ENV["\x41\120\x50\x5f\105\x4e\126"])) { goto f7445; } goto c4362; a2f0e: ff0f5: goto Ed2d6; f6820: $vhostTemplate->build(); goto a4f27; F1664: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto f77b9; ba1e7: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto ff0f5; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto ff0f5; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto ff0f5; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto ff0f5; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto ff0f5; } goto a6681; a6681: F790f: goto a2f0e; Fb538: } catch (\Exception $e) { goto E7b59; Ffc75: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto a8430; b9741: if (!(true === isset($nginxConfigTestCommand))) { goto B59fd; } goto a49d4; E7b59: $errorMessage = $e->getMessage(); goto b9741; A1120: Be938: goto F7364; ebb33: B59fd: goto a205f; F7364: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto a924f; C7421: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto Ffc75; a205f: $restoreBackupFileCommand = new CopyFileCommand(); goto C7421; a49d4: $errorMessage = $nginxConfigTestCommand->getOutput(); goto ebb33; a8430: $this->commandExecutor->execute($restoreBackupFileCommand); goto Adfa1; a924f: throw new InvalidVhostException($errorMessage); goto F7c06; A2bc0: $this->commandExecutor->execute($reloadNginxServiceCommand); goto A1120; Adfa1: if (!(true === isset($reloadNginxServiceCommand))) { goto Be938; } goto A2bc0; F7c06: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto F5b22; b7b70: $siteUser = $site->getUser(); goto f227b; f227b: $sshUserName = $sshUserEntity->getUserName(); goto d7bcf; b9ea3: $sshDirectoryChmodCommand->setFile($sshDirectory); goto B285b; E695c: $createUserCommand->setHomeDirectory($homeDirectory); goto f4689; b7405: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto fecb5; F0154: $this->commandExecutor->execute($createUserCommand); goto E1d76; e42e9: $sshDirectoryChmodCommand->setFileChmod(600); goto f87d4; E83d9: e4507: goto Ba7c3; A4be1: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto E695c; E1d76: $symlinkDirectories = ["\x62\x61\143\153\x75\x70\163", "\x68\x74\x64\x6f\x63\x73", "\154\157\147\163"]; goto A7bd4; ccb69: $createUserCommand->setPassword($sshUserPassword); goto D5236; b3d5c: $skeletonDirectory = realpath(dirname(__FILE__) . "\x2f\56\x2e\x2f\x2e\x2e\x2f\x72\x65\x73\x6f\165\x72\143\x65\163\57\145\164\143\x2f\x73\x6b\x65\x6c\x2f\x73\x73\150\x2d\165\163\x65\x72\57"); goto dcfad; Ba7c3: $sshDirectory = sprintf("\57\150\157\155\145\57\45\163\x2f\56\163\x73\x68", $sshUserName); goto ac58f; ac58f: $sshDirectoryChmodCommand = new FindChmodCommand(); goto b9ea3; A84c3: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto e8487; f4689: $createUserCommand->createHomeDirectory(true); goto F0154; F5b22: $site = $sshUserEntity->getSite(); goto b7b70; d7bcf: $sshUserPassword = $sshUserEntity->getPassword(); goto d3c91; f87d4: $siteUserHomeDirectory = sprintf("\x2f\150\157\x6d\x65\x2f\45\163", $siteUser); goto cd348; F9e87: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto C8faf; D5236: $createUserCommand->setGroup($siteUser); goto f851d; fecb5: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto F9e87; dcfad: $createUserCommand = new CreateUserCommand(); goto e9f15; e9f15: $createUserCommand->setUserName($sshUserName); goto ccb69; cd348: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto A84c3; A7bd4: foreach ($symlinkDirectories as $symlinkDirectory) { goto f0998; b28cc: $symlinkCommand->setRunAsUser($sshUserName); goto C09e6; B1ac1: $symlinkCommand = new CreateSymlinkCommand(); goto b28cc; f0998: $source = sprintf("\x2f\x68\157\x6d\x65\57\45\x73\57\45\163", $siteUser, $symlinkDirectory); goto A84d2; A84d2: $destination = sprintf("\x2f\150\157\155\x65\x2f\x25\x73\57\x25\163", $sshUserName, $symlinkDirectory); goto B1ac1; dd9cd: $symlinkCommand->setDestination($destination); goto Ad04b; C09e6: $symlinkCommand->setSource($source); goto dd9cd; Fe10d: D30a4: goto C0c4d; Ad04b: if (!("\144\x65\166" != $_ENV["\x41\x50\x50\x5f\x45\116\x56"])) { goto b3603; } goto cbbd0; C63f6: b3603: goto Fe10d; cbbd0: $this->commandExecutor->execute($symlinkCommand); goto C63f6; C0c4d: } goto E83d9; d3c91: $homeDirectory = sprintf("\57\150\157\155\x65\57\x25\163", $sshUserName); goto b3d5c; B285b: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto e42e9; e8487: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto b7405; f851d: $createUserCommand->setShell("\x2f\x62\151\156\57\x62\x61\x73\150"); goto A4be1; C8faf: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto B955d; e77b2: $this->commandExecutor->execute($createUserCommand); goto d2e7d; D6fd1: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto E62d1; e2e96: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto cb04e; a9d42: $createUserCommand->setPassword($ftpUserPassword); goto Cb7ae; Cb7ae: $createUserCommand->setGroup($siteUser); goto ac7cf; e9a26: $createUserCommand = new CreateUserCommand(); goto Ca215; d6330: $siteUser = $site->getUser(); goto Bc991; cb04e: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto e77b2; ac7cf: $createUserCommand->setGroups(["\146\x74\x70\55\165\163\145\162"]); goto e0fc7; b06e8: $siteUserHomeDirectory = sprintf("\57\150\157\155\145\x2f\45\x73", $siteUser); goto D6fd1; B955d: $site = $ftpUserEntity->getSite(); goto d6330; Bc991: $ftpUserName = $ftpUserEntity->getUserName(); goto F2afb; e0fc7: $createUserCommand->setShell("\x2f\142\151\x6e\57\146\141\x6c\163\x65"); goto Ecbb4; Ecbb4: $createUserCommand->setHomeDirectory($homeDirectory); goto f3ad3; Ca215: $createUserCommand->setUserName($ftpUserName); goto a9d42; F2afb: $ftpUserPassword = $ftpUserEntity->getPassword(); goto C3cf0; f3ad3: $createUserCommand->createHomeDirectory(false); goto b06e8; E62d1: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto e2e96; d2e7d: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto B5052; C3cf0: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto e9a26; B5052: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto D72f9; bcf0d: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto dae6f; b200b: $deleteUserCommand->setUserName($userName); goto bcf0d; dae6f: $this->commandExecutor->execute($deleteUserCommand); goto a79bb; D72f9: $deleteUserCommand = new DeleteUserCommand(); goto b200b; a79bb: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto Fe47e; eca99: $writeCertificateFileCommand->setContent($certificate); goto A123f; Cc757: $this->reloadService("\x6e\x67\151\156\x78"); goto C439c; C67b1: $writeCertificateFileCommand->setFile($certificateFile); goto eca99; bfcb5: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto D9d11; } goto d24da; A123f: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto e9313; D2674: $certificate = $certificateEntity->getCertificate(); goto bfcb5; e22b5: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto B4859; f5064: $privateKeyFile = sprintf("\x25\163\x2f\45\163\x2e\153\145\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto Fa6bf; Ccf27: $writeCertificateFileCommand = new WriteFileCommand(); goto C67b1; d24da: $certificate .= sprintf("\45\x73\x25\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto Fc894; B4859: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto Ccf27; e9313: $this->commandExecutor->execute($writeCertificateFileCommand); goto Cc757; Fa6bf: $certificateFile = sprintf("\45\163\57\45\163\x2e\143\x72\164", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto D2674; Fe47e: $domainName = $this->site->getDomainName(); goto f5064; Fc894: D9d11: goto dd527; dd527: $writePrivateKeyFileCommand = new WriteFileCommand(); goto e22b5; C439c: } public function deleteLetsEncryptChallengeDirectory() : void { goto f783d; df5e2: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto Bfe8d; d96db: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto c522c; cde10: $acemeChallengeDirectory = sprintf("\45\163\57\x2e\x77\x65\154\154\x2d\x6b\x6e\157\x77\156\x2f\141\x63\x6d\145\x2d\143\x68\141\154\154\145\156\147\145\x2f", rtrim($rootDirectory, "\57")); goto d96db; f783d: $rootDirectory = $this->getRootDirectory(); goto cde10; c522c: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto df5e2; Bfe8d: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto d4f55; D651b: $basicAuthFileContent = sprintf("\x25\163\x3a\45\x73", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto d53f3; d2704: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto D5aac; d53f3: $writeBasicAuthFileCommand = new WriteFileCommand(); goto d2704; D5aac: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto De081; De081: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto f710d; d4f55: $basicAuthFile = sprintf("\45\163\x2f\x25\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto D651b; f710d: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto Ecc31; E5f4a: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto f6f86; Bdbad: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto dc847; dc847: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto e72aa; cda8a: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto fe23a; F7ddc: Addbb: goto Dd515; bdcf4: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto A3f2f; bdd04: $wellKnownDirectory = sprintf("\45\x73\x2f\x2e\x77\145\x6c\x6c\x2d\x6b\x6e\x6f\x77\156\x2f", rtrim($rootDirectory, "\x2f")); goto f7396; bf1a1: $rootDirectory = $this->getRootDirectory(); goto bdd04; F1804: Ad5a7: goto F7ddc; a0387: foreach ($challenges as $challenge) { goto Beffd; ad3ed: $challengeWriteFileCommand = new WriteFileCommand(); goto Cad0f; a30d9: $challengeWriteFileCommand->setContent($verificationContent); goto Dc1ea; Cad0f: $challengeWriteFileCommand->setFile($challengeFile); goto a30d9; B1bdf: bd918: goto Cf032; Dc1ea: $this->commandExecutor->execute($challengeWriteFileCommand); goto B1bdf; Dd57c: $verificationContent = $challenge["\166\145\x72\151\x66\151\143\141\164\x69\x6f\156\103\157\156\164\x65\156\x74"] ?? null; goto A074e; d64c8: $challengeFile = sprintf("\45\x73\x2f\45\x73", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto ad3ed; Beffd: $token = $challenge["\x74\157\153\x65\156"] ?? null; goto Dd57c; Cf032: Ed2c2: goto B256d; A074e: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto bd918; } goto d64c8; B256d: } goto F1804; ca593: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto c58f6; f7396: $acemeChallengeDirectory = sprintf("\45\163\57\56\167\x65\154\154\55\x6b\156\157\x77\156\57\x61\x63\x6d\145\55\x63\150\141\x6c\154\x65\156\x67\145\x2f", rtrim($rootDirectory, "\57")); goto ca593; Ecc31: $siteUser = $this->site->getUser(); goto bf1a1; B4e66: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto Bdbad; F10b8: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto B4e66; f6f86: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto b7026; b7026: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto F10b8; A3f2f: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto C891f; Dd515: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto E5f4a; C891f: if (!count($challenges)) { goto Addbb; } goto a0387; e72aa: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto cda8a; fe23a: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto edeed; c58f6: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto bdcf4; edeed: } public function updateUserCrontab() : void { goto Eb443; e4097: $crontabFile = sprintf("\x25\163\x2f\45\163", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto e666f; B72c8: $this->commandExecutor->execute($writeCrontabFileCommand); goto A2615; B8c23: $writeCrontabFileCommand->setContent($crontabContent); goto B72c8; A6753: $writeCrontabFileCommand = new WriteFileCommand(); goto cd30f; cd30f: $writeCrontabFileCommand->setFile($crontabFile); goto B8c23; e666f: $crontabEntries = ["\x4d\x41\x49\114\124\x4f\75\42\42"]; goto D660a; B1e83: $crontabContent = implode(PHP_EOL, $crontabEntries); goto A6753; D660a: $cronJobs = $this->site->getCronJobs(); goto e384f; Eb443: $siteUser = $this->site->getUser(); goto e4097; E631f: C385e: goto B1e83; bc3fd: Dab28: goto E631f; a7aa1: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); B4e29: } goto bc3fd; e384f: if (!count($cronJobs)) { goto C385e; } goto a7aa1; A2615: } public function purgePageSpeedCache() : void { goto B96fe; B96fe: $siteUser = $this->site->getUser(); goto Aaf0c; Aaf0c: $cacheDirectory = sprintf("\57\x68\157\155\145\57\45\x73\x2f\164\x6d\160\57\x70\141\x67\145\x73\x70\x65\145\x64\137\x63\141\x63\x68\145", $siteUser); goto B5844; B5844: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto f4290; f4290: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto Ffd84; Ffd84: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto a315a; a315a: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto D2e70; f0385: $readLinkCommand = new ReadLinkCommand(); goto e6f76; D7eaa: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto Ff068; Ff068: dbd5f: goto b5ac1; ce6d6: $this->commandExecutor->execute($readLinkCommand); goto Ef403; D2e70: $authorizedKeysFile = sprintf("\x2f\150\157\x6d\x65\57\45\163\57\x2e\163\x73\x68\57\141\x75\164\x68\157\x72\x69\172\x65\x64\x5f\153\145\x79\163", $userName); goto f0385; Eac7e: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto A4121; c5eb1: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto Eac7e; c6b28: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto dbd5f; } goto c5eb1; e6f76: $readLinkCommand->setFile($authorizedKeysFile); goto ce6d6; Ef403: $readLinkPath = $readLinkCommand->getOutput(); goto c6b28; A4121: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto D7eaa; b5ac1: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto cc427; E62c1: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto Fbcee; cc427: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto D191a; D191a: $changeUserHomeDirectoryCommand->setUserName($userName); goto a34d6; a34d6: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto E62c1; Fbcee: } public function changeUserPassword(string $userName, string $password) : void { goto F11b3; ee35c: $changeUserPasswordCommand->setPassword($password); goto C2382; C2382: $this->commandExecutor->execute($changeUserPasswordCommand); goto C00a8; F11b3: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto c8ea2; c8ea2: $changeUserPasswordCommand->setUserName($userName); goto ee35c; C00a8: } protected function getRootDirectory() : string { goto a7f4a; b07a9: return $rootDirectory; goto b70e5; a7f4a: $siteUser = $this->site->getUser(); goto A67a4; bad8d: $rootDirectory = sprintf("\57\x68\157\x6d\145\x2f\x25\163\x2f\150\x74\x64\157\143\163\57\x25\163", $siteUser, $rootDirectory); goto b07a9; A67a4: $rootDirectory = $this->site->getRootDirectory(); goto bad8d; b70e5: } public function reloadNginxService() : void { $this->reloadService("\x6e\x67\x69\156\170"); } public function reloadService($serviceName) { goto E8c71; A4fc3: $this->commandExecutor->execute($reloadServiceCommand); goto a0e1f; b6c3b: $reloadServiceCommand = new ServiceReloadCommand(); goto c1349; c1349: $reloadServiceCommand->setServiceName($serviceName); goto A4fc3; a0e1f: c5100: goto E0625; E8c71: if (!("\144\145\x76" != $_ENV["\101\x50\x50\x5f\105\116\126"])) { goto c5100; } goto b6c3b; E0625: } }
